<?
$directorys = array('basics/','dao/','gateways/','',);
foreach($directorys as $directory)
{
        $caminho = __DIR__."/model/{$directory}";
        if(is_dir($caminho)){
            $ponteiro  = opendir($caminho);
            while ($nome_itens = readdir($ponteiro)) {
                if(!is_dir($caminho.$nome_itens)){
                        require_once $caminho.$nome_itens;
                }
            }
        }
}
require __DIR__.'/../vendor/autoload.php';
//require __DIR__.'/funcoes.php';


//error handler function
function customError($errno, $errstr, $errfile, $errline) {
    switch ($errno) {
    case E_USER_ERROR:
        echo "<b>Flex ERROR</b> [$errno] $errstr<br />\n";
        echo "  Fatal error on line $errline in file $errfile";
        echo ", PHP " . PHP_VERSION . " (" . PHP_OS . ")<br />\n";
        echo "Aborting...<br />\n";
        exit(1);
        break;

    case E_USER_WARNING:
        echo "<b>Flex WARNING</b> [$errno] $errstr, $errline in file $errfile<br />\n";
        break;

    case E_USER_NOTICE:
        echo "<b>Flex NOTICE</b> [$errno] $errstr, Linha $errline in file $errfile<br />\n";
        break;

    default:
        echo "Unknown error type: [$errno] $errstr, Linha $errline in file $errfile<br />\n";
        break;
    }

    /* Don't execute PHP internal error handler */
    return true;
}

//set error handler
set_error_handler("customError");
