<?php
global $request;

function getTamanho($tamanho) {
    $bytes = array('B', 'KB', 'MB', 'GB', 'TB');
    if ($tamanho <= 999)
        $tamanho = 1;
    for ($i = 0; $tamanho > 999; $i++)
        $tamanho /= 1024;
    return round($tamanho) . $bytes[$i];
}

//rodando de 30 em 30min
if (!file_exists($GLOBALS['xmlCpanel']) || (round(abs(time() - filemtime($GLOBALS['xmlCpanel'])) / 60, 2) > 60)) {
    
    $flex = simplexml_load_string(trim(str_replace(array("\n", chr(13)), "", implode(file($GLOBALS['UrlApi']['bw']), ""))));
    if (trim($flex->limit) == 0) {
        $b_total = 0;
        $b_used = (int) $flex->used;
        $b_percent = 25;
        $b_n_total = "Ilimitado";
        $b_n_used = getTamanho($b_used);
    } else {
        $b_total = (int) $flex->limit;
        $b_used = (int) ( (int) $flex->limit > (int) $flex->used ? $flex->used : $flex->limit);
        $b_percent = ($b_used * 100) / $b_total;
        $b_n_total = getTamanho($b_total);
        $b_n_used = getTamanho($b_used);
    }
    $b_icon = ($b_percent < 50 ? '' : ($b_percent < 80 ? 'progress-bar-warning' : 'progress-bar-danger') );

    $flex = simplexml_load_string(trim(str_replace(array("\n", chr(13)), "", implode(file($GLOBALS['UrlApi']['du']), ""))));

    if (trim($flex->limit) == 0) {
        $d_total = 0;
        $d_used = (int) $flex->used;
        $d_percent = 25;
        $d_n_total = "Ilimitado";
        $d_n_used = getTamanho($d_used * (1024 * 1024));
    } else {
        $d_total = (int) $flex->limit;
        $d_used = (int) ( (int) $flex->limit > (int) $flex->used ? $flex->used : $flex->limit);
        $d_percent = ($d_used * 100) / $d_total;
        $d_n_total = getTamanho($d_total * (1024 * 1024));
        $d_n_used = getTamanho($d_used * (1024 * 1024));
    }
    $d_icon = ($d_percent < 50 ? '' : ($d_percent < 80 ? 'progress-bar-warning' : 'progress-bar-danger') );

    $e_used = 0;
    $flex = simplexml_load_string(trim(str_replace(array("\n", chr(13)), "", implode(file($GLOBALS['UrlApi']['eml']), ""))));
    if (count($flex->email) > 0) {
        foreach ($flex->email as $email) {
            $e_used += $email->used;
        }
    }
    $flex->asXML($GLOBALS['xmlEmails']);
    
    $e_percent = ($d_total > 0 ? ($e_used * 100) / $d_total : 25);
    $e_icon = ($e_percent < 50 ? '' : ($e_percent < 80 ? 'progress-bar-warning' : 'progress-bar-danger') );

    $xml = new XMLWriter;
    $xml->openMemory();
    $xml->startDocument('1.0', 'UTF-8');
    $xml->startElement("cpanel");
    
    $xml->startElement("bandwidth");
    $xml->writeElement("uso", $b_used);
    $xml->writeElement("limite", $b_total);
    $xml->writeElement("percentual", $b_percent);
    $xml->writeElement("n_uso", $b_n_used);
    $xml->writeElement("n_limite", $b_n_total);
    $xml->writeElement("icone", $b_icon);
    $xml->endElement();
    
    $xml->startElement("diskused");
    $xml->writeElement("uso", $d_used);
    $xml->writeElement("limite", $d_total);
    $xml->writeElement("percentual", $d_percent);
    $xml->writeElement("n_uso", $d_n_used);
    $xml->writeElement("n_limite", $d_n_total);
    $xml->writeElement("icone", $d_icon);
    $xml->endElement();
    
    $xml->startElement("email");
    $xml->writeElement("uso", $e_used);
    $xml->writeElement("limite", $d_total);
    $xml->writeElement("percentual", $e_percent);
    $xml->writeElement("n_uso", getTamanho($e_used * (1024 * 1024)));
    $xml->writeElement("n_limite", $d_n_total);
    $xml->writeElement("icone", $e_icon);
    $xml->endElement();
    
    $xml->endElement();


    try {
        $file = fopen($GLOBALS['xmlCpanel'], 'w+');
        fwrite($file, $xml->outputMemory(true));
        fclose($file);
    } catch (Exception $e) {
        echo $e->getMessage();
        exit;
    }
}

if (!file_exists($GLOBALS['xmlEmails']) || (round(abs(time() - filemtime($GLOBALS['xmlEmails'])) / 60, 2) > 60)) {
    if($request->getParameter('module') == 'host-emails'){
        $flex = simplexml_load_string(trim(str_replace(array("\n", chr(13)), "", implode(file($GLOBALS['UrlApi']['eml']), ""))));
        $flex->asXML($GLOBALS['xmlEmails']);
    }
}


