-- phpMyAdmin SQL Dump
-- version 4.9.0.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Tempo de geração: 21-Fev-2020 às 09:00
-- Versão do servidor: 10.3.22-MariaDB-log
-- versão do PHP: 7.3.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Banco de dados: `posvendaonline_base`
--

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacoesproduto`
--

CREATE TABLE `avaliacoesproduto` (
  `id` int(11) NOT NULL,
  `id_pedido` int(11) NOT NULL,
  `id_produto` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `nota` float(11,2) NOT NULL DEFAULT 0.00,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `canaiscomunicacao`
--

CREATE TABLE `canaiscomunicacao` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `canaiscomunicacao`
--

INSERT INTO `canaiscomunicacao` (`id`, `nome`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'Telefone', 'notime', '2019-08-10 10:57:57', 'notime', '2019-08-10 10:57:57'),
(2, 'Whatsapp', 'notime', '2019-08-10 10:58:05', 'notime', '2019-08-10 10:58:05');

-- --------------------------------------------------------

--
-- Estrutura da tabela `canaisvenda`
--

CREATE TABLE `canaisvenda` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `canaisvenda`
--

INSERT INTO `canaisvenda` (`id`, `nome`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'Mercado Livre', 'notime', '2019-08-10 10:58:40', 'notime', '2019-08-10 10:58:40');

-- --------------------------------------------------------

--
-- Estrutura da tabela `clientes`
--

CREATE TABLE `clientes` (
  `id` int(11) NOT NULL,
  `nomefantasia` varchar(255) DEFAULT NULL,
  `razaosocial` varchar(255) DEFAULT NULL,
  `cpfcnpj` varchar(14) DEFAULT NULL,
  `ie` varchar(20) DEFAULT NULL,
  `rg` varchar(20) DEFAULT NULL,
  `im` varchar(20) DEFAULT NULL,
  `sexo` int(1) NOT NULL DEFAULT 1,
  `cep` varchar(10) DEFAULT NULL,
  `endereco` varchar(255) DEFAULT NULL,
  `numero` varchar(50) DEFAULT NULL,
  `complemento` varchar(255) DEFAULT NULL,
  `bairro` varchar(255) DEFAULT NULL,
  `id_cidade` int(11) NOT NULL DEFAULT 0,
  `cidade` varchar(255) DEFAULT NULL,
  `estado` char(2) DEFAULT NULL,
  `nasc` date DEFAULT NULL,
  `tel` varchar(18) DEFAULT NULL,
  `tel2` varchar(18) DEFAULT NULL,
  `tel3` varchar(18) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `facebook` varchar(255) DEFAULT NULL,
  `instagram` varchar(50) DEFAULT NULL,
  `senha` varchar(50) DEFAULT NULL,
  `obs` text DEFAULT NULL,
  `status` int(2) NOT NULL,
  `tipo` int(1) NOT NULL DEFAULT 1,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `configs`
--

CREATE TABLE `configs` (
  `chave` varchar(50) NOT NULL,
  `valor` text NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `configs`
--

INSERT INTO `configs` (`chave`, `valor`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
('nome', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('cnpj', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email', 'contato@posvendaonline.com', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('telefone', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('whatsapp', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('endereco', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('numero', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('complemento', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('bairro', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('cidade', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('estado', 'ES', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('cep', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('url_sistema', 'https://posvendaonline.com', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('url_logo', 'https://posvendaonline.com/uploads/img/brandfb.jpg', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_tiposmtp', '0', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_host', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_port', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_secure', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_user', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25'),
('email_pass', '', 'notime', '2019-08-17 16:16:25', 'notime', '2019-08-17 16:16:25');

-- --------------------------------------------------------

--
-- Estrutura da tabela `empresas`
--

CREATE TABLE `empresas` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `formasenvio`
--

CREATE TABLE `formasenvio` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `formasenvio`
--

INSERT INTO `formasenvio` (`id`, `nome`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'Correios', 'notime', '2019-08-10 11:49:45', 'notime', '2019-08-10 11:49:45');

-- --------------------------------------------------------

--
-- Estrutura da tabela `grupos`
--

CREATE TABLE `grupos` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `grupos`
--

INSERT INTO `grupos` (`id`, `nome`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'Atendentes', 'notime', '2019-08-17 16:28:12', 'notime', '2019-08-17 16:28:12'),
(2, 'Gerente', 'notime', '2019-08-17 16:32:53', 'notime', '2019-08-17 16:32:53');

-- --------------------------------------------------------

--
-- Estrutura da tabela `gruposusuario`
--

CREATE TABLE `gruposusuario` (
  `id_grupo` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `historicocliente`
--

CREATE TABLE `historicocliente` (
  `id` int(11) NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `data` date NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `historicopedido`
--

CREATE TABLE `historicopedido` (
  `id` int(11) NOT NULL,
  `id_pedido` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `data` date NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `integracoes`
--

CREATE TABLE `integracoes` (
  `id` int(11) NOT NULL,
  `id_empresa` int(11) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `sistema` int(11) NOT NULL DEFAULT 1,
  `importar` int(1) NOT NULL DEFAULT 0,
  `data1` text DEFAULT NULL,
  `data2` text DEFAULT NULL,
  `data3` text DEFAULT NULL,
  `data4` text DEFAULT NULL,
  `data5` text DEFAULT NULL,
  `data6` text DEFAULT NULL,
  `data7` text DEFAULT NULL,
  `data8` text DEFAULT NULL,
  `data9` text DEFAULT NULL,
  `data10` text DEFAULT NULL,
  `data11` text DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `pedidos`
--

CREATE TABLE `pedidos` (
  `id` int(11) NOT NULL,
  `id_empresa` int(11) NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_canalvenda` int(11) NOT NULL,
  `id_formaenvio` int(11) NOT NULL,
  `ref` varchar(50) DEFAULT NULL,
  `refmp` varchar(50) DEFAULT NULL,
  `cep` varchar(10) DEFAULT NULL,
  `endereco` varchar(255) DEFAULT NULL,
  `numero` varchar(50) DEFAULT NULL,
  `complemento` varchar(255) DEFAULT NULL,
  `bairro` varchar(255) DEFAULT NULL,
  `cidade` varchar(255) DEFAULT NULL,
  `estado` char(2) DEFAULT NULL,
  `frete` float(11,2) NOT NULL DEFAULT 0.00,
  `data_venda` datetime NOT NULL,
  `data_entrega` date DEFAULT NULL,
  `data_previsao` date DEFAULT NULL,
  `codigo_rastreio` varchar(255) NOT NULL,
  `rastreio_api` varchar(20) DEFAULT NULL,
  `rastreio_encontrado` int(1) NOT NULL DEFAULT 0,
  `rastreio_msg` varchar(200) DEFAULT NULL,
  `problema` int(1) NOT NULL DEFAULT 0,
  `status` int(1) NOT NULL DEFAULT 1,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `perguntas`
--

CREATE TABLE `perguntas` (
  `id` int(11) NOT NULL,
  `id_pesquisa` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `tipo` int(1) NOT NULL,
  `posicao` int(2) NOT NULL,
  `visivel_relatorio` int(1) NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `perguntas`
--

INSERT INTO `perguntas` (`id`, `id_pesquisa`, `descricao`, `tipo`, `posicao`, `visivel_relatorio`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 1, 'Recebeu o produto?', 1, 1, 1, 'notime', '2019-08-10 16:29:26', 'notime', '2019-08-10 16:29:26'),
(2, 1, 'Chegou bem embalado?', 1, 2, 1, 'notime', '2019-08-10 16:29:37', 'admin', '2019-08-16 13:28:06'),
(3, 1, 'Conseguiu testar o produto?', 1, 3, 1, 'notime', '2019-08-10 16:29:53', 'admin', '2019-08-16 13:30:04'),
(4, 1, 'Possui alguma dúvida?', 1, 4, 1, 'notime', '2019-08-10 16:30:14', 'notime', '2019-08-10 16:30:14'),
(6, 1, 'Deseja fazer alguma sugestão ou comentário adicional?', 1, 5, 1, 'notime', '2019-08-17 11:59:21', 'notime', '2019-08-17 11:59:21');

-- --------------------------------------------------------

--
-- Estrutura da tabela `permissoesgrupo`
--

CREATE TABLE `permissoesgrupo` (
  `id` int(11) NOT NULL,
  `id_permissao` int(11) NOT NULL,
  `id_grupo` int(11) NOT NULL,
  `sel` int(1) DEFAULT 1,
  `ins` int(1) DEFAULT 1,
  `upd` int(1) DEFAULT 1,
  `del` int(1) DEFAULT 1,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `permissoesgrupo`
--

INSERT INTO `permissoesgrupo` (`id`, `id_permissao`, `id_grupo`, `sel`, `ins`, `upd`, `del`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(2, 1, 1, 1, 1, 1, 0, 'notime', '2019-08-17 16:27:27', 'notime', '2019-08-17 16:27:27'),
(3, 3, 1, 1, 0, 0, 0, 'notime', '2019-08-17 16:27:37', 'notime', '2019-08-17 16:27:37'),
(4, 4, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:28:28', 'notime', '2019-08-17 16:28:28'),
(5, 5, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:28:35', 'notime', '2019-08-17 16:28:35'),
(6, 1, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:28:44', 'notime', '2019-08-17 16:28:44'),
(7, 13, 2, 1, 0, 0, 0, 'notime', '2019-08-17 16:28:53', 'notime', '2019-08-17 16:28:53'),
(8, 6, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:29:10', 'notime', '2019-08-17 16:29:10'),
(9, 7, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:29:18', 'notime', '2019-08-17 16:29:18'),
(10, 8, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:29:29', 'notime', '2019-08-17 16:29:49'),
(11, 9, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:30:03', 'notime', '2019-08-17 16:30:03'),
(12, 3, 2, 1, 0, 0, 0, 'notime', '2019-08-17 16:30:14', 'notime', '2019-08-17 16:30:14'),
(13, 10, 2, 1, 1, 1, 0, 'notime', '2019-08-17 16:30:25', 'notime', '2019-08-17 16:30:25'),
(14, 2, 2, 1, 0, 0, 0, 'notime', '2019-08-17 16:30:43', 'notime', '2019-08-17 16:30:43');

-- --------------------------------------------------------

--
-- Estrutura da tabela `permissoesusuario`
--

CREATE TABLE `permissoesusuario` (
  `id` int(11) NOT NULL,
  `id_permissao` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL,
  `sel` int(1) DEFAULT 1,
  `ins` int(1) DEFAULT 1,
  `upd` int(1) DEFAULT 1,
  `del` int(1) DEFAULT 1,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `pesquisas`
--

CREATE TABLE `pesquisas` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `campo` varchar(20) NOT NULL DEFAULT 'data_entrega',
  `dias` int(3) NOT NULL DEFAULT 1,
  `inicio` date NOT NULL,
  `fim` date DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `pesquisas`
--

INSERT INTO `pesquisas` (`id`, `nome`, `campo`, `dias`, `inicio`, `fim`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'Pós Venda', 'data_entrega', 1, '2001-01-01', NULL, 'notime', '2019-08-10 16:32:10', 'notime', '2019-08-17 13:28:25');

-- --------------------------------------------------------

--
-- Estrutura da tabela `posvendas`
--

CREATE TABLE `posvendas` (
  `id` int(11) NOT NULL,
  `id_pesquisa` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL,
  `id_empresa` int(11) NOT NULL,
  `id_pedido` int(11) NOT NULL,
  `id_canalcomunicacao` int(11) NOT NULL DEFAULT 1,
  `inicio` datetime DEFAULT NULL,
  `fim` datetime DEFAULT NULL,
  `pontos` int(11) NOT NULL,
  `status` int(2) NOT NULL,
  `avaliacao` int(1) NOT NULL DEFAULT 0,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `produtos`
--

CREATE TABLE `produtos` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `sku` varchar(255) DEFAULT NULL,
  `preco` float(11,2) NOT NULL DEFAULT 0.00,
  `descricao` text DEFAULT NULL,
  `img` varchar(255) DEFAULT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `produtospedido`
--

CREATE TABLE `produtospedido` (
  `id` int(11) NOT NULL,
  `id_pedido` int(11) NOT NULL,
  `id_produto` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `quantidade` int(11) NOT NULL,
  `preco` float(11,2) NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `respostas`
--

CREATE TABLE `respostas` (
  `id` int(11) NOT NULL,
  `id_pergunta` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `tipo` int(1) NOT NULL,
  `posicao` int(2) NOT NULL,
  `pontos` int(11) NOT NULL,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `respostas`
--

INSERT INTO `respostas` (`id`, `id_pergunta`, `descricao`, `tipo`, `posicao`, `pontos`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 1, 'Sim', 1, 1, 1, 'notime', '2019-08-10 16:30:35', 'notime', '2019-08-10 16:30:35'),
(2, 1, 'Não', 3, 2, 0, 'notime', '2019-08-10 16:30:41', 'notime', '2019-08-10 16:32:39'),
(3, 2, 'Sim', 1, 1, 1, 'notime', '2019-08-10 16:30:52', 'notime', '2019-08-10 16:30:52'),
(4, 2, 'Não', 3, 2, 0, 'notime', '2019-08-10 16:31:03', 'notime', '2019-08-10 16:31:03'),
(5, 3, 'Sim', 1, 1, 1, 'notime', '2019-08-10 16:31:19', 'admin', '2019-08-17 12:49:30'),
(6, 3, 'Não', 3, 2, 0, 'notime', '2019-08-10 16:31:29', 'notime', '2019-08-10 16:31:29'),
(7, 4, 'Sim', 3, 1, 0, 'notime', '2019-08-10 16:31:44', 'notime', '2019-08-10 16:31:44'),
(8, 4, 'Não', 1, 2, 1, 'notime', '2019-08-10 16:31:57', 'notime', '2019-08-10 16:31:57'),
(11, 6, 'Sim', 3, 1, 0, 'notime', '2019-08-17 11:59:30', 'notime', '2019-08-17 11:59:30'),
(12, 6, 'Não', 1, 2, 0, 'notime', '2019-08-17 11:59:36', 'notime', '2019-08-17 11:59:36');

-- --------------------------------------------------------

--
-- Estrutura da tabela `respostaspesquisa`
--

CREATE TABLE `respostaspesquisa` (
  `id` int(11) NOT NULL,
  `id_posvenda` int(11) NOT NULL,
  `id_pergunta` int(11) NOT NULL,
  `id_resposta` int(11) NOT NULL,
  `descricao` text DEFAULT NULL,
  `usr_cad` varchar(20) DEFAULT NULL,
  `dt_cad` datetime DEFAULT NULL,
  `usr_ualt` varchar(20) DEFAULT NULL,
  `dt_ualt` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Estrutura da tabela `usuarios`
--

CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `login` varchar(20) DEFAULT NULL,
  `senha` varchar(40) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `tipo` int(1) DEFAULT 1,
  `ativo` int(1) DEFAULT 1,
  `usr_cad` varchar(20) NOT NULL,
  `dt_cad` datetime NOT NULL,
  `usr_ualt` varchar(20) NOT NULL,
  `dt_ualt` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Extraindo dados da tabela `usuarios`
--

INSERT INTO `usuarios` (`id`, `nome`, `login`, `senha`, `email`, `tipo`, `ativo`, `usr_cad`, `dt_cad`, `usr_ualt`, `dt_ualt`) VALUES
(1, 'No Time', 'notime', '127ee122cee10c1ef2514931b633331824dc34bd', 'contato@notime.com.br', 1, 1, 'notime', '2014-07-12 15:26:16', 'notime', '2019-06-06 18:37:50'),
(2, 'Admin', 'admin', 'efd13e785a869c8f4c000cd9464312edbdc6ae98', 'admin@admin.com', 1, 1, 'notime', '2019-08-10 17:21:48', 'notime', '2019-08-12 14:53:59');

--
-- Índices para tabelas despejadas
--

--
-- Índices para tabela `avaliacoesproduto`
--
ALTER TABLE `avaliacoesproduto`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `canaiscomunicacao`
--
ALTER TABLE `canaiscomunicacao`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `canaisvenda`
--
ALTER TABLE `canaisvenda`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `clientes`
--
ALTER TABLE `clientes`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `configs`
--
ALTER TABLE `configs`
  ADD PRIMARY KEY (`chave`);

--
-- Índices para tabela `empresas`
--
ALTER TABLE `empresas`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `formasenvio`
--
ALTER TABLE `formasenvio`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `grupos`
--
ALTER TABLE `grupos`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `historicocliente`
--
ALTER TABLE `historicocliente`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `historicopedido`
--
ALTER TABLE `historicopedido`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `integracoes`
--
ALTER TABLE `integracoes`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `pedidos`
--
ALTER TABLE `pedidos`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `perguntas`
--
ALTER TABLE `perguntas`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `permissoesgrupo`
--
ALTER TABLE `permissoesgrupo`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `permissoesusuario`
--
ALTER TABLE `permissoesusuario`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `pesquisas`
--
ALTER TABLE `pesquisas`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `posvendas`
--
ALTER TABLE `posvendas`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `produtos`
--
ALTER TABLE `produtos`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `produtospedido`
--
ALTER TABLE `produtospedido`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `respostas`
--
ALTER TABLE `respostas`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `respostaspesquisa`
--
ALTER TABLE `respostaspesquisa`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT de tabelas despejadas
--

--
-- AUTO_INCREMENT de tabela `avaliacoesproduto`
--
ALTER TABLE `avaliacoesproduto`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `canaiscomunicacao`
--
ALTER TABLE `canaiscomunicacao`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `canaisvenda`
--
ALTER TABLE `canaisvenda`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de tabela `clientes`
--
ALTER TABLE `clientes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `empresas`
--
ALTER TABLE `empresas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `formasenvio`
--
ALTER TABLE `formasenvio`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de tabela `grupos`
--
ALTER TABLE `grupos`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `historicocliente`
--
ALTER TABLE `historicocliente`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `historicopedido`
--
ALTER TABLE `historicopedido`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `integracoes`
--
ALTER TABLE `integracoes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `pedidos`
--
ALTER TABLE `pedidos`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `perguntas`
--
ALTER TABLE `perguntas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de tabela `permissoesgrupo`
--
ALTER TABLE `permissoesgrupo`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT de tabela `permissoesusuario`
--
ALTER TABLE `permissoesusuario`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `pesquisas`
--
ALTER TABLE `pesquisas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de tabela `posvendas`
--
ALTER TABLE `posvendas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `produtos`
--
ALTER TABLE `produtos`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `produtospedido`
--
ALTER TABLE `produtospedido`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `respostas`
--
ALTER TABLE `respostas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT de tabela `respostaspesquisa`
--
ALTER TABLE `respostaspesquisa`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
