<?php
$tipo = $request->get('tipo');
            $id = $request->get('id');
            $data = $request->get('data');
            
            if($tipo == 3){
                $retorno['dgraph'] = '[[\'Problema\', \'Qtd\', \'Pareto\'],';
                $field = 'id_category';
            }elseif($tipo == 2){
                $retorno['dgraph'] = '[[\'Processo\', \'Qtd\', \'Pareto\'],';
                $field = 'id_processo';
            }else{
                $retorno['dgraph'] = '[[\'Produto\', \'Qtd\', \'Pareto\'],';
                $field = 'id_produto';
            }

            if(strlen($data) > 4){
                $filter = "DATE_FORMAT(criacao,'%Y-%m')";
            }else{
                $filter = "YEAR(criacao)";
            }
            $paramAdd = '';
            if($request->get('categoria')+0>0){
                $paramAdd .= " AND id_category IN(".implode(',',Category::GetSonIds($request->get('categoria')+0)).")";
            }  
            if($request->get('operadores')!=''){
                $ids = Common::Replace('/[^0-9,]/', '', $request->get('operadores'));
                $paramAdd .= " AND id_responsavel IN ({$ids})";
            }
            if($request->get('grupos')!=''){
                $ids = Common::Replace('/[^0-9,]/', '', $request->get('grupos'));
                $paramAdd .= " AND id_group IN ({$ids})";
            }


            $conn = new Connection();
            $sql = "SELECT a.nome, IFNULL(b.qtd,0) qtd, a.id FROM categories a LEFT JOIN (SELECT {$field}, count(id) qtd  FROM `view_tasks` WHERE {$filter} = '{$data}' {$paramAdd} group by {$field}) b ON a.id = b.{$field} WHERE id_pai = {$id} ORDER BY 2 DESC";
            
            
            $retorno['map'] = '[';  
            $rs = $conn->prepareStatement($sql)->executeReader();
            $total = 0;
            if($rs->numRows() > 0) {
                
              $r = array();
              while($rs->next()){
                  $r[] = $rs->getAllVars();
                  $total += $rs->getInt('qtd');
              }
                
              $pareto = 0;
              foreach ($r as $reg) {
                  if($reg['qtd'] > 0 && $total > 0){
                      $perc = 1 - ($reg['qtd'] / $total);
                  }else{
                      $perc = 1;
                  }
                  $perc *= 100;
                  $perc = number_format(100-$perc,2);
                  $pareto += $perc;
                  if($pareto > 100) $pareto = 100;
                  $retorno['dgraph'] .= "['".utf8_encode($reg['nome'])."' , {$reg['qtd']}, {v:{$pareto}, f:'{$pareto}%'}],";
                  $retorno['map'] .= "[{$reg[id]},'".utf8_encode($reg['nome'])."'],";
              }
              
            }
            $retorno['dgraph'] .= ']';
            $retorno['map'] .= ']';
            if($total > 0){
                $retorno['ok'] = true;
            }else{
                MessageBox::Show('Nenhum dado encontrado.','danger');
            }
    