<?php
include dirname(__FILE__).'/config.atendimentos.php';


$module = $request->getParameter('module');
$action = $request->getParameter('action');
$page = ($request->getParameter('page') != '' ? $request->getParameter('page') : 1);
$qtd = ($request->getParameter('qtd') != '' ? $request->getParameter('qtd') : 25);
$order = (array_key_exists($request->getParameter('ordenacao'), $Modules['list-order']) ? $request->getParameter('ordenacao') : $Modules['ordenacao']);
$reqBusca = utf8_decode($request->get('busca'));
$view['busca'] = utf8_decode($request->get('busca'));

$view['title']  = 'Help Desk';
$view['qtd']    = $qtd;
$view['pagina'] = $page;
$view['list-order']  = $Modules['list-order'];
$view['list-filter'] = $Modules['list-filter'];
$view['hasHeader'] =  false;
$view['ordenacao'] =  $order;


if( $request->get('msg') == 'success')  $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro salvo com sucesso!", "success", true);
if( $request->get('msg') == 'dsuccess') $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro(s) exclu&iacute;do(s) com sucesso!", "success", true);
if( $request->get('msg') == 'error')    $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao salvar registro.", "danger", true);
if( $request->get('msg') == 'derror')   $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao excluir registro(s).", "danger", true);

$paramAdd = "";
if($request->get('dt-ini')!='' && Data::isValid($request->get('dt-ini'))){
    $paramAdd .= " AND DATE(dt_cad) >= '{$request->get('dt-ini')}'";
    $view['dti'] = Data::getFormat($request->get('dt-ini'),'d/m/Y');
}else{
    $view['dti'] = '';
}
if($request->get('dt-fim')!='' && Data::isValid($request->get('dt-fim'))){
    $paramAdd .= " AND DATE(dt_cad) <= '{$request->get('dt-fim')}'";
    $view['dtf'] = Data::getFormat($request->get('dt-fim'),'d/m/Y');
}else{
    $view['dtf'] = '';
}
if($request->get('situacoes')!=''){
    $sits = String::Replace('/[^0-9,]/', '', $request->get('situacoes'));
    $paramAdd .= " AND status IN ({$sits})";
    $view['situacoes'] = explode(',',$sits);
}else{
    $paramAdd .= " AND status IN (1,2)";
    $view['situacoes'] = array(1,2);
}

if($request->get('responsaveis')!=''){
    $resp = String::Replace('/[^0-9,]/', '', $request->get('responsaveis'));
    $view['responsaveis'] = explode(',',$resp);
}else{
    $view['responsaveis'] = array(0, $objSession->get('id'));
}  
$paramAdd .= " AND id_responsavel IN (".implode(',',$view['responsaveis']).")";
if($request->get('responsaveis')!=''){
    $resp = String::Replace('/[^0-9,]/', '', $request->get('responsaveis'));
    $view['responsaveis'] = explode(',',$resp);
}else{
    $view['responsaveis'] = array(0, $objSession->get('id'));
}
/*
if($request->get('resposavel') != ''){
    $resp = $request->get('resposavel')+0;
    $view['resposavel'] = $resp;
}else{
    $resp = ($objSession->get('helpdesk')==0 ? 0 : $objSession->get('id'));
    $view['resposavel'] = $resp;
}
$paramAdd .= " AND responsavel IN ({$resp})";


if($request->get('servicos')!=''){
    $servs = String::Replace('/[^0-9,]/', '', $request->get('servicos'));
    $paramAdd .= " AND setor IN ({$servs})";
    $view['servicos'] = explode(',',$servs);
}else{
    $view['servicos'] = array();
}   */

if($request->get('painel')+0>0){
    $painel = $request->get('painel')+0;
    $paramAdd .= " AND id_painel IN ({$painel})";
    $view['painel'] = $painel;
}else{
    $view['painel'] = '';
}  
if($reqBusca !='' ){
    $paramAdd .= " AND (painel LIKE '%{$reqBusca}%' OR descricao LIKE '%{$reqBusca}%')";
}

$table = "
(   
    SELECT a.id, a.dt_cad data, a.nome descricao, a.id_painel, a.status, a.id_responsavel, c.nome painel, IFNULL(u.nome,'N&atilde;o Informado') usuario 
    FROM atendimentos a
    LEFT JOIN paineis c ON a.id_painel = c.id
    LEFT JOIN usuarios u ON a.id_responsavel = u.id
) t";


$objClass = new $Modules['class']();
$conn = new Connection();
$sql = "SELECT COUNT(id) FROM {$table} WHERE 1=1 {$paramAdd}";
$totalRegistros = $conn->prepareStatement($sql)->executeScalar();

if ($qtd != "todos") {
    $qtdpaginas = ceil($totalRegistros / $qtd);
    $inicio = ($qtd * ($page - 1));
    $fim = $qtd;
} else {
    $qtdpaginas = 1;
    $inicio = 0;
    $fim = $totalRegistros;
}

$sql = "SELECT * FROM {$table} WHERE 1=1 {$paramAdd} ORDER BY {$order} LIMIT $inicio, $fim";
$rs = $conn->prepareStatement($sql)->executeReader();

$view['paginas'] = $qtdpaginas;
$view['totalregistros'] = $totalRegistros;

if ($rs->numRows() > 0) {

    
        $string = '
            <table class="table table-responsive table-striped table-hover">
            <thead>
              <tr>
                <th class="col-sm-7 col-xs-7">Ocorr&ecirc;ncia</th>
                <th class="col-sm-4 col-xs-3">Painel</th>
                <th class="col-sm-1 col-xs-2 text-center">Situa&ccedil;&atilde;o</th>
              </tr>
            </thead>
            <tbody>';
        
        while ($rs->next()) {
            $string .= '<tr id="tr">
                <td class="link-edit">
                    <a href="javascript:;" onclick="javascript: showEditForm(\'atendimentos\',' . $rs->getString('id') . ');" data-toggle="tooltip" data-placement="right" title="Editar">'.$rs->getString('id')." - " . $rs->getString('descricao') . '</a> 
                    <a href="javascript:;" onclick="javascript: delFormAction(\'atendimentos\',' . $rs->getString('id') . ');"><span class="glyphicon glyphicon-trash" data-toggle="tooltip" data-placement="left" title="Excluir"></span></a>
                    <br><em class="small">' . Data::getFormat($rs->getString('data'), 'd/m/Y H:i') . ' - Respons&aacute;vel: <strong>'.$rs->getString('usuario').'</strong></em> 
                </td>
                <td class="small">' . $rs->getString('painel') . '</td>
                <td class="text-center small">' . Atendimento::$nmStatus[$rs->getString('status')] . '</td>
                
            </tr>';
        }
        

        $string .= "</tbody>
              </table>";

        

    $view['registros'] = $string;
} else {
    $view['registros'] = "<div class=\"table-responsive\"><table class=\"table\"><tr><td align=\"center\">Nenhum registro localizado.</td></tr></table></div>";
}


$view['tab-adicional'] = $objClass->getTabAdicional();
$view['content-tab-adicional'] = $objClass->getContentTabAdicional();
$view['list-filter-add'] = $objClass->getFilterAdditional();
$view['end_scripts'] .= $objClass->getFunctionAdditional();
            
