<?php
$id = $request->get('id') + 0;
        $page = $request->get('page') + 0;
        $page = ($page > 1 ? $page : 1);
        $qtdPorPagina = 5;
        $nu = new NewsUser();
        $paramAdd = "AND id IN(SELECT id_news FROM {$nu->getNomeTable()} WHERE id_user = {$objSession->get('id')})";
        
        $rs = News::Buscar('COUNT(id) qtd', '', '', "id NOT IN($id)".$paramAdd, 1);
        $rs->next();
        $total = $rs->getInt('qtd');
        $nrPaginas = ceil($total / $qtdPorPagina);
        $inicio = ($qtdPorPagina * ($page - 1));
        $fim = $inicio + $qtdPorPagina;

        $noticias = array();
        $rs = News::Buscar('id', '', '', "id NOT IN($id)".$paramAdd, 1, 'data DESC, id DESC', "{$inicio},{$fim}");
        while ($rs->next()) {
            $obj = News::CarregarObjeto($rs->getInt('id'));
            $noticias[] = array(
                'titulo' => Common::subText($obj->get('titulo'), 92,'ISO-8859-1'),
                'descricao' => Common::subText($obj->get('descricao'), 200,'ISO-8859-1'),
                'data' => Data::getFormat($obj->get('data'), 'd/m/y'),
                'img' => $obj->getImage('r'),
                'imgxs' => $obj->getImage('xs'),
                'imgsm' => $obj->getImage('sm'),
                'url' => __PATH__ . 'noticias/view/id/' . Common::friendlyUrl($obj->get('id'), $obj->get('titulo'))
            );
            unset($obj);
        }

        if (count($noticias) > 0) {
            foreach ($noticias as $noticia) {
                ?>
                <div class="col-sm-6">
                    <div class="news-group-item group-item">
                        <?php if ($noticia['img'] != '') { ?>
                            <div class="news-img item-img">
                                <a href="<?= $noticia['url'] ?>">
                                    <picture>
                                        <source media="(min-width: 481px)" srcset="<?= $noticia['imgsm'] ?>">
                                        <source media="(max-width: 480px)" srcset="<?= $noticia['imgxs'] ?>">
                                        <img srcset="<?= $noticia['imgxs'] ?>" class="img-responsive img-rounded" alt="">
                                    </picture>
                                </a>
                            </div>
                        <?php } ?>
                        <div class="news-title item-title"><a href="<?= $noticia['url'] ?>"><?= $noticia['titulo'] ?></a></div>
                        <div class="news-date item-date">(<?= $noticia['data'] ?>)</div>
                        <div class="news-summary item-summary"><p><?= $noticia['descricao'] ?></p></div>
                    </div>
                </div>

            <?php
            }
        } else {
            ?><p>Nenhuma not&iacute;cia encontrada</p><?
        }

        if ($nrPaginas > 1) {
            $ini_pg = ($page - 8) > 0 ? ($page - 7) : 1;
            $fim_pg = ($page + 7) < $nrPaginas ? ($page + 7) : $nrPaginas;
            ?>
            <div class="row">
                <div class="col-xs-12">
                    <ul class="pagination pagination-xs">
                        <? if ($page > 1) { ?> <li><a href="javascript:;" onclick="javascript:newsList(<?= $id ?>, <?= ($page - 1) ?>);">&laquo;</a></li> <? } else {
                            ?> <li><a href="javascript:;">&laquo;</a></li> <?
                        }

                        for ($i = $ini_pg; $i <= $fim_pg; $i++) {
                            if ($i == $page) {
                                ?><li><a href="javascript:;"><?= $i ?></a></li><? } else {
                                ?><li><a href="javascript:;" onclick="javascript:newsList(<?= $id ?>, <?= $i ?>);"><?= $i ?></a></li><?
                                }
                            }

                            if ($page < $nrPaginas) {
                                ?> <li><a href="javascript:;" onclick="javascript:newsList(<?= $id ?>, <?= ($page + 1) ?>);">&raquo</a></li> <? } else {
                                ?> <li><a href="javascript:;">&raquo</a></li> <? } ?>
                    </ul>
                </div>
            </div><?
        }