<?php

$view['title']  = 'Relatórios';
$url = __PATH__.$request->get('module').'/view/';

$urlAntes = '';
$urlDepois = '';

$paramAdd = "1=1";
if(Data::isValid($request->get('dia'))){
    $dia = $request->get('dia');
    $paramAdd .= " AND DATE(p.data_venda) = '{$dia}'";

    if($dia == date('Y-m-d'))
        $view['titulo'] = 'Hoje';
    elseif($dia == date('Y-m-d',strtotime('-1 day'))){
        $view['titulo'] = 'Ontem';
    }else{
        $view['titulo'] = Data::getFormat($dia,'d/m/Y');
    }
    
    $urlAntes = $url.'dia/'.date('Y-m-d',strtotime($dia.' -1 day'));
    $urlDepois = $url.'dia/'.date('Y-m-d',strtotime($dia.' +1 day'));


}elseif(Data::isValid($request->get('inicio')) && Data::isValid($request->get('fim'))){
    $inicio = $request->get('inicio');
    $fim = $request->get('fim');
    $paramAdd .= " AND DATE(p.data_venda) BETWEEN '{$inicio}' AND '{$fim}'";
    
    $view['titulo'] = Data::getFormat($inicio,'d/m/Y').' &agrave; '.Data::getFormat($fim,'d/m/Y');
    $diasaldo = date('d/m/Y',strtotime($inicio.' -1 day'));
}else{
    $mes = $request->get('mes');
    if(!Data::isValid($mes.'-01')){
        $mes = date('Y-m');
    }
    $data = $mes.'-01';  
    $mesano = Common::Replace('/[^0-9]/','',$mes);

    $urlAntes = $url.'mes/'.date('Y-m',strtotime($data.' -1 month'));
    $urlDepois = $url.'mes/'.date('Y-m',strtotime($data.' +1 month'));

    $paramAdd .= " AND DATE_FORMAT(p.data_venda,'%Y%m') = '{$mesano}'";
    $view['titulo'] = Data::getNomeMes(Data::getFormat($data,'m'),'PT').'/'.Data::getFormat($data,'Y');
    
}

$view['anterior'] = $urlAntes;
$view['proximo'] = $urlDepois; 

$conn = new Connection();
$registros = array();

$sql = "
    SELECT p.id_cliente, c.nomefantasia, SUM(IFNULL(pp.valor,0)+p.frete) vl, COUNT(p.id) qtd
FROM 
    pedidos p
    INNER JOIN clientes c ON p.id_cliente = c.id
    LEFT JOIN (SELECT id_pedido, SUM(quantidade*preco) valor, SUM(quantidade) qtd FROM produtospedido GROUP BY id_pedido) pp ON pp.id_pedido = p.id
WHERE 
    {$paramAdd}
GROUP BY 
    p.id_cliente, c.nomefantasia
ORDER BY 4 DESC
LIMIT 0,50
";
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $registros[] = $rs->getAllVars();
}

$view['registros'] = $registros;

$sql = "
    SELECT p.id_cliente, c.nomefantasia, SUM(IFNULL(pp.valor,0)+p.frete) vl, SUM(IFNULL(pp.qtd,0)) qtd
FROM 
    pedidos p
    INNER JOIN clientes c ON p.id_cliente = c.id
    LEFT JOIN (SELECT id_pedido, SUM(quantidade*preco) valor, SUM(quantidade) qtd FROM produtospedido GROUP BY id_pedido) pp ON pp.id_pedido = p.id
WHERE 
    {$paramAdd}
GROUP BY 
    p.id_cliente, c.nomefantasia
ORDER BY 4 DESC
LIMIT 0,50
";
$registros = array();
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $registros[] = $rs->getAllVars();
}

$view['registros2'] = $registros;

$sql = "
SELECT pd.nome, pd.sku, SUM(pp.quantidade) qtd, SUM(pp.quantidade*pp.preco) total
FROM produtospedido pp INNER JOIN pedidos p ON pp.id_pedido = p.id INNER JOIN produtos pd ON pp.id_produto = pd.id
WHERE 
    {$paramAdd}
GROUP BY pd.nome, pd.sku
ORDER BY 3 DESC
LIMIT 0,50
";
//echo $sql;
$registros = array();
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $registros[] = $rs->getAllVars();
}

$view['registros3'] = $registros;

$registros = array();

$sql = "
    SELECT p.id_cliente, c.nomefantasia, SUM(IFNULL(pp.valor,0)+p.frete) vl, COUNT(p.id) qtd
FROM 
    pedidos p
    INNER JOIN clientes c ON p.id_cliente = c.id
    LEFT JOIN (SELECT id_pedido, SUM(quantidade*preco) valor, SUM(quantidade) qtd FROM produtospedido GROUP BY id_pedido) pp ON pp.id_pedido = p.id
WHERE 
    {$paramAdd}
GROUP BY 
    p.id_cliente, c.nomefantasia
ORDER BY 3 DESC
LIMIT 0,50
";
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $registros[] = $rs->getAllVars();
}

$view['registros4'] = $registros;


$sql = "SELECT c.nome, COUNT(p.id) qtd FROM  pedidos p INNER JOIN canaisvenda c ON p.id_canalvenda = c.id WHERE {$paramAdd} GROUP BY c.nome ORDER BY 2 DESC";
$cv_lbl = $cv_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
$i=$outros=0;
while($rs->next()){
    if(++$i < 5){
        $cv_lbl .= ($cv_lbl != ''?',':'')."'{$rs->getString('nome')}'";
        $cv_vl .= ($cv_vl != ''?',':'').$rs->getInt('qtd');
    }else{
        $outros+= $rs->getInt('qtd');
    }
}
$cv_lbl .= ($cv_lbl != ''?',':'')."'Outros'";
$cv_vl .= ($cv_vl != ''?',':'').$outros;

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartcv'), {
                chart: { 
                    type: 'donut',
                    height: '246px',},
                legend: {
                    position: 'bottom'
                },
                dataLabels: {
                    enabled: true
                },
                labels: [{$cv_lbl}],
                series: [{$cv_vl}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%'
                        },
                    }
                }]
            }
        )).render();
";



/*
$sql = "SELECT c.sexo, COUNT(p.id) qtd FROM  pedidos p INNER JOIN clientes c ON p.id_cliente = c.id WHERE {$paramAdd} GROUP BY c.sexo ORDER BY 2 DESC";
$sx_lbl = $sx_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $sx_lbl .= ($sx_lbl != ''?',':'')."'".Cliente::$nmSexo[$rs->getInt('sexo')]."'";
    $sx_vl .= ($sx_vl != ''?',':'').$rs->getInt('qtd');
}


$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartsx'), {
                chart: { 
                    type: 'donut',
                    height: '246px',},
                legend: {
                    position: 'bottom'
                },
                dataLabels: {
                    enabled: true
                },
                labels: [{$sx_lbl}],
                series: [{$sx_vl}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%'
                        },
                    }
                }]
            }
        )).render();
";
*/


/*
$sql = "SELECT f.nome, SUM(p.qtd) qtd 
FROM
    posvendaonline_system.faixasetarias f INNER JOIN 
    (
        SELECT IFNULL(DATE_FORMAT(FROM_DAYS(DATEDIFF(NOW(), c.nasc)), '%Y')+0,0) idade, COUNT(p.id) qtd
        FROM pedidos p INNER JOIN clientes c ON p.id_cliente = c.id 
        WHERE {$paramAdd}
        GROUP BY 1
    ) p ON p.idade BETWEEN f.inicio AND f.fim
GROUP BY f.nome";
$fe_lbl = $fe_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $fe_lbl .= ($fe_lbl != ''?',':'')."'{$rs->getString('nome')}'";
    $fe_vl .= ($fe_vl != ''?',':'').$rs->getInt('qtd');
}


$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartfe'), {
                chart: { 
                    type: 'donut',
                    height: '246px',},
                legend: {
                    position: 'bottom'
                },
                dataLabels: {
                    enabled: true
                },
                labels: [{$fe_lbl}],
                series: [{$fe_vl}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%'
                        },
                    }
                }]
            }
        )).render();
";
*/

/*
$sql = "SELECT qtd, COUNT(id_cliente) FROM (SELECT p.id_cliente, COUNT(p.id) qtd FROM pedidos p WHERE {$paramAdd} GROUP BY id_cliente) x GROUP BY qtd";
$qt_compras = [];
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $qt_compras[] = $rs->getInt('qtd');
}
*/


$sql = "SELECT c.estado, COUNT(p.id) qtd FROM  pedidos p INNER JOIN clientes c ON p.id_cliente = c.id WHERE {$paramAdd} GROUP BY c.estado ORDER BY 2 DESC";
$es_lbl = $es_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
$i=$outros=0;
while($rs->next()){
    if(++$i < 10){
        $es_lbl .= ($es_lbl != ''?',':'')."'{$rs->getString('estado')}'";
        $es_vl .= ($es_vl != ''?',':'').$rs->getInt('qtd');
    }else{
        $outros+= $rs->getInt('qtd');
    }
}
if($outros > 0){
    $es_lbl .= ($es_lbl != ''?',':'')."'Outros'";
    $es_vl .= ($es_vl != ''?',':'').$outros;
}

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartes'), {
                chart: { 
                    type: 'donut',
                    height: '246px',},
                legend: {
                    position: 'bottom'
                },
                dataLabels: {
                    enabled: true
                },
                labels: [{$es_lbl}],
                series: [{$es_vl}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%'
                        },
                    }
                }]
            }
        )).render();
";
/*
$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartes'), {
                chart: { 
                    type: 'bar', 
                    height: '90%',
                    toolbar: {show: false }},
                plotOptions: {
                    bar: {
                        barHeight: '80%',
                        horizontal: true,
                    }
                },
                labels: [{$es_lbl}],
                series: [{
                    name: 'Vendas',
                    data: [{$es_vl}],
                }],
                responsive: [{
                    breakpoint: 1366,
                    options: {
                        chart: {
                            width: '100%',
                        },
                        legend: {
                            position: 'bottom'
                        },
                    },
                    breakpoint: 1365,
                    options: {
                        chart: {
                            height: '250'
                        },
                    },
                }]
            }
        )).render();
";*/



