<?php
$view['title']  = 'Vendas';

include dirname(__FILE__).'/config.pedidos.php';
$conn = new Connection();

$sql = "SELECT CEILING(SUM(diff)/COUNT(id)) FROM (SELECT id, TIMESTAMPDIFF(SECOND, inicio, fim) diff from posvendas WHERE status = 3) pv";
$view['posvendas_media'] = $conn->prepareStatement($sql)->executeScalar()+0;

$module = $request->getParameter('module');
$action = $request->getParameter('action');
$page = ($request->getParameter('page') != '' ? $request->getParameter('page') : 1);
$qtd = ($request->getParameter('qtd') != '' ? $request->getParameter('qtd') : 25);
$order = (array_key_exists($request->getParameter('ordenacao'), $Modules['list-order']) ? $request->getParameter('ordenacao') : $Modules['ordenacao']);
$reqBusca = '';//utf8_decode($request->get('busca'));
//$view['busca'] = utf8_decode($request->get('busca'));

$view['url']  = __PATH__.$request->get('module').'/list';


$view['qtd']    = $qtd;
$view['pagina'] = $page;
$view['list-order']  = $Modules['list-order'];
$view['list-filter'] = $Modules['list-filter'];
$view['hasHeader'] =  false;
$view['ordenacao'] =  $order;


if( $request->get('msg') == 'success')  $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro salvo com sucesso!", "success", true);
if( $request->get('msg') == 'dsuccess') $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro(s) exclu&iacute;do(s) com sucesso!", "success", true);
if( $request->get('msg') == 'error')    $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao salvar registro.", "danger", true);
if( $request->get('msg') == 'derror')   $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao excluir registro(s).", "danger", true);


$paramAdd = "1=1";

$view['dtvi'] = $request->get('dtvi');
$view['dtvf'] = $request->get('dtvf');
$view['dtei'] = $request->get('dtei');
$view['dtef'] = $request->get('dtef');
$view['dtpi'] = $request->get('dtpi');
$view['dtpf'] = $request->get('dtpf');
$view['situacoes'] = array();

$situacoes = Common::Replace('/[^0-9,]/','',$request->get('situacoes'));
if($situacoes != ''){
    $view['situacoes'] = explode(',', $situacoes);
    if($situacoes == 4) $situacoes = '1,3';
    $paramAdd .= " AND status IN({$situacoes})";
    if(in_array('4', $view['situacoes'])){
        $paramAdd .= " AND (data_previsao < DATE(NOW()) OR data_previsao < data_entrega OR status = 4)";
    }
}

if($view['dtvi']!='' && Data::isValid($view['dtvi'])){ 
    $paramAdd .= " AND DATE(data_venda) >= '{$view['dtvi']}'";
    $view['url'] .= '/dtai/'.$view['dtvi'];
}
if($view['dtvf']!='' && Data::isValid($view['dtvf'])){
    $paramAdd .= " AND DATE(data_venda) <= '{$view['dtvf']}'";
    $view['url'] .= '/dtvf/'.$view['dtvf'];
}
if($view['dtei']!='' && Data::isValid($view['dtei'])){
    $paramAdd .= " AND DATE(data_entrega) >= '{$view['dtei']}'";
    $view['url'] .= '/dtei/'.$view['dtei'];
}
if($view['dtef']!='' && Data::isValid($view['dtef'])){
    $paramAdd .= " AND DATE(data_entrega) <= '{$view['dtef']}'";
    $view['url'] .= '/dtef/'.$view['dtef'];
}
if($view['dtpi']!='' && Data::isValid($view['dtpi'])){
    $paramAdd .= " AND DATE(data_previsao) >= '{$view['dtpi']}'";
    $view['url'] .= '/dtpi/'.$view['dtei'];
}
if($view['dtpf']!='' && Data::isValid($view['dtpf'])){
    $paramAdd .= " AND DATE(data_previsao) <= '{$view['dtpf']}'";
    $view['url'] .= '/dtpf/'.$view['dtef'];
}

if($request->get('cliente')+0>0){
    $cliente = $request->get('cliente')+0;
    $paramAdd .= " AND id_cliente IN ({$cliente})";
    $view['cliente'] = $cliente;
    $view['clienteObj'] = Cliente::CarregarObjeto($cliente);
    $view['url'] .= '/cliente/'.$cliente;
}else{
    $view['cliente'] = '';
}  


if($request->get('produto')+0>0){
    $produto = $request->get('produto')+0;
    $paramAdd .= " AND id IN (SELECT id_pedido FROM produtospedido WHERE id_produto IN({$produto}))";
    $view['produto'] = $produto;
    $view['produtoObj'] = Produto::CarregarObjeto($produto);
    $view['url'] .= '/produto/'.$produto;
}else{
    $view['produto'] = '';
}  

if($request->get('empresa')!=''){
    $empresa = $request->get('empresa')+0;
    $paramAdd .= " AND id_empresa IN ({$empresa})";
    $view['empresa'] = $empresa;
    $view['url'] .= '/empresa/'.$empresa;
}else{
    $view['empresa'] = '';
}  

if($request->get('canalvenda')!=''){
    $canal = $request->get('canalvenda')+0;
    $paramAdd .= " AND id_canalvenda IN ({$canal})";
    $view['canalvenda'] = $canal;
    $view['url'] .= '/canalvenda/'.$canal;
}else{
    $view['canalvenda'] = '';
}  

if($request->get('formaenvio')!=''){
    $envio = $request->get('formaenvio')+0;
    $paramAdd .= " AND id_formaenvio IN ({$envio})";
    $view['formaenvio'] = $envio;
    $view['url'] .= '/formaenvio/'.$envio;
}else{
    $view['formaenvio'] = '';
}  

if($request->get('recompra')+0 == 1){
    $paramAdd .= " AND id_cliente IN ( SELECT id_cliente FROM `pedidos` GROUP BY id_cliente HAVING count(id) > 1)";
    $view['recompra'] = 1;
    $view['url'] .= '/recompra/1';
}else{
    $view['recompra'] = '';
}  



$rs = call_user_func_array(array($Modules['class'], 'Buscar'), array("count(*) as qtd", '', '', $paramAdd));
$rs->next();
$totalRegistros = $rs->getInt("qtd");
unset($rs);

if ($qtd != "todos" && $action != 'csv') {
    $qtdpaginas = ceil($totalRegistros / $qtd);
    $inicio = ($qtd * ($page - 1));
    $fim = $qtd;
} else {
    $qtdpaginas = 1;
    $inicio = 0;
    $fim = $totalRegistros;
}

$rs = call_user_func_array(array($Modules['class'], 'Buscar'), array("id", '', '', $paramAdd, $order, "$inicio, $fim"));
if ($qtd != 'todos') {
    if ($rs->numRows() < $qtd) {
        $linhas = $rs->numRows();
    } else {
        $linhas = $qtd;
    }
} else {
    $linhas = $rs->numRows();
}


$view['nrPaginas'] = $qtdpaginas;
$view['pagina'] = $page;
$view['totalregistros'] = $totalRegistros;


if ($rs->numRows() > 0) {
    $view['registros'] = call_user_func_array(array($Modules['class'], 'GetTable'), array($rs));
} else {
    $view['registros'] = "<div class=\"table-responsive\"><table class=\"table\"><tr><td align=\"center\">Nenhum registro localizado.</td></tr></table></div>";
}

