<?php

header('Content-Type: text/html; charset=ISO-8859-1');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

global $request, $view;

function cadastraNews($nome, $email, $tipo='news'){
  $rs = Email::Buscar('id',$email,'email=');
  if($rs->next()){
      $obj = Email::CarregarObjeto($rs->getInt('id'));
      if($nome != $email ) $obj->set('nome',$nome);
      $obj->set($tipo,1);
      $obj->set('ativo',1);
      $obj->Alterar();

  }else{
      $obj = new Email();
      $obj->set('nome',$nome);
      $obj->set('email',$email);
      $obj->set('news',0);
      $obj->set('contato',0);
      $obj->set('orcamento',0);
      $obj->set('ativo',1);

      $obj->set($tipo,1);

      $ret = $obj->Inserir();
      $obj->set('id',$ret[0]);
  }
}


$retorno = array();
$retorno['ok'] = false;


    switch ($request->getParameter('action')) {

        case 'save-pre-cadastro' :
            foreach($_POST as $k => $v){
                $_POST[$k] = Common::antiInjection($v);
            }


            $rs = PreCadastro::Buscar('id',$_POST['url'],'subdominio=');

            if (
                $_POST['nome'] == '' 
                || !Common::checkEmail($_POST['email']) 
                || $_POST['telefone'] == '' 
                || $_POST['url'] == '' 
                || $_POST['id_plano'] == '' 
            ) {
                MessageBox::Show('Os campos n&atilde; foram preenchidos corretamente','danger');
            
            } elseif(!Plano::VerificaExistencia($_POST['id_plano'],'id')) {
                MessageBox::Show('Desculpe, plano inexistente.','danger');
            
            } elseif(Common::Replace('/[0-9a-z]/','',strtolower($_POST['url'])) != '' || strlen($_POST['url']) > 20) {
                MessageBox::Show('Subdom&ieacute;nio inv&aacute;lido. Por favor utilize apenas letras e n&uacute;meros e at&eacute; 20 caracteres.','danger');
           
            } elseif($rs->next()) {

                $objPainel = PreCadastro::CarregarObjeto($rs->getInt('id'));
                if($objPainel->get('status') == 1 && $objPainel->get('email') == $_POST['email']){
                    $objPlano = Plano::CarregarObjeto($_POST['id_plano']+0);
                    MessageBox::Show('Voc&ecirc; j&aacute; fez o registro deste painel.<br><br><a href="javascript:;" class="btn btn-primary btn-block" onclick="openHotmart(\''.$objPlano->get('url').'\')">Efetuar o pagamento</a>','warning');
                }else{
                    MessageBox::Show('Desculpe, este endere&ccedil;o j&aacute; est&aacute; em uso.','danger');
                }
              
            } else {
                $objPlano = Plano::CarregarObjeto($_POST['id_plano']+0);
                
                $obj = new PreCadastro();
                $obj->set('id_plano', $objPlano->get('id'));
                $obj->set('nome', $_POST['nome']);
                $obj->set('celular', Common::Replace('/[^0-9]/','',$_POST['telefone']));
                $obj->set('email', $_POST['email']);
                $obj->set('subdominio', strtolower($_POST['url']));
                $obj->set('banco', strtolower($_POST['url']));
                $obj->set('status', 1);
                $obj->Inserir();

                $msg = "
                <p>Ol&aacute; {$_POST['nome']},</p>
                <p>Obrigado por se cadastrar em nossa lista de espera. Nossa equipe j&aacute; foi informada do seu desejo em adquirir nossa solu&ccedil;&atilde;o.</p>
                <p>O endere&ccedil;o de seu painel j&aacute; foi reservado e, assim que for conferido e ativado, voc&ecirc; poder&aacute; iniciar o uso.</p>
                <p>Em breve nossa equipe entrar&aacute; em contato.</p>
                <p>Grande abra&ccedil;o.</p>
                <p>Atenciosamente,<br>
                Equipe {$Config->NomeSite}</p>
                ";

                $mail = new Mail();
                $mail->SendMail('contato@posvenda.online', 'Pos-venda Online', "Cadastro realizado com sucesso", array($_POST['email']), $msg, array(), array('contato@posvenda.online','contato@flexpoint.com.br'));



                $retorno['url'] = $objPlano->get('url');
                $retorno['ok'] = true;

                MessageBox::Show('Obrigado por realizar seu pre-cadastro. Em breve nossa equipe entrar&aacute; em contato.','success');
            }
            break;


        case 'post-list' :
            $id = $request->get('id')+0;
            $tipo = $request->get('tipo')+0;
            $categoria = $request->get('categoria')+0;
            $page = $request->get('page')+0;
            $per_page = $request->get('per_page')+0;
            $format = $request->get('format')+0;
            $page = ($page > 1 ? $page : 1);

            $per_line = 3;
            $first = ($page-1)*$per_page;

            $rs = Publicacao::Buscar('count(id) qtd','','','id <> '.$id,'data DESC');
            $rs->next();
            $pages = ceil($rs->getInt('qtd')/$per_page);
            $rs = Publicacao::Buscar('id','','','id <> '.$id,'data DESC',"{$first}, {$per_page}");
            
            $view['registros'] = array();
            while($rs->next()){
                $view['registros'][] = Publicacao::CarregarObjeto($rs->getInt('id'));
            }

            echo '<div class="row">';
            if(count($view['registros']) > 0)
            {

              for ($i=0; $i < count($view['registros']); $i++)
              {

                  if($i>0 && $i%$per_line==0) echo '</div><div class="row">';
                  
                  $obj = $view['registros'][$i];
                  $link = __PATH__.'blog/'.Common::hotUrl($obj->get('id'),$obj->get('titulo'));

                  echo '
                  <div class="col-sm-4">
                    <a href="'.$link.'">
                      '.($obj->getImage() != '' ? '<span class="ratio ratio-16p9"><img src="'.$obj->getImage('r').'" class="img-responsive"/></span>' : '').'
                      <small>'.Data::getFormat($obj->get('data'),'d/m/Y').'</small>
                      <h3>'.$obj->get('titulo').'</h3>
                    </a>
                  </div>';

              }
            }else{
                echo '<p class="text-center">Nada encontrado.</p>';
            }
            
            echo '</div>';


            if($pages > 1){
                
              if($page+1 <= $pages){
                echo '<div id="postagens'.$page.'"><button class="btn btn-primary" onclick="postList('.$tipo.', '.$id.', '.$categoria.', '.($page+1).','.$per_page.','.$format.', \'postagens'.$page.'\');">Mais publica&ccedil;&otilde;es</button></div>';
              }
            }
              


            break;
        /*
        case 'send-contact' :
            foreach($_POST as $k => $v){
                $_POST[$k] = Common::antiInjection($v);
            }

            if (
                $_POST['nome'] == '' 
                || !Common::checkEmail($_POST['email']) 
                || $_POST['telefone'] == '' 
                || $_POST['cidade'] == '' 
                || $_POST['mensagem'] == ''
            ) {
                MessageBox::Show('Os campos n&atilde; foram preenchidos corretamente','danger');
            } else {
                $msg = "
                  <p>".nl2br($_POST['mensagem'])."</p>
                  <p>
                      {$_POST['nome']}<br/>
                      Telefone: {$_POST['telefone']}<br/>
                      Cidade: {$_POST['cidade']} - {$_POST['pais']}<br/>
                      Email: <a href=\"mailto:{$_POST['email']}\">{$_POST['email']}</a>
                  </p>
                  ";

                $mail = new Mail();
                $destinatarios = array($Config->Email);
                if($Config->EmailSec != ''){
                    $destinatarios[] = $Config->EmailSec;
                }
                //$destinatarios[] = 'eliemarjunior@gmail.com';

                cadastraNews($_POST['nome'], $_POST['email'], 'contato');

                if ($mail->SendMail($_POST['email'], $_POST['nome'], 'Contato via site', $destinatarios, $msg))
                {
                    $url .= 'success';
                    $retorno['ok'] = true;
                    MessageBox::Show('Mensagem efetuada com sucesso. Em breve entraremos em contato.','success');
                }else{
                    MessageBox::Show('Erro ao efetuar contato. Tente novamente mais tarde.','danger');
                }
            }
            break;

        case 'send-budget' :
            foreach($_POST as $k => $v){
                $_POST[$k] = Common::antiInjection($v);
            }

            if ($_POST['nome'] == '' || $_POST['local'] == '' || !Common::checkEmail($_POST['email']) || $_POST['telefone'] == '' || $_POST['metragem'] == '') {
                Common::Show('Os campos n&atilde; foram preenchidos corretamente','success');
            } else {
                $msg = "
                  <p>Ol&aacute;,</p>
                  <p>Gostaria de um or&ccedil;amento:</p>
                  <p>
                      {$_POST['nome']}<br/>
                      Telefone: {$_POST['telefone']}<br/>
                      Local: {$_POST['local']}<br/>
                      Metragem: {$_POST['metragem']}<br/>
                      <a href=\"mailto:{$_POST['email']}\">{$_POST['email']}</a>
                  </p>
                  ";

                $mail = new Mail();
                $destinatarios = array($Config->Email);
                if($Config->EmailSec != ''){
                    $destinatarios[] = $Config->EmailSec;
                }
                //$destinatarios[] = 'eliemarjunior@gmail.com';
                
                cadastraNews($_POST['nome'], $_POST['email'], 'orcamento');

                if ($mail->SendMail($_POST['email'], $_POST['nome'], html_entity_decode('Or&ccedil;amento via site','0','iso-8859-1'), $destinatarios, $msg))
                {
                    $url .= 'success';
                    $retorno['ok'] = true;
                    Common::Show('Or&ccedil;amento enviado com sucesso. Em breve entraremos em contato.','success');
                }else{
                    Common::Show('Erro ao enviar or&ccedil;amento. Detalhes: '.$retorno['message'],'danger');
                }

            }
            break;

        case 'get-planos-bairro':
          $id = $request->get('id');

          $conn = new Connection();

          $rsC = Categoria::Buscar('id, nome', 1, 'id_tipo','',1,'ordem');
          $view['categorias'] = [];
          while($rsC->next()){
            $id_categoria = $rsC->getInt('id');
            $view['categorias'] += [
              $id_categoria => [
                'nome' => $rsC->getString('nome'),
                'planos' => [],
              ],
            ];
            $sql = "SELECT p.id, p.nome, p.descricao, pp.valor, pp.instalacao
                FROM precosplano pp INNER JOIN planos p ON pp.id_plano = p.id 
                WHERE p.id_tipo = 1 AND pp.id_bairro = {$id} AND p.id_categoria = {$id_categoria} 
                ORDER BY pp.valor";
            $rs = $conn->prepareStatement($sql)->executeReader();
            while($rs->next()){
              
              $view['categorias'][$id_categoria]['planos'][] = $rs->getAllVars();
            }
          }


          echo '<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">';
          $i=0; 
          foreach ($view['categorias'] as $id_cat => $cat) { 
              $i++;
              echo '
              <div class="panel">
              <h2>
                <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse'.$id_cat.'" aria-expanded="true" aria-controls="collapse'.$id_cat.'">
                '.$cat['nome'].'
                </a>
              </h2>
              <div id="collapse'.$id_cat.'" class="panel-collapse collapse'.($i==1?' in':'').'" role="tabpanel" aria-labelledby="heading'.$id_cat.'">
                <div class="panel-body">
                  <ul class="list-unstyled">';
                    
                    if(count($cat['planos'])){ 
                        foreach($cat['planos'] as $p){ 
                          echo '
                          <li class="selPlans" id="plan'.$p['id'].'" data-id="'.$p['id'].'" data-name="'.$p['nome'].'" data-price="'.$p['valor'].'" data-install="'.$p['instalacao'].'">
                            <h3>'.$p['nome'].'</h3>
                            <p>'.strip_tags($p['descricao'],'<br>').'</p>
                            <div><button type="button" onclick="addPlan('.$p['id'].');" class="btn btn-primary">Adicionar</button></div>
                          </li>';
                        }
                    }else{
                      echo '<li><h3>Aguarde, teremos novidades em breve!</h3><p>&nbsp;</p></li>';
                    }
                echo '
                    </ul>
                  </div>
                </div>
              </div>';
          }
          echo '</div>';

          break;

        case 'get-bairros' : 
          $id = $request->get('id')+0;
          $rs = Bairro::Buscar('id,nome',$id,'id_cidade','','','nome');
          echo '<option value="0">Selecione seu bairro</option>';
          while($rs->next()){
            echo '<option value="'.$rs->getInt('id').'">'.$rs->getString('nome').'</option>';
          }
          break;
        */
        default :
             Common::Show("A&ccedil;&atilde;o incorreta.", "danger");
    }

if($request->get('json')!='false'){
    $retorno['data'] = ob_get_contents();
    ob_end_clean();
    echo json_encode($retorno);
}
