<?php

$view['title'] = 'Publica&ccedil;&otilde;es - '.$view['title'];
$canonical = 'https://'.$_SERVER['SERVER_NAME'].__PATH__.'amp/';

$id=0;
if($request->get('action') != '')
{   
    $parts = explode("-",$request->get('action'));
    $id = end($parts)+0;
}

if($id > 0){

    if(!Publicacao::VerificaExistencia($id,'id')){
        $view['registro'] = [
            'titulo' => 'Registro n&atilde;o encontrado',
            'title' => 'Registro n&atilde;o encontrado',
            'subtitulo' => '',
            'descricao' => '<p>O registro buscado n&atilde;o foi encontrado.</p>',
            'data' => date('Y-m-d H:i:s'),
        ];
        $obj = $view['registro'];
    }else{

        $obj = Publicacao::CarregarObjeto($id);
        $view['thumbs'] = array();
    
        $view['registro'] = $obj;
        $view['amp'] = '<link rel="amphtml" href="'.$canonical.Common::hotUrl($obj->get('id'),$obj->get('titulo')).'">';
        $rs = Foto::Buscar('id',$obj->get('id'),'id_tipo',"AND tipo = '{$obj->getNomeTable()}'");
        while($rs->next()){
          $view['thumbs'][] = Foto::CarregarObjeto($rs->getInt('id'));
        }

        $view['og'] = array(
            'url' => 'https://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'],
            'title' => Common::Replace('#<[^>]+>#', ' ', $obj->get('titulo')),
            'image' => $obj->getImage('r'),
            'description' => $obj->get('subtitulo'), 
            'type' => 'website',
        );

        
        $view['json-ld']["@context"] = "http://schema.org";
        $view['json-ld']["@type"] = "NewsArticle";
        $view['json-ld']["mainEntityOfPage"] = array(
            '@type' => 'WebPage',
            '@id' => 'https://'.$_SERVER['SERVER_NAME'].__PATH__.'blog',
        );
        $view['json-ld']["headline"] = $view['og']['title'];
        $view['json-ld']["description"] = $view['og']['description'];
        $view['json-ld']["datePublished"] = $view['og']['dt_cad'];
        $view['json-ld']["dateModified"] = $view['og']['dt_ualt'];
        $view['json-ld']["image"] = [];
        
        if($view['og']['image']!=''){
            $view['json-ld']["image"][] = $view['og']['image'];
        }
    
        $view['description'] = $view['og']['description'];
        if($view['og']['description'] == '') {
            $view['og']['description'] = $view['description'] = Common::subText($obj->get('descricao'),500);
        }
        
    }

    $view['title'] = Common::Replace('#<[^>]+>#', ' ', $obj->get('titulo')).' - '.$view['title'];
    $view['end_scripts'] .= "postList(0, {$id}, 0, 1, 9, 0, 'postagens')";
}else{

    $view['end_scripts'] .= "postList(0, 0, 0, 1, 9, 0, 'postagens')";
    

}
