<?php

class File {
    
    public static function SaveFromUpload($fileBefore, $nmFile, $id, $dest){
        global $defaultPath;
        
        if(is_array($nmFile)){
            $upFile = $nmFile;
        }else{
            $upFile = $_FILES[$nmFile];
        }
        
        self::DeleteFile($id, $dest, $fileBefore);
        $dest = $defaultPath."uploads/".$dest.($dest[(strlen($dest)-1)] == '/'?'':'/');
        $nameFile = $dest.str_pad($id+0, 7, '0',STR_PAD_LEFT).'_';
        $extesion = Common::getFileExtension($upFile["name"]);
        $newName = self::configureName($upFile["name"]);
        if(!is_dir($dest)){
            mkdir($dest,0777,true);
        }
        chmod($dest, 0777);

        $file = $nameFile.$newName;
        $ok = move_uploaded_file($upFile["tmp_name"],$file);
        chmod($file, 0777);
        return $ok;
    }
    
    public static function DeleteFile($id, $dest, $file){
        global $defaultPath;
        $dest = $defaultPath."uploads/".$dest.($dest[(strlen($dest)-1)] == '/'?'':'/');
        $nameFile = $dest.str_pad($id+0, 7, '0',STR_PAD_LEFT).'_'.$file;
        if(file_exists($nameFile)){
            unlink($nameFile);
        }
           
    }
    
    public static function ShowFileGG($objeto, $label="Arquivo Atual", $nmFile="file"){
        $file = $objeto->getFile(0, '',$nmFile);
        $string  = '';
        if($file != ''){
            $string .= '<div class="form-group col-xs-12" id="file_atual">';
            $string .= '<label for="">'.$label.'</label>';
            $string .= ' | <a href="javascript:;" id="link_del" onclick="javascript: deleteFile(\''.base64_encode($objeto->getPhysicalFile(0,'',$nmFile)).'\',\'file_atual\');" class="btn btn-danger btn-xs">Excluir arquivo</a>';
            $string .= ' | <a href="'.$file.'" class="btn btn-primary btn-xs" target="_blank">Baixar</a>';
            $string .= '</div>';
        }
        return $string;
    }
    
    
    public static function configureName($name){
        return Common::Replace('/[^0-9a-zA-Z_\-\.]/i','',Common::removeDiatrics(strtolower($name)));
    }
    
    
}
