<?php

class Config extends Flex {

    protected $nomeTable = 'configs';
    protected $mapper = array(
        'chave' => 'string',
        'valor' => 'string',
        'usr_cad' => 'string',
        'dt_cad' => 'sql',
        'usr_ualt' => 'string',
        'dt_ualt' => 'sql',
    );
    protected $primaryKey = array('chave');
    
    public static function Excluir($ids) {
        $classe = __CLASS__;
        $objeto = new $classe();
        return $objeto->Exclui(array('chave' => $ids));
    }

    public static function CarregarObjeto($id) {
        $classe = __CLASS__;
        $objeto = new $classe(array($id));
        $objeto->carregaObjeto();
        return $objeto;
    }

    public static function Buscar($select = "chave", $parametro = "", $opcao = "", $parametro_adicional = "", $ativo = "", $ordena = "", $limit = "") {
        $classe = __CLASS__;
        $objeto = new $classe();
        $ativo = '';
        return $objeto->searchInTable($select, $parametro, $opcao, $parametro_adicional, $ativo, $ordena, $limit);
    }
        

    public static function VerificaExistencia($parametro, $tipo, $parametro_adicional = "") {

        $rs = self::Buscar("chave", $parametro, $tipo, $parametro_adicional);
        if ($rs->numRows() > 0)
            return true;
        else
            return false;
    }

    public static function getConfig($chave){
        $rs = self::Buscar('valor',$chave,'chave=');
        if($rs->next()){
            return $rs->getString('valor');
        }else{
            return '';
        }    
    }

}
