<?php

class GrupoUsuario extends Flex {

    protected $nomeTable = 'gruposusuario';
    protected $mapper = array(
        'id_grupo' => 'int',
        'id_usuario' => 'int',
    );
    protected $primaryKey = array('id_grupo', 'id_usuario');

    public function Insere() {
        $retorno = $this->Inserir(false);
        return $retorno[0];
    }

    public static function InsereGrupo($id_usuario, $id_grupo) {
        $classe = __CLASS__;
        $objeto = new $classe();
        try {
            $id_grupo +=0;
            $id_usuario +=0;
            $connection = new Connection();
            $sql = "INSERT INTO {$objeto->getNomeTable()} (id_usuario, id_grupo) VALUES ({$id_usuario},{$id_grupo})";
            $connection->prepareStatement($sql)->executeQuery();
            return true;
        } catch (SQLException $e) {
            echo $e->getMessage();
            return false;
        }
        return false;
    }

    public static function ExcluirGrupos($id_usuario) {
        $classe = __CLASS__;
        $objeto = new $classe();
        try {
            $id_usuario +=0;
            $connection = new Connection();
            $sql = "DELETE FROM {$objeto->getNomeTable()} WHERE id_usuario = {$id_usuario}";
            $statement = $connection->prepareStatement($sql);
            $statement->executeQuery();
            return true;
        } catch (SQLException $e) {
            echo $e->getMessage();
            return false;
        }
        return false;
    }
    

    public static function CarregarObjeto($id_grupo, $id_usuario) {
        $classe = __CLASS__;
        $objeto = new $classe(array($id_grupo, $id_usuario));
        $objeto->carregaObjeto();
        return $objeto;
    }

    public static function Buscar($select = "id", $parametro = "", $opcao = "", $parametro_adicional = "", $ordena = "", $limit = "") {
        $classe = __CLASS__;
        $objeto = new $classe();
        if ($opcao == 'grupo') {
            $opcao = 'id_grupo';
        }
        if ($opcao == 'usuario') {
            $opcao = 'id_usuario';
        }
        return $objeto->searchInTable($select, $parametro, $opcao, $parametro_adicional, '', $ordena, $limit);
    }

    public static function VerificaExistencia($parametro, $tipo, $parametro_adicional = "") {

        $rs = self::Buscar("id_grupo", $parametro, $tipo, $parametro_adicional);
        if ($rs->numRows() > 0)
            return true;
        else
            return false;
    }
}