<div class="modal fade" id="contato" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form id="form-config-contato" method="post" onsubmit="javascript: return saveFormXml('contato');">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">Contato</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label for="">Nome da Empresa</label>
                            <input type="text" name="NomeEmpresa" class="form-control" value="<?= $Config->NomeEmpresa ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">CPF/CNPJ</label>
                            <input type="text" name="Cnpj" class="form-control cpfcnpj" value="<?= $Config->Cnpj ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Rua</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-home"></span></span>
                                <input type="text" name="Endereco" class="form-control" value="<?= $Config->Endereco ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-3">
                            <label for="">N&uacute;mero</label>
                            <input type="text" name="Numero" class="form-control" value="<?= $Config->Numero ?>">
                        </div>
                        <div class="form-group col-sm-3">
                            <label for="">Complemento</label>
                            <input type="text" name="Complemento" class="form-control" value="<?= $Config->Complemento ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Bairro</label>
                            <input type="text" name="Bairro" class="form-control" value="<?= $Config->Bairro ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Cidade</label>
                            <input type="text" name="Cidade" class="form-control" value="<?= $Config->Cidade ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">CEP</label>
                            <input type="text" name="Cep" class="form-control cep" value="<?= $Config->Cep ?>">
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Estado</label>
                            <select class="form-control" name="Estado">
                                <? foreach ($Estados as $key => $value) { ?>
                                    <option value="<?= $key ?>" <?= ($Config->Estado == $key ? " selected " : "") ?>><?= $value ?></option>
                                <? } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-6">
                            <label for="">Telefone Fixo</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-earphone"></span></span>
                                <input type="text" name="Telefone" class="form-control phone" value="<?= $Config->Telefone ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Whatsapp</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-earphone"></span></span>
                                <input type="text" name="Whatsapp" class="form-control phone" value="<?= $Config->Whatsapp ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">Telefone 0800</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-earphone"></span></span>
                                <input type="text" name="Tel0800" class="form-control" value="<?= $Config->Tel0800 ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">E-mail Contato</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-envelope"></span></span>
                                <input type="text" name="Email" class="form-control" value="<?= $Config->Email ?>">
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label for="">E-mail Secund&aacute;rio</label>
                            <div class="input-group">
                                <span class="input-group-addon"><span class="glyphicon glyphicon-envelope"></span></span>
                                <input type="text" name="EmailSec" class="form-control" value="<?= $Config->EmailSec ?>">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" id="btnClose-contato" class="btn btn-default" data-dismiss="modal">Fechar</button>
                    <button type="submit" id="btnSave-contato" class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Salvar</button>
                </div>
            </form>
        </div>
    </div>
</div>