<div class="home report">

    <div class="row">

        <div class="col-sm-12 col-lg-12">

            <div class="row">

                <div class="col-sm-3">
                    <div class="box">
                        <h2>Clientes</h2>
                        <!-- <a href="javascript:;" onclick="javascript:openFastAdd('clientes','','');" class="btn btn-success btn-xs pull-right" data-toggle="tooltip" data-placement="right" title="Adicionar Cliente"><i class="fas fa-plus"></i></a> -->
                        <p class="large"><?=Common::parseMoney($view['clientes'],0)?></p>
                    </div>

                    <div class="box">
                        <h2>Taxa de Recompra: <span class="text-primary"><?=Common::parseMoney($view['recompra_perc'])?>%</span></h2>
                        <p><strong><?=Common::parseMoney($view['compradores'],0)?></strong> clientes compraram<br/>
                        <strong><?=Common::parseMoney($view['recompra'],0)?></strong> compraram novamente</p>
                    </div>
                    
                    <div class="box">
                        <h2>Plano <?=$objPainel->getPlano()->get('nome')?>: <span class="text-primary"><?=$objPainel->getPlano()->get('espaco')?>MB</span></h2>
                        <div id="chart"></div>
                        <small class="pull-left">Consumo: <strong><?=$view['consumo'];?>MB</strong>/<?=$objPainel->getPlano()->get('espaco');?>MB</small>
                        <small class="pull-right">Expira em <?=Data::getFormat($objPainel->get('expiracao'),'d/m/Y')?></small>
                        <span class="clearfix"></span>
                    </div>

                    <div class="box">
                        <h2>Vendas com problemas (<?=count($view['pedidos_problema'])?>)</h2>
                        <div class="table-responsive" style="height: 190px; overflow-y: scroll;">
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th class="small">Pedido</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php if(count($view['pedidos_problema']) ) { foreach($view['pedidos_problema'] as $obj){ ?>
                                        <tr>
                                            <td class="small">
                                                <a class="text-uppercase" href="javascript:;" onclick="javascript: openFastEdit('pedidos',<?=$obj->get('id')?>, '', '/tab/historico', '');">
                                                    <?=$obj->get('id').' - '.$obj->getCliente()->get('nomefantasia')?>
                                                </a> 
                                            </td>
                                        </tr>
                                    <?php }}else{ echo '<tr><td>Tudo certo, nenhum problema encontrado.</td></tr>'; } ?>
                                </tbody>
                            </table>
                        </div>
                        <span class="clearfix"></span>
                    </div>
                </div>


                <div class="col-sm-3">
                    <div class="box box-donut">
                        <h2>Status de Pós-venda</h2>
                        <div id="chartspv"></div>
                    </div>
                </div>

                <div class="col-sm-3">
                    <div class="box box-donut">
                        <h2>Meios de Comunicação</h2>
                        <div id="chartcm"></div>
                    </div>
                </div>

                <div class="col-sm-3">
                    <div class="box box-donut">
                        <h2>Vendas por Marketplace</h2>
                        <div id="chartcv"></div>
                    </div>
                </div>

                <div class="col-sm-5">
                    <div class="box">
                        <h2>Vendas nos &Uacute;ltimos 12 meses</h2>
                        <div id="chartvendas"></div>
                    </div>
                </div>

                <div class="col-sm-4">
                    <div class="box">
                        <h2>Vendas por estado</h2>
                        <div id="chartes"></div>
                    </div>
                </div>

                <!-- <div class="col-xs-6 col-sm-3">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="text-danger"><?=$view['posvendas_aguardando']?></h3>
                            <small>PV Aguardando</small>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-sm-3">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="text-danger"><?=$view['posvendas_parados']?></h3>
                            <small>PV Paradas</small>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-3">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="text-danger"><?=$view['posvendas_realizados']?></h3>
                            <small>PV Realizadas</small>
                        </div>
                    </div>
                </div> -->

            </div>

            <!-- <div class="box">
                    <p class="large">R$ <?=Common::parseMoney($view['fretes'])?></p>
                    <p>Total em Frete</small>
                </div>
                <div class="box">
                    <h2>Total em vendas</h2>
                    <p class="large">R$ <?=Common::parseMoney($view['total_vendas'])?></p>
                </div> -->
                
               
            </div>

            
        </div>

    </div>
    

    <!-- <div class="pull-footer"></div> -->

</div>


