
    <div class="page-header">     

        <h1 class="pull-left">
            <?=$view['title']?>
        </h1>
            
        <form class="form-inline pull-right" role="form">
            <div class="btn-group" role="group" aria-label="...">
                <?=($view['anterior']!=''?'<a href="'.$view['anterior'].'" class="btn btn-default"><i class="fas fa-step-backward"></i></a>':'')?>
                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <?=$view['titulo']?>
                    <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-right">
                    <li><a href="<?=__PATH__.$request->get('module').'/view/dia/'.date('Y-m-d')?>">Hoje</a></li>
                    <li><a href="<?=__PATH__.$request->get('module').'/view/dia/'.date('Y-m-d',strtotime('-1 day'))?>">Ontem</a></li>
                    <li><a href="<?=__PATH__.$request->get('module').'/view/inicio/'.date('Y-m-d',strtotime('last Sunday')).'/fim/'.date('Y-m-d',strtotime('last Sunday + 7 days'))?>">Esta semana</a></li>
                    <li><a href="<?=__PATH__.$request->get('module').'/view/mes/'.date('Y-m')?>">Este mês</a></li>
                    <li><a href="javascript:;" onclick="$('#over-periodo').modal('show');">Escolher período</a></li>
                    </ul>
                </div>
                <?=($view['proximo']!=''?'<a href="'.$view['proximo'].'" class="btn btn-default"><i class="fas fa-step-forward"></i></a>':'')?>
            </div>
        </form>

        <div class="clearfix"></div>

    </div>

<div class="home report">

<div class="row">

    <div class="col-md-6 col-lg-6">
        <div class="box box-md">
            <h2>Vendas por Marketplaces</h2>
            <div id="chartcv"></div>
        </div>
    </div>
<!--
    <div class="col-md-6 col-lg-3">
        <div class="box box-md">
            <h2>Vendas por Gênero</h2>
            <div id="chartsx"></div>
        </div>
    </div>

    <div class="col-md-6 col-lg-3">
        <div class="box box-md">
            <h2>Vendas por Faixa Etária</h2>
            <div id="chartfe"></div>
        </div>
    </div>
-->
    <div class="col-md-6 col-lg-6">
        <div class="box box-md">
            <h2>Vendas por Estado</h2>
            <div id="chartes"></div>
        </div>
    </div>


    <!--
    <div class="col-md-4 mb-2">
        <div class="box">
            <h4 class="mb-1 color-secondary" style="margin-top:0">Índice de Recompra</h4>
            <div id="chartir"></div>
        </div>
    </div>

    <div class="col-md-4 mb-2">
        <div class="box">
            <h4 class="mb-1 color-secondary" style="margin-top:0">Status de Entrega</h4>
            <div id="chartse"></div>
        </div>
    </div>
    -->
    <!-- 
    <div class="col-md-4 mb-2">
        <div class="box">
            <h4 class="mb-1 color-secondary" style="margin-top:0">Faturamento</h4>
            <img src="https://apexcharts.com/wp-content/uploads/2018/05/basic-area-chart.svg" class="img-responsive"/>
        </div>
    </div>
    -->

    <div class="clearfix"></div>

    <div class="col-lg-6">
        <div class="box">
        <h2>Produtos mais vendidos</h2>
        <div class="scroll" style="overflow-y:scroll; height: 415px">
            <table class="table table-striped" style="font-size: 87.5%">
                <thead>
                    <tr>
                        <th class="col-sm-7">Produto</th>
                        <th class="col-sm-2 text-center">Quantidade</th>
                        <th class="col-sm-3 text-right">Valor faturado</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($view['registros3'] as $rs){ ?>
                        <tr>
                            <td><?=$rs['nome']?> - SKU <?=$rs['sku']?></td>
                            <td class="text-center"><?=$rs['qtd']?></td>
                            <td class="nowrap text-right">R$ <?=Common::parseMoney($rs['total'])?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
        </div>
    </div>
    
    <div class="col-lg-6">
        <div class="box">
        <h2>Top 50 que mais fizeram pedidos</h2>
        <div class="scroll" style="overflow-y:scroll; height: 415px">
            <table class="table table-striped" style="font-size: 87.5%">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th class="col-sm-7">Cliente</th>
                        <th class="col-sm-2 text-center">Pedidos</th>
                        <th class="col-sm-3 text-right">Valor comprado</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($view['registros'] as $rs){ ?>
                        <tr>
                            <td><?=$rs['id_cliente']?></td>
                            <td><?=$rs['nomefantasia']?></td>
                            <td class="text-center"><?=$rs['qtd']?></td>
                            <td class="nowrap text-right">R$ <?=Common::parseMoney($rs['vl'])?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
        </div>
  </div>

  <div class="col-lg-6">
      <div class="box">
        <h2>Top 50 que mais compraram itens</h2>
            <div class="scroll" style="overflow-y:scroll; height: 415px">
                <table class="table table-striped" style="font-size: 87.5%">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th class="col-sm-7">Cliente</th>
                            <th class="col-sm-2 text-center">Itens</th>
                            <th class="col-sm-3 text-right">Valor comprado</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($view['registros2'] as $rs){ ?>
                            <tr>
                                <td><?=$rs['id_cliente']?></td>
                                <td><?=$rs['nomefantasia']?></td>
                                <td class="text-center"><?=$rs['qtd']?></td>
                                <td class="nowrap text-right">R$ <?=Common::parseMoney($rs['vl'])?></td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

  <div class="col-lg-6">
      <div class="box">
    <h2>Top 50 que mais gastaram</h2>
    <div class="scroll" style="overflow-y:scroll; height: 415px">
      <table class="table table-striped" style="font-size: 87.5%">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th class="col-sm-7">Cliente</th>
                        <th class="col-sm-2 text-center">Pedidos</th>
                        <th class="col-sm-3 text-right">Valor comprado</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($view['registros4'] as $rs){ ?>
                        <tr>
                            <td><?=$rs['id_cliente']?></td>
                            <td><?=$rs['nomefantasia']?></td>
                            <td class="text-center"><?=$rs['qtd']?></td>
                            <td class="nowrap text-right">R$ <?=Common::parseMoney($rs['vl'])?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
    </div>
  </div>
  </div>
</div>



<!-- Modal -->
<div class="modal fade" id="over-periodo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
    
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Escolha o Per&iacute;odo</h4>
      </div>
      <div class="modal-body">
            <div class="form-group col-sm-6">
                <label>In&iacute;cio</label>
                <input type="text" class="form-control date" id="dti_over" placeholder="DD/MM/AAAA" value="<?=(Data::isValid($request->get('inicio'))?Data::getFormat($request->get('inicio'),'d/m/Y'):'')?>" />
            </div>
            <div class="form-group col-sm-6">
                <label>Fim</label>
                <input type="text" class="form-control date" id="dtf_over" placeholder="DD/MM/AAAA" value="<?=(Data::isValid($request->get('fim'))?Data::getFormat($request->get('fim'),'d/m/Y'):'')?>" />
            </div>
            <script type="text/javascript">
                function doFilter(){
                    var url = '<?=__PATH__.$request->get('module')?>/view';
                    if($('#dti_over').val() != '' && $('#dti_over').val() != ''){
                        var dtAux = $('#dti_over').val().split('/');
                        url += '/inicio/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
                        dtAux = $('#dtf_over').val().split('/');
                        url += '/fim/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
                        location = url;
                    }else{
                        showErrorAlert('Filtro', 'Informe um intervalo v&aacute;lido.');
                    }
                }
            </script>
          <button type="button" onclick="doFilter();" class="btn btn-lg btn-primary btn-block">Ver per&iacute;odo selecionado</button>
      </div>
      <div class="modal-footer">

      </div>

    </form>
    </div>
  </div>
</div>

            </div>