<?php
global $conn;
$intervalo = (Config::getConfig('faturas_intervalo')+0 > 0 ? Config::getConfig('faturas_intervalo')+0 : 10);
$contas = array();
//gerando os semanais
/*
$sql = "SELECT 
    id, tipo, id_pessoa, CONCAT(DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y-%m-'), LPAD(dia_vencimento,2,'0')) vencimento, valor 
    FROM `contracts` 
    WHERE fp = 1 and status = 1 and DATE(NOW()) BETWEEN inicio and fim and WEEKDAY(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY)) >= dia_vencimento
    and id NOT IN(
        SELECT id_contratacao FROM contas WHERE DATE(dt_cad) >= DATE(NOW()) 
    )";
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $contas[] = $rs->getAllVars();
}*/

//gerando os mensais
$sql = "SELECT 
    id, tipo, id_pessoa, CONCAT(DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y-%m-'), LPAD(dia_vencimento,2,'0')) vencimento, valor, inicio
    FROM `recorrencias` 
    WHERE fp = 3 and status = 1  
    and CONCAT(DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y-%m-'), LPAD(dia_vencimento,2,'0')) BETWEEN inicio and fim 
    AND DAY(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY)) >= dia_vencimento 
    and id NOT IN(
        SELECT id FROM recorrencias WHERE ref >= DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y%m')
    )";
    
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $sql = "SELECT COUNT(id) FROM contas WHERE id_client = {$rs->getInt('id_client')} AND vencimento = '{$rs->getString('vencimento')}' AND id_contratacao = {$rs->getInt('id')} AND tipo={$rs->getInt('tipo')} ";
    if($conn->prepareStatement($sql)->executeScalar() == 0)
        $contas[] = $rs->getAllVars();
}
//gerando os demais
$sql = "SELECT 
    id, tipo, id_pessoa, CONCAT(DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y-%m-'), LPAD(dia_vencimento,2,'0')) vencimento, valor 
    FROM `recorrencias` 
    WHERE CONCAT(DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y-%m-'), LPAD(dia_vencimento,2,'0')) BETWEEN inicio and fim AND DAY(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY)) >= dia_vencimento 
    AND status = 1 
    AND ( 
        (fp = 4 AND TIMESTAMPDIFF(MONTH, inicio, DATE(NOW())) % 2 = 0 )
        OR
        (fp = 5 AND TIMESTAMPDIFF(MONTH, inicio, DATE(NOW())) % 3 = 0 )
        OR
        (fp = 6 AND TIMESTAMPDIFF(MONTH, inicio, DATE(NOW())) % 6 = 0 )
        OR
        (fp = 7 AND TIMESTAMPDIFF(MONTH, inicio, DATE(NOW())) % 12 = 0 )
    )
    and id NOT IN(
        SELECT id FROM recorrencias WHERE ref >= DATE_FORMAT(DATE_ADD(DATE(NOW()),INTERVAL {$intervalo} DAY),'%Y%m')
    )";
    //SELECT id_contrato FROM contas WHERE date_format(vencimento,'%Y%m') >= date_format(NOW(),'%Y%m')
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $sql = "SELECT COUNT(id) FROM contas WHERE id_pessoa = {$rs->getInt('id_pessoa')} AND vencimento = '{$rs->getString('vencimento')}' AND id_contratacao = {$rs->getInt('id')} AND tipo={$rs->getInt('tipo')} ";
    if($conn->prepareStatement($sql)->executeScalar() == 0)
        $contas[] = $rs->getAllVars();
}

$arrIds = array();
if(count($contas)>0){
	
    foreach($contas as $conta){
        $objContrato = Contratacao::CarregarObjeto($conta['id']);
        

        $pdata = explode('-', $conta['vencimento']);

        if($pdata[2] > 28 && $pdata[1] == 2){
            $pdata[2] = 28;
        }

        switch ($objContrato->get('mes')) {
            case 1:
                $mref = mktime(0,0,0,$pdata[1]-1,$pdata[2],$pdata[0]);
                break;
            case 3:
                $mref = mktime(0,0,0,$pdata[1]+1,$pdata[2],$pdata[0]);
                break;
            default:
                $mref = mktime(0,0,0,$pdata[1],$pdata[2],$pdata[0]);
                break;
        }

        switch ($objContrato->get('fp')) {
            case 1: $descricao = 'Semanalidade'; break;
            case 2: $descricao = 'Quinzena'; break;
            case 4: $descricao = 'Bimestralidade'; break;
            case 5: $descricao = 'Trimestralidade'; break;
            case 6: $descricao = 'Semestralidade'; break;
            case 7: $descricao = 'Anualidade'; break;
            default: $descricao = 'Mensalidade'; break;
        }
        $descricao .= ' - '.$objContrato->get('descricao').' ('.date('m/Y',$mref).')';

        $objeto = new Conta();
        $objeto->set('id_client', $conta['id_client']);
        $objeto->set('tipo', $conta['tipo']);
        $objeto->set('id_contratacao', $conta['id']);
        $objeto->set('status', 1);
        $objeto->set('vencimento', $conta['vencimento']);
        $objeto->set('valor', $conta['valor']);
        $objeto->set('descricao', $descricao);
        $objeto->set('numero_titulo', '');
        $objeto->set('numero_nf', '');
        $objeto->set('ref', Data::getFormat($conta['vencimento'],'Ym'));
        $ret = $objeto->Inserir();
        if($ret[0] > 0 ){
        	$arrIds[] = $ret[0];
        }

        $objContrato->set('ref',Data::getFormat($conta['vencimento'],'Ym'));
        $objContrato->Alterar();
        
    }
}