<div class="emails">
    <script type="text/javascript">
        function openFormEditEmail(user, uso, quota, perc) {
            $('#form-edit').find("input, textarea").val("");
            $('#euser').val(user);
            $('#equota').val(quota);
            $('#equota_b').val(quota);
            var icon = (perc < 50 ? '' : (perc < 80 ? 'progress-bar-warning' : 'progress-bar-danger'));
            var str = '';
            str += '<div class="panel-heading">Uso da cota deste e-mail<small class="pull-right"><strong>' + uso + ' MB de ' + (quota > 0 ? quota + ' MB' : 'Ilimitado') + '</strong></small></div>';
            str += '<div class="panel-body">';
            str += '<div class="progress progress-lg">';
            str += '<div class="progress-bar ' + icon + '" role="progressbar" aria-valuenow="' + perc + '" aria-valuemin="0" aria-valuemax="100" style="width: ' + perc + '%">' + uso + ' MB</div>';
            str += '</div>';
            str += '</div>';
            $('#usoEmail').html(str);
            $('#edit').modal('toggle');

        }

        function saveFormEmail(id) {
            var formId = 'form-' + id;
            if (validaForm($$(formId))) {
                $("#btnSave-" + id).html('<span class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></span> Aguarde...');
                $("#btnSave-" + id).attr("disabled", true);

                var v_url = __PATH__ + 'ajax/save-email/tipo/' + id;

                $('#' + formId).ajaxSubmit({
                    url: v_url,
                    type: "POST",
                    dataType: "json",
                    beforeSend: function() {
                        blockOnSubmit();
                        $('#progressPercent').html('0%');
                    },
                    uploadProgress: function(event, position, total, percentComplete) {
                        $('#progressPercent').html(percentComplete + '%');
                    },
                    success: function(data, textStatus, jqXHR)
                    {
                        unblockUi();

                        if (data['ok']) {
                            $("#btnClose-" + id).click();
                            tAlert(data['data']);

                        } else {
                            showErrorAlert('Erro no salvamento do registro', data['data']);
                        }
                        $("#btnSave-" + id).removeAttr('disabled');
                        $("#btnSave-" + id).html('Salvar');

                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        unblockUi();
                        showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                        $("#btnSave-" + id).removeAttr('disabled');
                        $("#btnSave-" + id).html('Salvar');
                    }
                });
            }
            return false;
        }

        function deleteEmail(user) {
            BootstrapDialog.show({
                title: 'Confirma&ccedil;&atilde;o',
                message: 'Deseja realmente excluir o email?',
                buttons: [{
                        label: 'N&atilde;o',
                        action: function(dialog) {
                            dialog.close();
                        }
                    }, {
                        label: 'Sim',
                        cssClass: 'btn-primary',
                        action: function(dialog) {
                            var $button = this; // 'this' here is a jQuery object that wrapping the <button> DOM element.
                            $button.disable();
                            $button.spin();
                            dialog.setClosable(false);

                            var url = __PATH__ + 'ajax/delete-email/user/' + user;
                            var htmlb = $('#link_del').html();
                            $('#link_del').html('Aguarde, deletando email...');
                            $.ajax({
                                url: url,
                                type: 'GET',
                                dataType: "json",
                                success: function(data, textStatus, jqXHR) {
                                    if (data['ok']) {
                                        dialog.close();
                                    } else {
                                        $button.enable();
                                        $button.stopSpin();
                                        dialog.setClosable(true);
                                    }
                                    tAlert(data['data']);

                                },
                                error: function(jqXHR, textStatus, errorThrown)
                                {
                                    showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                        
                                    $button.enable();
                                    $button.stopSpin();
                                    dialog.setClosable(true);
                                }
                            });

                        }
                    }]
            });

            return false;
        }
    </script>
    <h1 class="page-header">

          <div class="pull-left">
            Contas de Email
          </div>

        <form class="search col-xs-5 col-sm-6 hidden-xs pull-right" onsubmit="javascript: newPesquisa('<?= __PATH__ ?>', '<?= $view['modulo'] ?>', $$('busca').value, <?= $view['qtd'] ?>);
                    return false;">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Pesquisar (F3)" id="busca" value="<?= $view['busca'] ?>">
                    <div class="input-group-btn">
                        <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-search"></span></button>
                        <button type="button" class="btn btn-default" data-toggle="modal" data-target="#cfgpop3">
                            <span class="glyphicon glyphicon-cog"></span> <span class="hidden-xs hidden-sm hidden-md">Configura&ccedil;&atilde;o POP3/SMTP</span>
                        </button>
                        <button type="button" data-toggle="modal" data-target="#add" class="btn btn-primary add">
                            <span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Adicionar (F2)</span>
                        </button>
                    </div>
            </div>
        </form>

        <div class="pull-right visible-xs">
            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#cfgpop3">
                <span class="glyphicon glyphicon-cog"></span> <span class="hidden-xs hidden-sm hidden-md">Configuração POP3/SMTP</span>
            </button>
            <button type="button" data-toggle="modal" data-target="#add" class="btn btn-primary add">
                <span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Adicionar (F2)</span>
            </button>
        </div>   

        <div class="clearfix"></div>

    </h1>


    <div id="servicos" class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="">&nbsp;</th>
                    <th class="col-sm-7 col-xs-8 nowrap">Conta</th>
                    <th class="col-sm-5 col-xs-4">Uso/Cota</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $i = 0;  
                foreach ($view['emails'] as $email) {
                    if ($view['busca'] == '' || preg_match('/(' . $reqBusca . ')/i', $email->user)) {
                        $i++;
                        $porcent = $email->diskusedpercent;
                        $icon = ($porcent < 50 ? '' : ($porcent < 80 ? 'progress-bar-warning' : 'progress-bar-danger') );
                        ?>
                        <tr>
                            <td>
                                <a href="javascript:;" onclick="javascript:deleteEmail('<?=$email->user?>');" data-toggle="tooltip" data-placement="right" title="Excluir"><span class="glyphicon glyphicon-trash"></span></a>
                            </td>
                            <td class="link-edit">
                                <a href="javascript:;" onclick="javascript:openFormEditEmail('<?=$email->user?>', '<?=$email->diskused?>', '<?=(trim($email->diskquota) == 'unlimited' ? 0 : $email->diskquota)?>', '<?=$porcent?>');" data-toggle="tooltip" data-placement="top" title="Editar"><?= $email->email ?></a> 
                                
                            </td>
                            <td class="small nowrap">
                                <div class="col-sm-12 visible-lg">
                                    <div class="col-md-7 hidden-sm">
                                        <div class="progress usoEmail"> 
                                            <div class="progress-bar <?= $icon ?>" role="progressbar" aria-valuenow="<?= $porcent ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?= $porcent ?>%"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-5 nowrap"><small><?= $email->diskused ?> MB / <?= (trim($email->diskquota) == 'unlimited' ? 'Ilimitado' : $email->humandiskquota ) ?></small></div>
                                </div>
                                <div class="hidden-lg"><small><?= $email->diskused ?> MB / <?= (trim($email->diskquota) == 'unlimited' ? 'Ilimitado' : $email->humandiskquota ) ?></small></div>
                            </td>
                        </tr>  
                        <?php
                    }
                }
                if ($i == 0) {
                    ?>
                    <tr>
                        <td class="link-edit" colspan="3" align="center">Nenhum email encontrado.</td>
                    </tr>
<? } ?>
            </tbody>
        </table>
    </div>




    <div class="modal fade" id="add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="form-add" method="post" onsubmit="javascript: return saveFormEmail('add');">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title" id="myModalLabel">Adicionar <span class="glyphicon glyphicon-chevron-right small"></span> Conta de E-mail</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-sm-8 required">
                                <label for="">Conta</label>
                                <div class="input-group" class="">
                                    <input type="text" name="user" class="form-control col-sm-6 required" >
                                    <span class="input-group-addon">@<?=$view['dominio']?></span>
                                </div>
                            </div>
                            <div class="form-group col-sm-4">
                                <label for="">Cota <small class="rule">(0 = ilimitado)</small></label>
                                <div class="input-group">
                                    <input type="text" name="quota" class="form-control required" value="50">
                                    <span class="input-group-addon">MB</span>
                                </div>
                            </div>
                            <div class="form-group col-sm-6 required">
                                <label for="">Senha</label>
                                <input type="password" name="pass" class="form-control col-sm-6 required">
                            </div>
                            <div class="form-group col-sm-6 required">
                                <label for="">Confirmar Senha</label>
                                <input type="password" name="c_pass" class="form-control col-sm-6 required">
                            </div>
                            <div class="form-group col-sm-12">
                                <div class="statsHost panel panel-default">
                                    <div class="panel-heading">Uso geral de <abbr data-toggle="tooltip" data-placement="right" title="&Eacute; o recurso disponibilizado para armazenar os arquivos do seu site e e-mails.">espa&ccedil;o em disco <span class="glyphicon glyphicon-question-sign small"></span></abbr> da hospedagem  <small class="pull-right"><strong><?= $view['account']['n_uso'] ?> de <?= $view['account']['n_limite'] ?></strong></small></div>
                                    <div class="panel-body">

                                        <div class="progress progress-lg"> 
                                            <div class="progress-bar <?= $view['account']['icone'] ?>" role="progressbar" aria-valuenow="<?= $view['account']['percentual'] ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?= $view['account']['percentual'] ?>%"><?= $view['account']['n_uso'] ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btnClose-add" class="btn btn-default" data-dismiss="modal">Fechar</button>
                        <button type="submit" id="btnSave-add" class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Salvar</button>
                    </div>
                </form>
            </div>
        </div>
    </div> 

    <div class="modal fade" id="edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="form-edit" method="post" onsubmit="javascript: return saveFormEmail('edit');">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title" id="myModalLabel">Editar <span class="glyphicon glyphicon-chevron-right small"></span> Conta de E-mail</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-sm-8">
                                <label for="">Conta</label>
                                <div class="input-group" class="">
                                    <input type="text" name="user" class="form-control col-sm-6" readonly id="euser">
                                    <span class="input-group-addon">@<?=$view['dominio']?></span>
                                </div>
                            </div>
                            <div class="form-group col-sm-4 required">
                                <label for="">Cota <small class="rule">(0 = ilimitado)</small></label>
                                <div class="input-group">
                                    <input type="hidden" name="quota_b" value="0" id="equota_b">
                                    <input type="text" name="quota" class="form-control required" value="0" id="equota">
                                    <span class="input-group-addon">MB</span>
                                </div>
                            </div>
                            <div class="form-group col-sm-6 required">
                                <label for="">Senha</label>
                                <input type="password" name="pass" class="form-control col-sm-6">
                            </div>
                            <div class="form-group col-sm-6 required">
                                <label for="">Confirmar Senha</label>
                                <input type="password" name="c_pass" class="form-control col-sm-6">
                            </div>
                            
                            <div class="form-group col-sm-12">
                                <div class="statsHost panel panel-default" id="usoEmail">
                                    <div class="panel-heading">Uso da cota deste e-mail<small class="pull-right"><strong>50 MB de 200 MB</strong></small></div>
                                    <div class="panel-body">

                                        <div class="progress progress-lg"> 
                                            <div class="progress-bar" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%">
                                                50 MB
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="statsHost panel panel-default">
                                    <div class="panel-heading">Uso geral de <abbr data-toggle="tooltip" data-placement="right" title="É o recurso disponibilizado para armazenar os arquivos do seu site e e-mails.">espaço em disco <span class="glyphicon glyphicon-question-sign small"></span></abbr> da hospedagem  <small class="pull-right"><strong><?= $view['account']['n_uso'] ?> de <?= $view['account']['n_limite'] ?></strong></small></div>
                                    <div class="panel-body">

                                        <div class="progress progress-lg"> 
                                            <div class="progress-bar <?= $view['account']['icone'] ?>" role="progressbar" aria-valuenow="<?= $view['account']['percentual'] ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?= $view['account']['percentual'] ?>%"><?= $view['account']['n_uso'] ?></div>
                                        </div>
                                    </div>
                                </div>
                                
    
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btnClose-edit" class="btn btn-default" data-dismiss="modal">Fechar</button>
                        <button type="submit" id="btnSave-edit" class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Salvar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade" id="cfgpop3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Configura&ccedil;&atilde;o POP3/SMTP</h4>
          </div>
          <div class="modal-body">
              
              <div class="panel panel-default">
                <? $dominio = $view['dominio']; ?>
                <table class="table table-striped">
                    <tr><td width="40%" class="text-right"><strong>Nome de usu&aacute;rio:</strong></td><td>email@<?=  $dominio?> <small class="sample">(exemplo)</small></td></tr>
                  <tr><td class="text-right"><strong>Senha:</strong></td><td>Use a senha da conta de e-mail</td></tr>
                  <tr><td class="text-right"><strong>Servidor POP3 (entrada):</strong></td><td>mail.<?=  $dominio ?></td></tr>
                  <tr><td class="text-right"><strong>Porta POP3 (entrada):</strong></td><td>110</td></tr>
                  <tr><td class="text-right"><strong>Servidor SMTP (sa&iacute;da):</strong></td><td>mail.<?=  $dominio ?></td></tr>
                  <tr><td class="text-right"><strong>Porta SMTP (sa&iacute;da):</strong></td><td>587</td></tr>
                  <tr><td class="text-right"><strong>Autentica&ccedil;&atilde;o:</strong></td><td>&Eacute; necess&aacute;ria, portanto, deve-se marcar a op&ccedil;&atilde;o <em>"Meu servidor requer autentica&ccedil;&atilde;o"</em>.</td></tr> 
                </table>
                
              </div>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
          </div>
        </div>
      </div>
    </div>