<?php

class Request {
    private $_params;
    
    public function  __construct($param) {
        $params = explode("/", $param);
        $this->_params['module'] = (isset($params[0])) ? Statement::antiInjection($params[0]) : '';
        $this->_params['action'] = (isset($params[1])) ? Statement::antiInjection($params[1]) : '';

        for($i = 2; $i < count($params); $i+=2){
            $this->_params[$params[$i]] = (isset($params[$i+1])) ? Statement::antiInjection($params[$i+1]) : '';
        }    
    }
    
    public function getParameter($key){
        return $this->get($key);
    }
    
    public function get($key){
        return (isset($this->_params[$key]) ? $this->_params[$key] : '');
    }
}