<?php

require_once $GLOBALS['mPath'].'/gateways/pagseguro.class.php';
require_once $GLOBALS['mPath'].'/gateways/paypal.class.php';
require_once $GLOBALS['mPath'].'/gateways/mp.class.php';

$id = $request->get('id')+0;
$id_pway = $request->get('id_pway')+0;
$email = $request->get('email');

if(Conta::VerificaExistencia($id, 'id',"AND id_pessoa IN(SELECT id FROM pessoas WHERE email='{$email}')")) {
    
    if(Pway::VerificaExistencia($id_pway,'id','AND tipo=2')){
        $objP = Pway::CarregarObjeto($id_pway);
        $objPort = $objP->getPortador();
        $objC = Conta::CarregarObjeto($id);

        /*
        0 => 'Nenhum', 1 => 'Dep&oacute;sito', 2 => 'Boleto Flexpoint', 3 => 'Pagseguro',
        4 => 'Paypal', 5 => 'BCash', 6 => 'Moip', 7 => 'Mercado Pago', 8 => 'PicPay',
        9 => 'Boleto F2B', 10 => 'Cielo', 11 => 'Gerencianet', 12 => 'Braspag',
        */
        $multaAtraso = (float) 2;
        $juroAtraso = (float) 0.22;

        //Configuracoes de Valor e Vencimento
        $juro = $multa = 0;
        $dds = Data::getFormat($objC->get('vencimento'),'w');
        if($dds == 6){
            $objC->set('vencimento', date('Y-m-d',strtotime("+2 day",Data::getFormat($objC->get('vencimento'),'U') )));
        }elseif($dds == 0){
            $objC->set('vencimento', date('Y-m-d',strtotime("+1 day",Data::getFormat($objC->get('vencimento'),'U') )));
        }
        $avisoAtraso = "";
        $data_venc = Data::getFormat($objC->get('vencimento'), 'd/m/Y');
        
        $isLate = strtotime($objC->get('vencimento')) < mktime(0, 0, 0, date('m'), date('d'), date('Y'));
        if($isLate){
            $diff = mktime(0, 0, 0, date('m'), date('d'), date('Y')) - strtotime($objC->get('vencimento'));
            $days = floor($diff/(60*60*24));
             
            $multa = round((($objC->get('valor')* $multaAtraso )/100),2); //2% de multa
            $juro = round(($objC->get('valor')+$multa) * (( $juroAtraso *$days)/100),2);
            $data_venc = date('d/m/Y');
        }
        $valor = $objC->get('valor')+$multa+$juro;
        //fim Configuracoes de Valor e Vencimento
 
        $valor += $objP->get('adicional_fixo');
        if($objP->get('adicional_perc') > 0){
            $valor += ($valor*$objP->get('adicional_perc')/100);
        }   

        $urlRetorno = 'https://www.benmais.com/'. __PATH__ ."/ipn/";
        $retorno['tipo'] = 'text';
        $ntrans = '';
        
        $log = "Selecionou a forma de pagamento: {$objPort->get('nome')} (".Portador::$nmGateway[$objPort->get('gateway')].")";
        switch ( $objPort->get('gateway') ) {
            case 1:
                if($objP->get('opcaoportador') == 3){
                    switch ($objPort->get('gdata1')) {
                        case 756 :
                            $rsB = HistoricoConta::Buscar('gatewaycode',$objC->get('id'),'id_conta',"
                                AND id_formapagamento={$objP->get('id')} ",'','id DESC');
                            $gerar = true;

                            if($rsB->next()){
                                if($rsB->getString('gatewaycode') != ''){
                                    $gerar = false;
                                    $ntrans = $rsB->getString('gatewaycode');
                                }
                            }
                            $url = '';
                            if($gerar){

                                $cpfcnpj = $objC->getPessoa()->get('cpfcnpj');
                                $nome = substr(strtoupper(Common::removeDiatrics($objC->getPessoa()->get('razaosocial'))),0,60);
                                $endereco = preg_replace('/[^0-9A-Z]/',' ',substr(strtoupper(
                                    Common::removeDiatrics($objC->getPessoa()->get('endereco').' '.
                                    $objC->getPessoa()->get('numero').' '.
                                    $objC->getPessoa()->get('complemento') )),0,40));
                                $bairro = preg_replace('/[^0-9A-Z]/',' ',substr(strtoupper(Common::removeDiatrics($objC->getPessoa()->get('bairro'))),0,15));
                                $cidade = preg_replace('/[^0-9A-Z]/',' ',substr(strtoupper(Common::removeDiatrics($objC->getPessoa()->get('cidade'))),0,15));
                                $uf = strtoupper(Common::removeDiatrics($objC->getPessoa()->get('estado')));
                                $cep = Common::Replace('/[^0-9]/','',$objC->getPessoa()->get('cep'));
                        
                                if($nome == '') MessageBox::Show('Nome do cliente inv&aacute;lido: "'.$nome.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif(strlen($cpfcnpj) < 11) MessageBox::Show('CPF/CNPJ inv&aacute;lido: "'.$cpfcnpj.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif($endereco == '') MessageBox::Show('Endere&ccedil;o do cliente inv&aacute;lido: "'.$endereco.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif($bairro == '') MessageBox::Show('Bairro do cliente inv&aacute;lido: "'.$bairro.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif($cidade == '') MessageBox::Show('Cidade do cliente inv&aacute;lido: "'.$cidade.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif($uf == '') MessageBox::Show('Estado do cliente inv&aacute;lido: "'.$uf.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                elseif($cep == '') MessageBox::Show('CEP do cliente inv&aacute;lido: "'.$cep.'".<br>Entre em contato com '.$Config->NomeEmpresa.' informando este erro','danger',false,false);
                                else{ 

                                    $urlc = 'https://geraboleto.sicoobnet.com.br/geradorBoleto/GerarBoleto.do';
                                    $fields = array(
                                        'dataEmissao' => (Data::getFormat($objC->get('vencimento'),'U') >= mktime(0,0,0) ? date('Ymd') : Data::getFormat($objC->get('vencimento'),'Ymd')),
                                        'codEspDocumento' => 'DM',
                                        'valorAbatimento' => 0,
                                        'valorIOF' => 0,
                                        'numContaCorrente' => $objPort->get('gdata4').$objPort->get('gdata5'),
                                        'coopCartao' => $objPort->get('gdata2'),
                                        'numCliente' => $objPort->get('gdata7'),
                                        'chaveAcessoWeb' => $objPort->get('gdata11'),
                                        'codTipoVencimento' => 1,
                                        'nomeSacador' => Common::removeDiatrics($objPort->get('gdata6')),
                                        'descInstrucao1' => '',
                                        'descInstrucao2' => '',
                                        'descInstrucao3' => '',
                                        'numCGCCPFSacador' => preg_replace('/[^0-9]/','',$Config->Cnpj),
                                        'seuNumero' => $objC->get('id'),
                                        'dataVencimentoTit' => Data::getFormat($objC->get('vencimento'),'Ymd'),
                                        'valorTitulo' => $objC->get('valor'),
                                        'nomeSacado' => $nome,
                                        'cpfCGC' => $cpfcnpj,
                                        'endereco' => $endereco,
                                        'bairro' => $bairro,
                                        'cidade' => $cidade,
                                        'codMunicipio' => 25339,//substr($objAccount->get('cep'), 0,5),
                                        'cep' => $cep,
                                        'uf' => $uf,
                                        'percTaxaMulta' => $multaAtraso,
                                        'percTaxaMora' => $juroAtraso*30,

                                    );

                                    //$content = json_decode(Common::getContentByCurl('https://viacep.com.br/ws/'.$rs->getString('cep').'/json/'));
                                    //if(isset($content->ibge) &&  $content->ibge+0 > 0) $fields['codMunicipio'] = $content->ibge;
                                    $fields_string = "";
                                    foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
                                    rtrim($fields_string, '&');
                                    
                                    $ch = curl_init();
                                    curl_setopt($ch,CURLOPT_URL, $urlc);
                                    curl_setopt($ch,CURLOPT_POST, count($fields));
                                    curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
                                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                                    $result = curl_exec($ch);
                                    curl_close($ch); 

                                    //file_put_contents(__DIR__.'/_boleto.txt', $result);
                                    phpQuery::newDocument($result); 
                                    $all = pq('td');

                                    if(isset($all->elements[34])){
                                        $nosso_numero = explode('-',preg_replace('/[^0-9-]/','', $all->elements[34]->textContent))[0];
                                        $ntrans = $nosso_numero;    
                                        $retorno['ok'] = true;
                                        $url = __PATH__."print-boleto/{$objC->get('id')}/email/{$objC->getPessoa()->get('email')}/port/{$objPort->get('id')}";

                                    }else{
                                        echo $result;
                                    }
                                }
                                
                            }else{
                                $retorno['ok'] = true;
                                $url = __PATH__."print-boleto/{$objC->get('id')}/email/{$objC->getPessoa()->get('email')}/port/{$objPort->get('id')}";

                            }

                            
                            if($url != ''){
                                
                                echo '
                                    <p>Para imprimir o boleto clique no bot&atilde;o abaixo. Voc&ecirc; ser&aacute; redirecionado para o Boleto.</p>
                                    <a href="'.$url.'" target="_blank" class="btn btn-primary btn-block">Imprimir o boleto</a>';
                            }
                            break;
                        
                        default:
                            MessageBox::Show('Banco n&atilde;o suportado.','danger');
                            break;
                    }

                }else{

                    echo "<h3>Conta para Dep&oacute;sito</h3>";
                    echo "
                    <p>
                        <strong>Banco:</strong> ".Portador::$nmBanco[$objPort->get('gdata1')]."<br>
                        <strong>Ag&ecirc;ncia:</strong> {$objPort->get('gdata2')}".($objPort->get('gdata3')!=''?'-':'').$objPort->get('gdata3')."<br>
                        <strong>Conta:</strong> {$objPort->get('gdata4')}".($objPort->get('gdata5')!=''?'-':'').$objPort->get('gdata5')."<br>
                        <strong>Favorecido:</strong> {$objPort->get('gdata6')}<br>
                        <strong>Valor:</strong> R$ ".Common::parseMoney($objC->get('valor')+$juro+$multa)."<br>
                    </p>
                    <p class=\"text-danger\">Ap&oacute;s a realiza&ccedil;&atilde;o do dep&oacute;sito/transfer&ecirc;ncia, favor enviar um email com 
                    o comprovante para <strong>".$Config->Email.'</strong>.</p>';
                    $retorno['ok'] =  true;
                }
                
                break;
                
                break;
            /* case 2 : 


                $ret = json_decode(BoletoFlex::generate($objPort->get('gdata1'),$objPort->get('gdata2'),$objC->get('id'), $objP->get('id'), $data_venc, $valor));
                
                if($ret->erro == ''){
                    $idConv = $ret->idConv;
                    $refTran = $ret->refTran;
                    $tpPagamento = $ret->tpPagamento;
                    $ntrans = $refTran;
                    $id_boleto = $ret->id;
                    $cpfcnpj = $objC->getPessoa()->get('cpfcnpj');
                    $nome = substr(strtoupper(Common::removeDiatrics($objC->getPessoa()->get('razaosocial'))),0,60);
                    $endereco = substr(strtoupper(
                        Common::removeDiatrics($objC->getPessoa()->get('endereco').' '.
                        $objC->getPessoa()->get('numero').' '.
                        $objC->getPessoa()->get('complemento').' '.
                        Common::removeDiatrics($objC->getPessoa()->get('bairro')) )),0,60);
                    $cidade = substr(strtoupper(Common::removeDiatrics($objC->getPessoa()->get('cidade'))),0,18);
                    $uf = strtoupper(Common::removeDiatrics($objC->getPessoa()->get('estado')));
                    $cep = Common::Replace('/[^0-9]/','',$objC->getPessoa()->get('cep'));
                    $urlInforma = Config::getConfig('url_sistema').'/fatura/'.$objC->get('id').'/email/'.$objC->getPessoa()->get('email');
                    
                    echo '
                    <form action="https://mpag.bb.com.br/site/mpag/" method="post" name="pagamento" id="frm-boleto" ">
                        <input type="hidden" name="idConv" value="'.$idConv.'">
                        <input type="hidden" name="refTran" value="'.$refTran.'">
                        <input type="hidden" name="tpPagamento" value= "'.$tpPagamento.'">
                        <input type="hidden" name="valor" value="'.((int) ($valor*100)).'">
                        <input type="hidden" name="qtdPontos" value="0">
                        <input type="hidden" name="dtVenc" value="'.Data::getFormat($data_venc,'dmY').'">
                        <input type="hidden" name="cpfCnpj" value="'.$cpfcnpj.'">
                        <input type="hidden" name="indicadorPessoa" value="'.(strlen($cpfcnpj)>11?2:1).'">
                        <input type="hidden" name="valorDesconto" value="0">
                        <input type="hidden" name="dataLimiteDesconto" value="">
                        <input type="hidden" name="tpDuplicata" value="DS"> 
                        <input type="hidden" name="urlRetorno" value="'.$urlInforma.'">
                        <input type="hidden" name="urlInforma" value="'.$urlInforma.'">
                        <input type="hidden" name="nome" value="'.$nome.'">
                        <input type="hidden" name="endereco" value="'.$endereco.'">
                        <input type="hidden" name="cidade" value="'.$cidade.'">
                        <input type="hidden" name="uf" value="'.$uf.'">
                        <input type="hidden" name="cep" value="'.$cep.'">
                        <input type="hidden" name="msgLoja" value="NAO RECEBER APOS O VENCIMENTO">
                        <p>Voc&ecirc; ser&aacute; redirecionado para o boleto do Banco do Brasil para visualiza&ccedil;&atilde;o e impress&atilde;o.</p>
                        <button type="button" onclick="submitBoleto('.$objP->get('id').', '.$id_boleto.');" class="btn btn-primary btn-block">Prosseguir com o pagamento</button>
                    </form>';
                    $retorno['ok'] =  true;
                }else{
                    MessageBox::Show($ret->erro,'danger',false,false);
                }
                break;*/
            case 3:
                $urlRetorno .= 'pagseguro';
                $paymentRequest = new PagSeguroPaymentRequest();
                $paymentRequest->setCurrency("BRL");
                $paymentRequest->addItem($objC->get('id'), strip_tags($objC->get('descricao')), 1, $valor);
                $paymentRequest->setReference($objC->get('id'));

                $shipping = new PagSeguroShipping();
                $type = new PagSeguroShippingType(3);
                $shipping->setType($type); 
                $paymentRequest->setShipping($shipping);

                $paymentRequest->setSender($objC->getPessoa()->get('razaosocial'), $objC->getPessoa()->get('email'));
                $paymentRequest->setRedirectUrl($urlRetorno);
                $paymentRequest->addParameter('notificationURL', $urlRetorno);

                try {
                    $credentials = new PagSeguroAccountCredentials( $objPort->get('gdata1'), $objPort->get('gdata2'));
                    $url = $paymentRequest->register($credentials);
                    preg_match('/code=.+/', $url, $matches);
                    $ntrans = str_replace('code=','',$matches[0]);

                } catch (PagSeguroServiceException $e) {
                    MessageBox::Show("Ocorreu um erro na API do Pagseguro. Tente novamente pressionando F5.", 'danger');
                }
                if ($ntrans != "") {
                    $retorno['ok'] =  true;
                    $retorno['tipo'] = 'callback';
                    echo '
                    var checkoutCode = \''.$ntrans.'\';
                    isOpenLightbox = PagSeguroLightbox({ code: checkoutCode}, {
                         success : function(transactionCode) {
                                  
                         },
                         abort : function() {

                         }
                    });
                    if (!isOpenLightbox){
                        location.href="https://pagseguro.uol.com.br/v2/checkout/payment.html?code="+ checkoutCode;
                    }';
                } else {
                    MessageBox::Show("Ocorreu um erro na API do Pagseguro. Tente novamente pressionando F5.", 'danger');
                }
                break;

            case 4 :

                try {
                    $urlRetorno .= 'paypal/';
                    $requestNvp = array(
                        'USER' => $objPort->get('gdata1'),
                        'PWD' => $objPort->get('gdata2'),
                        'SIGNATURE' => $objPort->get('gdata3'),

                        'VERSION' => '114.0',
                        'METHOD'=> 'SetExpressCheckout',

                        'PAYMENTREQUEST_0_PAYMENTACTION' => 'SALE',
                        'PAYMENTREQUEST_0_AMT' => $valor,
                        'PAYMENTREQUEST_0_CURRENCYCODE' => 'BRL',
                        'PAYMENTREQUEST_0_ITEMAMT' => $valor,
                        'PAYMENTREQUEST_0_INVNUM' => $objC->get('id'),

                        'L_PAYMENTREQUEST_0_NAME0' => utf8_encode($objC->get('descricao')),
                        'L_PAYMENTREQUEST_0_DESC0' => utf8_encode($objC->get('descricao')),
                        'L_PAYMENTREQUEST_0_AMT0' => $valor,
                        'L_PAYMENTREQUEST_0_QTY0' => '1',
                        'L_PAYMENTREQUEST_0_ITEMAMT' => $valor,
                        'L_PAYMENTREQUEST_0_NUMBER0' => $objC->get('id'),

                        'RETURNURL' => $urlRetorno.'success/id/'.$id.'/',
                        'CANCELURL' => $urlRetorno.'error/id/'.$id.'/',
                        'BUTTONSOURCE' => 'BR_EC_EMPRESA'
                    );
                        
                    $responseNvp = Paypal::sendNvpRequest($requestNvp, false);
                    if (isset($responseNvp['ACK']) && $responseNvp['ACK'] == 'Success') {
                        $query = array(
                            'cmd'    => '_express-checkout',
                            'token'  => $responseNvp['TOKEN']
                        );
                        $paypalURL = 'https://www.paypal.com/cgi-bin/webscr';
                        $url = sprintf('%s?%s', $paypalURL, http_build_query($query));
                        $ntrans = $responseNvp['TOKEN'];
                        $retorno['ok'] = true;
                        echo '
                            <p>Voc&ecirc; ser&aacute; redirecionado para o ambiente do Paypal para efetuar o pagamento.</p>
                            <a href="'.$url.'" target="_blank" class="btn btn-primary btn-block">Prosseguir com o pagamento</a>';
                    } 

                    
                } catch (Exception $e) {
                    MessageBox::Show("Ocorreu um erro na API do Paypal: ".$e->getMessage(),'danger', false, false);
                } 
                
                break;
                
            case 5 : 
                $urlRetorno .= 'bcash';
                $arrayInfosBcash = array(
                    'email_loja' => $objPort->get('gdata1'),
                    'produto_codigo_1' => 1,
                    'produto_descricao_1' => $objC->get('descricao'),
                    'produto_qtde_1' => 1,
                    'produto_valor_1' => $valor,
                    'tipo_integracao' => 'PAD',
                    'frete' => 0,
                    'id_pedido' => $objC->get('id'),
                    'url_retorno' => $urlRetorno,
                    'url_aviso' => $urlRetorno,
                    'redirect' => 'true',
                    'redirect_time' => 5,
                );

                echo '<form id="form-bcash" action="https://www.bcash.com.br/checkout/pay/" target="_blank" method="post">
                    <p>Voc&ecirc; ser&aacute; redirecionado para o ambiente do Bcash para efetuar o pagamento.</p>
                    <button type="submit" class="btn btn-primary btn-block">Prosseguir com o pagamento</button>';
                $hash = "";
                ksort($arrayInfosBcash);
                foreach($arrayInfosBcash as $key=>$value){
                    echo "<input name=\"{$key}\" type=\"hidden\" value=\"{$value}\">"; 
                    $hash .= ($hash==""?"":"&").$key."=".urlencode($value);
                }

                echo "<input name=\"hash\" type=\"hidden\" value=\"".md5($hash.$objPort->get('gdata2'))."\">";
                echo '</form>';

                $retorno['ok'] = true;

                break;

            case 6 : 
                $urlRetorno .= 'moip';
                $moip = new Moip();
                $moip->setEnvironment(false);
                $moip->setCredential(array(
                    'key' => $objPort->get('gdata1'),
                    'token' => $objPort->get('gdata2')
                ));

                $moip->setUniqueID($objC->get('id'));
                $moip->setValue($valor);
                $moip->setReason($objC->get('descricao'));
                $moip->setReturnURL($urlRetorno);
                $moip->setNotificationURL($urlRetorno.'/'.$GLOBALS['MoipToken']);
                $moip->validate('Basic');

                $moip->send();

                $return = $moip->getAnswer();
                if($return->response){
                    $ntrans = $return->token;
                        $retorno['ok'] = true;
                        echo '
                            <p>Voc&ecirc; ser&aacute; redirecionado para o ambiente do Moip para efetuar o pagamento.</p>
                            <a href="'.$return->payment_url.'" target="_blank" class="btn btn-primary btn-block">Prosseguir com o pagamento</a>';
                }else{
                    MessageBox::Show("Configuração do MOIP inválida. Entre em contato com o suporte.",'error big');
                    Common::show("<script> $.unblockUI(); </script>");
                }

                break;

            case 7 : 
                try {
                    $urlRetorno .= 'mercado-pago';
                    $mp = new MP($objPort->get('gdata1'), $objPort->get('gdata2'));
                    $preference = array(
                        "items" => array(
                            array(
                                "id" => $objC->get('id'),
                                "title" => utf8_encode($objC->get('descricao')),
                                "quantity" => 1,
                                "currency_id" => "BRL",
                                "unit_price" => $valor
                            )
                        ),
                        "back_urls" => array(
                            'success' => $urlRetorno.'/type/success',
                            'failure' => $urlRetorno.'/type/error',
                            'pending' => $urlRetorno.'/type/pending',
                        ),
                        "external_reference" => $objC->get('id'),
                        "notification_url" => $urlRetorno,
                        "init_point" => $urlRetorno,
                    );

                    $preferenceResult = $mp->create_preference($preference);
                    $url = $preferenceResult["response"]["init_point"];
                    $ntrans = $preferenceResult["response"]["id"];
                    
                    if($url != ''){
                        $retorno['ok'] = true;
                        echo '
                            <p>Voc&ecirc; ser&aacute; redirecionado para o ambiente do Mercado Pago para efetuar o pagamento</p>
                            <a href="'.$url.'" target="_blank" class="btn btn-primary btn-block">Prosseguir com o pagamento</a>';
                    }
                } catch (Exception $e) {
                    MessageBox::Show("Ocorreu um erro na API do Mercado Pago: {$e->getMessage()}",'danger');
                } 

                break;

            case 8:
                echo "<h3>Conta para Transfer&ecirc;ncia</h3>";
                echo "
                <p>
                    <strong>PicPay:</strong> @{$objPort->get('gdata1')}
                </p>
                <p class=\"text-danger\">Ap&oacute;s a realiza&ccedil;&atilde;o do dep&oacute;sito/transfer&ecirc;ncia, favor enviar um email com 
                o comprovante para <strong>".$Config->Email.'</strong>.</p>';
                $retorno['ok'] =  true;
                
                break;
            default:
                MessageBox::Show("Forma de pagamento inv&aacute;lida.",'danger',false, false);
                break;
        }

        if($retorno['ok']){
            $objH = new HistoricoConta();
            $objH->set('id_conta',$objC->get('id'));
            $objH->set('id_formapagamento',$objP->get('id'));
            $objH->set('descricao',$log);
            $objH->set('gatewaycode',$ntrans);
            $objH->set('valor',$objC->get('valor'));
            $objH->set('juro',$juro);
            $objH->set('multa',$multa);
            $objH->set('data',date('Y-m-d H:i:s'));
            $objH->Inserir();
        }
    }else{
        MessageBox::Show("Forma de pagamento n&atilde;o encontrada.", 'danger');
    }
}else{
    MessageBox::Show("Fatura n&atilde;o encontrada.", 'danger');
}
