<?php

$module = $request->getParameter('module');
$action = $request->getParameter('action');
$page = ($request->getParameter('page') != '' ? $request->getParameter('page') : 1);
$qtd = ($request->getParameter('qtd') != '' ? $request->getParameter('qtd') : 15);
$order = (array_key_exists($request->getParameter('order'), $Modules['list-order']) ? $request->getParameter('order') : $Modules['ordenacao']);
$reqBusca = ($request->getParameter('busca') == '' ? '\'' : $request->getParameter('busca'));

$view['title']  = $Modules['nome'];
$view['qtd']    = $qtd;
$view['pagina'] = $page;
$view['list-order']  = $Modules['list-order'];
$view['list-filter'] = $Modules['list-filter'];

$view['hasHeader'] =  true;


if( $request->get('msg') == 'success')  $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro salvo com sucesso!", "success", true);
if( $request->get('msg') == 'dsuccess') $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro(s) excludo(s) com sucesso!", "success", true);
if( $request->get('msg') == 'error')    $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao salvar registro.", "danger", true);
if( $request->get('msg') == 'derror')   $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao excluir registro(s).", "danger", true);


$objClass = new $Modules['class']();

if (substr_count($request->getParameter('filtro'), ';') > 0) {
    $filtros = explode(';', $request->getParameter('filtro'));
}
else
    $filtros = array($request->getParameter('filtro'));


if(substr_count($request->getParameter('filtro'), ';') > 0){
    $filtros = explode(';',$request->getParameter('filtro'));
}else
    $filtros = array($request->getParameter('filtro'));

$view['filtros'] = $filtros;
$paramAdd = "";

$codes = array('i'=>'=','d'=>'<>','isnn'=>' IS NOT NULL','isn' => ' IS NULL');
$codesPerm2Count = array('isnn','isn');
foreach($filtros as $filtro){
    if($filtro != ""){
        $partes = explode(',',$filtro);
        if(count($partes)>2){
            $valor = Statement::antiInjection($partes[2]);
        }else{
            $valor = '';
        }

        if($partes[0] == 'anop' && $Modules['class'] == 'Turma'){
            $paramExists = true;
            $partes[0] = "CONCAT(ano,'-',periodo)";
            $tipoParam = 'string';
        }else{
            $paramExists = $objClass->issetParam($partes[0]);
            if($paramExists){
                $tipoParam = $objClass->typeParam($partes[0]);
            }
        }


        if($paramExists && array_key_exists($partes[1], $codes) && ($valor != '' || (count($partes)==2 && in_array($partes[1], $codesPerm2Count)))){     
            $paramAdd .= " AND {$partes[0]}".$codes[$partes[1]];
            if($valor !=''){
                $paramAdd .= (!in_array($tipoParam, array('int','number'))?"'{$valor}'":$valor);
            }
        }
    } 
}

if(in_array($request->get('module'),array('categoriascusto'))){
    $paramAdd .= " AND id_pai IN (0) ";
}

$rs = call_user_func_array(array($Modules['class'], 'Buscar'), array("count(*) as qtd", $request->getParameter('busca'), (ctype_digit($reqBusca) ? 'id' : 'todos'), $paramAdd));
$rs->next();
$totalRegistros = $rs->getInt("qtd");
unset($rs);

if ($qtd != "todos") {
    $qtdpaginas = ceil($totalRegistros / $qtd);
    $inicio = ($qtd * ($page - 1));
    $fim = $qtd;
} else {
    $qtdpaginas = 1;
    $inicio = 0;
    $fim = $totalRegistros;
}

$rs = call_user_func_array(array($Modules['class'], 'Buscar'), array("id", $request->getParameter('busca'), (ctype_digit($reqBusca) ? 'id' : 'todos'), $paramAdd, $order, "$inicio, $fim"));
if ($qtd != 'todos') {
    if ($rs->numRows() < $qtd) {
        $linhas = $rs->numRows();
    } else {
        $linhas = $qtd;
    }
} else {
    $linhas = $rs->numRows();
}
$fim = $inicio + $linhas;


$view['paginas'] = $qtdpaginas;
$view['totalregistros'] = $totalRegistros;

if ($rs->numRows() > 0) {
    $view['registros'] = call_user_func_array(array($Modules['class'], 'GetTable'), array($rs));
} else {
    $view['registros'] = "<div class=\"table-responsive\"><table class=\"table\"><tr><td align=\"center\">Nenhum registro localizado.</td></tr></table></div>";
}


$view['tab-adicional'] = $objClass->getTabAdicional();
$view['content-tab-adicional'] = $objClass->getContentTabAdicional();
$view['list-filter-add'] = $objClass->getFilterAdditional();
$view['end_scripts'] .= $objClass->getFunctionAdditional();
            
