<div class="emails">
    <script type="text/javascript">
        function deleteEmailForward(user, forward) {
            BootstrapDialog.show({
                title: 'Confirma&ccedil;&atilde;o',
                message: 'Deseja realmente excluir o encaminhador?',
                buttons: [{
                        label: 'N&atilde;o',
                        action: function(dialog) {
                            dialog.close();
                        }
                    }, {
                        label: 'Sim',
                        cssClass: 'btn-primary',
                        action: function(dialog) {
                            var $button = this; // 'this' here is a jQuery object that wrapping the <button> DOM element.
                            $button.disable();
                            $button.spin();
                            dialog.setClosable(false);

                            var url = __PATH__ + 'ajax/delete-email-forward/user/' + user+'/forward/'+forward;
                            var htmlb = $('#link_del').html();
                            $('#link_del').html('Aguarde, deletando o encaminhador...');
                            $.ajax({
                                url: url,
                                type: 'GET',
                                dataType: "json",
                                success: function(data, textStatus, jqXHR) {
                                    if (data['ok']) {
                                        dialog.close();
                                    } else {
                                        $button.enable();
                                        $button.stopSpin();
                                        dialog.setClosable(true);
                                    }
                                    tAlert(data['data']);

                                },
                                error: function(jqXHR, textStatus, errorThrown)
                                {
                                    showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);

                                    $button.enable();
                                    $button.stopSpin();
                                    dialog.setClosable(true);
                                }
                            });

                        }
                    }]
            });
            return false;
        }
    </script>
    <h1 class="page-header">

          <div class="pull-left">
            <?=$view['title']?>
          </div>
            
        <form class="search col-xs-5 col-sm-6 hidden-xs pull-right" onsubmit="javascript: newPesquisa('<?= __PATH__ ?>', '<?= $view['modulo'] ?>', $$('busca').value, <?= $view['qtd'] ?>);
                    return false;">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Pesquisar (F3)" id="busca" value="<?= $view['busca'] ?>">
                    <div class="input-group-btn">
                        <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-search"></span></button>
                        <button type="button" data-toggle="modal" data-target="#add" class="btn btn-primary add">
                            <span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Adicionar (F2)</span>
                        </button>
                    </div>
            </div>
        </form>

        <div class="pull-right visible-xs">
            <button type="button" data-toggle="modal" data-target="#add" class="btn btn-primary add">
                <span class="glyphicon glyphicon-plus"></span> <span class="hidden-xs hidden-sm">Adicionar (F2)</span>
            </button>
        </div>   

        <div class="clearfix"></div>

    </h1>
    <?=$view['msg']?>

    <div id="servicos" class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="col-sm-6 nowrap text-right">O que chegar no email</th>
                    <th width="10"></th>
                    <th class="col-sm-6 nowrap">encaminhar para</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $i=0;
                foreach ($view['emails'] as $email) {
                    $i++;
                    if ($view['busca'] == '' || preg_match('/(' . $reqBusca . ')/i', $email->user)) {
                        ?>
                        <tr>
                            <td class="text-right"><?= $email->html_dest ?></td>
                            <td>
                                <a href="javascript:;" onclick="javascript:deleteEmailForward('<?=$email->html_dest?>','<?=$email->html_forward?>');" data-toggle="tooltip" data-placement="top" title="Excluir" class="btn btn-xs btn-danger"><span class="glyphicon glyphicon-trash"></span></a>
                            </td>
                            <td class="nowrap"><?= $email->html_forward ?></td>
                        </tr>  
                        <?php
                    }
                }
                if ($i == 0) {
                    ?>
                    <tr>
                        <td class="link-edit" colspan="3" align="center">Nenhum encaminhador encontrado.</td>
                    </tr>
<? } ?>
            </tbody>
        </table>
    </div>


    <div class="modal fade" id="add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="form-add" method="post" action="<?=__PATH__.$request->get('module')?>/add">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title" id="myModalLabel">Adicionar <span class="glyphicon glyphicon-chevron-right small"></span>Encaminhador de E-mail</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-sm-12 required">
                                <label for="">Quando um email for enviado para</label>
                                <div class="input-group" class="">
                                    <input type="text" name="user" class="form-control col-sm-6 required" >
                                    <span class="input-group-addon">@<?=$view['dominio']?></span>
                                </div>
                            </div>
                            <div class="form-group col-sm-12">
                                <label for="">Encaminhar para</label>
                                <input type="text" name="email" class="form-control required" value="" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btnClose-add" class="btn btn-default" data-dismiss="modal">Fechar</button>
                        <button type="submit" id="btnSave-add" class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Salvar</button>
                    </div>
                </form>
            </div>
        </div>
    </div> 