<?php

$id = $request->get('id')+0;
$retorno['atualizado'] = false;
if(Pedido::VerificaExistencia($id,'id')){
	$objPedido = Pedido::CarregarObjeto($id);

	if($objPedido->get('codigo_rastreio') != ''){

		echo '<p>Caso n&atilde;o funcione nossa integra&ccedil;&atilde;o autom&aacute;tica, voc&ecirc; pode verificar manualmente nestes links:</p>
	        	<ul>
	        		<li>C&oacute;digo de rastreio: <strong>'.$objPedido->get('codigo_rastreio').'</strong></li>
	        		<li><a target="_blank" href="https://www.linkcorreios.com.br/?id='.$objPedido->get('codigo_rastreio').'">Link Correios</a></li>
	        		<li><a target="_blank" href="https://www.melhorrastreio.com.br/rastreio/'.$objPedido->get('codigo_rastreio').'">Melhor Rastreio</a></li>
	        		<li><a target="_blank" href="https://rastreae.com.br/resultado/'.$objPedido->get('codigo_rastreio').'">Rastrea&ecirc; (Manda&ecirc;)</a></li>
	        		<li><a target="_blank" href="https://www.directlog.com.br/">DirectLog</a> <em>(necessita digita&ccedil;&atilde;o, copie o c&oacute;digo acima)</em></li>
	    		</ul>
		        ';

	    if($objPedido->get('status') ==2 ){
	    	Messagebox::Show('O pedido foi entregue dia '.Data::getFormat($objPedido->get('data_entrega'),'d/m/Y').'!! =)','success', false, false);
	    }else{

			$obj = new Entrega($objPedido->get('codigo_rastreio'), $id);
			$retorno['atualizado'] = $obj->verificaTodos();

			if(!$obj->encontrado){
				echo "Objeto {$objPedido->get('codigo_rastreio')} n&atilde;o encontrado em nenhuma api.<br>";
			}else{
				echo '<h3>API '.strtoupper($obj->api).'</h3>';
				if($obj->entregue){
					Messagebox::Show('O pedido foi entregue!! =)','success', false, false);
				}
				echo $obj->html;
			}
		}
	}else{
		Messagebox::Show('Nenhum c&oacute;digo de acompanhamento.','warning');
	}
	/*
	if($objPedido->get('codigo_rastreio') != ''){
		echo '<p>Caso n&atilde;o funcione nossa integra&ccedil;&atilde;o autom&aacute;tica, voc&ecirc; pode verificar manualmente nestes links:</p>
	        	<ul>
	        		<li>C&oacute;digo de rastreio: <strong>'.$objPedido->get('codigo_rastreio').'</strong></li>
	        		<li><a target="_blank" href="https://www.linkcorreios.com.br/?id='.$objPedido->get('codigo_rastreio').'">Link Correios</a></li>
	        		<li><a target="_blank" href="https://www.melhorrastreio.com.br/rastreio/'.$objPedido->get('codigo_rastreio').'">Melhor Rastreio</a></li>
	        		<li><a target="_blank" href="https://rastreae.com.br/resultado/'.$objPedido->get('codigo_rastreio').'">Rastrea&ecirc; (Manda&ecirc;)</a></li>
	        		<li><a target="_blank" href="https://www.directlog.com.br/">DirectLog</a> <em>(necessita digita&ccedil;&atilde;o, copie o c&oacute;digo acima)</em></li>
        		</ul>
		        ';

        if($objPedido->get('status') ==2 ){
        	Messagebox::Show('O pedido foi entregue dia '.Data::getFormat($objPedido->get('data_entrega'),'d/m/Y').'!! =)','success', false, false);
        }else{


        	$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,"https://www2.correios.com.br/sistemas/rastreamento/resultado_semcontent.cfm");
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS,"objetos={$objPedido->get('codigo_rastreio')}");
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$server_output = curl_exec($ch);
			curl_close ($ch);

			ob_start();
			$listEvent = phpQuery::newDocument(utf8_encode($server_output))->find('.listEvent > tr');
			$delivered=null;
			$eventos = [];
			if(count($listEvent) > 0){
				$table = '
					<h3>Correios API</h3>
					<table class="table table-hover">
				        <thead>
				          <tr>
				            <th>Data</th>
				            <th>Status</th>
				            <th>Unidade</th>
				          </tr>
				        </thead>
				        <tbody>';

				foreach($listEvent as $event){
					$tds = pq($event)->find('td');
					$arrTd = [];
					foreach($tds as $td){
						$arrTd[] = trim(preg_replace('/\s\s+/', ' ', $td->textContent));
					}
					$eventos[] = $arrTd;

					$data = trim(substr($arrTd[0], 0, 17));
					$unidade = trim(substr($arrTd[0], 17));
					$status = trim($arrTd[1]);

					$table .= '
			            <tr>
			                <td>'.$data.'</td>
			                <td>'.$status.'</em></td>
			                <td>'.$unidade.'</td>
			             </tr>
			            ';


					if(preg_match('/objeto entregue/', strtolower($arrTd[1]))) {
						$delivered = $arrTd[1];
					}
					
				}

				$table .= '
		        	</tbody>
		        </table>
		        
		        ';
		        ob_end_clean();
		        
				if($delivered){
					Messagebox::Show('O pedido foi entregue!! =)','success', false, false);
					if($objPedido->get('status') != 2){
						$objPedido->set('status',2);
						$pts = explode(' ', $data);
						$objPedido->set('data_entrega', Data::getFormat($pts[0], 'Y-m-d'));
						$objPedido->Alterar();
						$retorno['atualizado'] = true;
					}
				}
				

				echo $table;

			}else{
				ob_end_clean();


					$url = "https://rastrojs.herokuapp.com/track/{$objPedido->get('codigo_rastreio')}/json";
					$ret = Common::getFileByCurl($url);

					$json = json_decode($ret);

					if(is_object($json) && $json->code == 200){
						$retorno['ok'] = true;

						if($json->data->isDelivered){
							Messagebox::Show('O pedido foi entregue!! =)','success', false, false);
							if($objPedido->get('status') != 2){
								$objPedido->set('status',2);
								$objPedido->set('data_entrega', date('Y-m-d',strtotime($json->data->updatedAt)));
								$objPedido->Alterar();
								$retorno['atualizado'] = true;
							}
						}

						$tracks = $json->data->track;
						if(count($tracks) > 0){
							if($objPedido->get('status') == 0){
								$objPedido->set('status',1);
								$objPedido->Alterar();
								$retorno['atualizado'] = true;
							}
							echo '
							<h3>RastroJS</h3>
							<table class="table table-hover">
						        <thead>
						          <tr>
						            <th>Data</th>
						            <th>Status</th>
						            <th>Unidade</th>
						          </tr>
						        </thead>
						        <tbody>';
					        $tr = '';
							foreach($tracks as $track){
								$tr = '
					            <tr>
					                <td>'.date('d/m/Y H:i:s',strtotime($track->trackedAt)).'</td>
					                <td>'.ucfirst($track->status).'<br><em class="small">'.ucfirst($track->observation).'</em></td>
					                <td>'.ucfirst($track->unit).'</td>
					             </tr>
					            '.$tr;
							}

							echo $tr.'
					        	</tbody>
					        </table>
					        
					        ';
			        
						}else{
							Messagebox::Show('Nenhuma informa&ccedil;&atilde;o de rastreamento.','warning', false, false);
						}
						
					}else{

						$url = "https://rastreamento.api.mandae.com.br/items/{$objPedido->get('codigo_rastreio')}/tracking?perfil=DESTINATARIO";
						$ret = Common::getFileByCurl($url);

						$json = json_decode($ret);

						if(is_object($json) && !isset($json->error)){
							$retorno['ok'] = true;

							if(strtolower($json->situacaoEncomenda) == 'entregue'){
								Messagebox::Show('O pedido foi entregue!! =)','success', false, false);
								if($objPedido->get('status') != 2){
									$objPedido->set('status',2);
									$objPedido->set('data_entrega', date('Y-m-d',strtotime($json->historico[0]->dataHora)));
									$objPedido->Alterar();
									$retorno['atualizado'] = true;
								}
							}

							$tracks = $json->historico;
							if(count($tracks) > 0){
								if($objPedido->get('status') == 0 && strtolower($json->situacaoEncomenda) != 'nova'){
									$objPedido->set('status',1);
									$objPedido->Alterar();
									$retorno['atualizado'] = true;
								}
								echo '
								<h3>Mandae Tracking</h3>
								<table class="table table-hover">
							        <thead>
							          <tr>
							            <th>Data</th>
							            <th>Status</th>
							            <th>Transportadora</th>
							          </tr>
							        </thead>
							        <tbody>';
						        $tr = '';
								foreach($tracks as $track){
									$tr .= '
						            <tr>
						                <td>'.date('d/m/Y H:i:s',strtotime($track->dataHora)).'</td>
						                <td>'.(isset($track->descricao) ? $track->descricao.'<br>' : '').'<em class="small">'.$track->complemento.'</em></td>
						                <td>'.(isset($track->transportadora) ? $track->transportadora : '') .'</td>
						             </tr>
						            ';
								}

								echo $tr.'
						        	</tbody>
						        </table>
						        
						        ';
				        
							}else{
								Messagebox::Show('Nenhuma informa&ccedil;&atilde;o de rastreamento.','warning', false, false);
							}
						}else{


							$url = "https://api.melhorrastreio.com.br/api/v1/trackings/{$objPedido->get('codigo_rastreio')}";
							//$url = "https://www.melhorrastreio.com.br/api/v1/trackings/getspecific?id={$objPedido->get('codigo_rastreio')}";
							$ret = Common::getFileByCurl($url);

							$json = json_decode($ret);

							if(is_object($json) && isset($json->tracking)){
								$retorno['ok'] = true;

								if(strtolower($json->tracking[0]->events) == 'entregue'){
									Messagebox::Show('O pedido foi entregue!! =)','success', false, false);
									if($objPedido->get('status') != 2){
										$objPedido->set('status',2);
										$objPedido->set('data_entrega', date('Y-m-d',strtotime($json->tracking[0]->updated_at)));
										$objPedido->Alterar();
										$retorno['atualizado'] = true;
									}
								}

								$tracks = $json->events;
								if(count($tracks) > 0){
									if($objPedido->get('status') == 0){
										$objPedido->set('status',1);
										$objPedido->Alterar();
										$retorno['atualizado'] = true;
									}
									echo '
									<h3>Melhor Rastreio Tracking</h3>
									<table class="table table-hover">
								        <thead>
								          <tr>
								            <th>Data</th>
								            <th>Status</th>
								            <th>Local</th>
								          </tr>
								        </thead>
								        <tbody>';
							        $tr = '';
									foreach($tracks as $track){
										$tr .= '
							            <tr>
							                <td>'.date('d/m/Y H:i:s',strtotime($track->time)).'</td>
							                <td>'.$track->event.'<br><em class="small">'.$track->comment.'</em></td>
							                <td>'.$track->local .'</td>
							             </tr>
							            ';
									}

									echo $tr.'
							        	</tbody>
							        </table>
							        
							        ';
					        
								}else{
									Messagebox::Show('Nenhuma informa&ccedil;&atilde;o de rastreamento.','warning', false, false);
								}

							}else{
								Messagebox::Show('Nenhum retorno obtido da API.','warning');
							}
						}
	
					}
				}
		}

	}else{
		Messagebox::Show('Nenhum c&oacute;digo de acompanhamento.','warning');
	}
	*/
}else{
	Messagebox::Show('Pedido n&atilde;o encontrado.','danger');
}