<?php

$conn = new Connection();
/*


$sql = "SELECT count(id) qtd FROM pedidos";
$view['pedidos'] = $conn->prepareStatement($sql)->executeScalar()+0;

$sql = "SELECT sum(frete) FROM pedidos";
$view['fretes'] = $conn->prepareStatement($sql)->executeScalar()+0;

$sql = "SELECT sum(quantidade*preco) FROM produtospedido";
$view['total_vendas'] = $conn->prepareStatement($sql)->executeScalar()+0;

*/
$sql = "SELECT CEILING(SUM(diff)/COUNT(id)) FROM (SELECT id, TIMESTAMPDIFF(SECOND, inicio, fim) diff from posvendas WHERE status = 3) pv";
$view['posvendas_media'] = $conn->prepareStatement($sql)->executeScalar()+0;



$status = array_fill_keys(array_keys(PosVenda::$nmStatus), 0);
$sql = "SELECT status, count(id) qtd FROM posvendas GROUP BY status";
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $status[$rs->getInt('status')] = $rs->getInt('qtd');
}

$sql = "
    SELECT 
        count(pq.id)
    FROM `pesquisas` pq JOIN pedidos p ON 
        p.data_venda >= pq.inicio AND
        CASE WHEN pq.campo = 'data_entrega' THEN 
            DATEDIFF( NOW(), p.data_entrega ) >= pq.dias
        ELSE 
            DATEDIFF( NOW(), p.data_venda ) >= pq.dias
        END
    LEFT JOIN posvendas pv ON pv.id_pesquisa = pq.id AND p.id = pv.id_pedido
    LEFT JOIN clientes c ON p.id_cliente = c.id
    LEFT JOIN empresas e ON p.id_empresa = e.id
WHERE IFNULL(pv.status, 1) NOT IN(3,4)";
$status[1] = $conn->prepareStatement($sql)->executeScalar()+0;

$lbl = $vls = '';
foreach ($status as $key => $value) {
    if($value > 0){
        $lbl .= ($lbl != ''?',':'')."'".PosVenda::$nmStatus[$key]."'";
        $vls .= ($vls != ''?',':'').$value;
    }
}

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartspv'), {
                chart: { 
                    type: 'donut',
                    height: '194px'
                },
                legend: { 
                    width: '100%',
                    position: 'bottom' },
                labels: [{$lbl}],
                dataLabels: {
                    enabled: true
                },
                series: [{$vls}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: { width: '100%' },
                    }
                }]
            }
        )).render();
";

$sql = "SELECT count(id) FROM clientes";
$view['clientes'] = $conn->prepareStatement($sql)->executeScalar()+0;

$sql = "SELECT ROUND(SUM(data_length + index_length) / 1024 / 1024, 1) consumo FROM information_schema.tables WHERE table_schema = '{$DBName}'";
$view['consumo'] = $conn->prepareStatement($sql)->executeScalar()+0;

$sql = "SELECT compradores, recompra, (recompra*100)/compradores perc FROM (SELECT COUNT(id_cliente) compradores, SUM(CASE WHEN qtd > 1 THEN 1 ELSE 0 END) recompra FROM (select id_cliente, count(id) qtd from pedidos group by id_cliente) x) x";
$rs = $conn->prepareStatement($sql)->executeReader();
$view['compradores'] = $view['recompra'] = $view['recompra_perc'] = 0;
if($rs->next()){
    $view['compradores'] = $rs->getInt('compradores');
    $view['recompra'] = $rs->getInt('recompra'); 
    $view['recompra_perc'] = $rs->getNumber('perc');
}

$consumo = $view['consumo'];
if($view['consumo'] > $objPainel->getPlano()->get('espaco')){
    $consumo = $objPainel->getPlano()->get('espaco');
}

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chart'), {
                chart: {
                    width: '100%',
                    type: 'bar',
                    stacked: true,
                    stackType: '100%', 
                    height: '35',
                    sparkline: { enabled: true },
                    toolbar: {show: false }
                },
                plotOptions: {
                    bar: {
                        horizontal: true,
                    },
                    
                },
                
                colors: ['#FF".($view['consumo'] > $objPainel->getPlano()->get('espaco') ? '0000' : '850A')."', '#DDD'],

                series: [{
                        name: 'Consumo atual',
                        data: [".$consumo."],
                    },{
                        name: 'Disponível',
                        data: [".($objPainel->getPlano()->get('espaco')-$view['consumo'])."],
                    },
                ],
            }
        )).render();
";


$sql = "SELECT c.nome, COUNT(p.id) qtd FROM  pedidos p INNER JOIN canaisvenda c ON p.id_canalvenda = c.id GROUP BY c.nome ORDER BY 2 DESC";
$cv_lbl = $cv_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
$i=$outros=0;
while($rs->next()){
    if(++$i < 5){
        $cv_lbl .= ($cv_lbl != ''?',':'')."'{$rs->getString('nome')}'";
        $cv_vl .= ($cv_vl != ''?',':'').$rs->getInt('qtd');
    }else{
        $outros+= $rs->getInt('qtd');
    }
}
$cv_lbl .= ($cv_lbl != ''?',':'')."'Outros'";
$cv_vl .= ($cv_vl != ''?',':'').$outros;

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartcv'), {
                chart: { 
                    type: 'donut',
                    height: '194px'
                },
                legend: { 
                    width: '100%',
                    position: 'bottom' },
                labels: [{$cv_lbl}],
                dataLabels: {
                    enabled: true
                },
                series: [{$cv_vl}],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: { width: '100%' },
                    }
                }]
            }
        )).render();
";

$sql = "SELECT cc.nome, IFNULL(p.qtd,0) qtd from canaiscomunicacao cc LEFT JOIN (SELECT id_canalcomunicacao, COUNT(id) qtd FROM posvendas WHERE status = 3 GROUP BY id_canalcomunicacao) p ON cc.id = p.id_canalcomunicacao";
$cc_lbl = $cc_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
while($rs->next()){
    $cc_lbl .= ($cc_lbl != ''?',':'')."'{$rs->getString('nome')}'";
    $cc_vl .= ($cc_vl != ''?',':'').$rs->getInt('qtd');

}

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartcm'), {
                chart: { 
                    type: 'donut',
                    height: '194px',
                },
                legend: { 
                    width: '100%',
                    position: 'bottom' },
                labels: [{$cc_lbl}],
                dataLabels: {
                    enabled: true
                },
                series: [{$cc_vl}],
                responsive: [{
                    breakpoint: 480, 
                    options: {
                        chart: {
                            width: '100%'
                        },
                    }
                }]
            }
        )).render();
";



$sql = "SELECT c.estado, COUNT(p.id) qtd FROM  pedidos p INNER JOIN clientes c ON p.id_cliente = c.id GROUP BY c.estado ORDER BY 2 DESC";
$es_lbl = $es_vl = '';
$rs = $conn->prepareStatement($sql)->executeReader();
$i=$outros=0;
while($rs->next()){
    if(++$i < 10){
        $es_lbl .= ($es_lbl != ''?',':'')."'{$rs->getString('estado')}'";
        $es_vl .= ($es_vl != ''?',':'').$rs->getInt('qtd');
    }else{
        $outros+= $rs->getInt('qtd');
    }
}
$es_lbl .= ($es_lbl != ''?',':'')."'Outros'";
$es_vl .= ($es_vl != ''?',':'').$outros;

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartes'), {
                chart: { 
                    height: '300',
                    type: 'bar', 
                    toolbar: {show: false }
                },
                plotOptions: {
                    bar: {
                        horizontal: true,
                    }
                },
                labels: [{$es_lbl}],
                series: [{
                    name: 'Vendas',
                    data: [{$es_vl}],
                }],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%',
                            height: '250'
                        },
                        legend: {
                            position: 'bottom'
                        }
                    }
                }]
            }
        )).render();
";

$lbl = $vls = '';
for($i = 12; $i >=1; $i--){
    $time = strtotime("-{$i} month");
    $ym = date('Ym',$time);

    $vl = $conn->prepareStatement("SELECT SUM(total) total FROM pedidos p INNER JOIN (SELECT id_pedido, sum(quantidade*preco) total FROM `produtospedido` GROUP BY id_pedido) pp ON pp.id_pedido = p.id WHERE date_format(data_venda,'%Y%m') = '{$ym}'")->executeScalar() + 0;
    $lbl .= ($lbl != ''?',':'')."'".date('m/Y', $time)."'";
    $vls .= ($vls != ''?',':'').$vl;
}

$view['end_scripts'] .= "
        (new ApexCharts(
            document.querySelector('#chartvendas'), {
                chart: { 
                    height: '300',
                    type: 'line', 
                    toolbar: {show: false }
                },
                plotOptions: {
                    bar: {
                        horizontal: true,
                    }
                },
                labels: [{$es_lbl}],
                series: [{
                    name: 'Vendas',
                    data: [{$vls}],
                }],
                stroke: {
                    curve: 'straight'
                },
                xaxis: {
                    categories: [{$lbl}],
                },
                yaxis: {
                    labels: {
                        show: false,
                        formatter: function (val) {
                            return 'R$ '+number_format(val,2,',','.');
                        }
                    }

                },
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: '100%',
                            height: '200'
                        },
                        legend: {
                            position: 'bottom'
                        }
                    }
                }]
            }
        )).render();
";

$rs = Pedido::Buscar('id','','','status IN(7) OR problema = 1', 'dt_ualt');
$view['pedidos_problema'] = array();
while($rs->next()){
    $view['pedidos_problema'][] = Pedido::CarregarObjeto($rs->getInt('id'));
}
