<?php
$view['title']  = 'P&oacute;s-vendas';
$view['estimativa'] = '';
include dirname(__FILE__).'/config.pedidos.php';
$conn = new Connection();

$module = $request->getParameter('module');
$action = $request->getParameter('action');
$page = ($request->getParameter('page') != '' ? $request->getParameter('page') : 1);
$qtd = ($request->getParameter('qtd') != '' ? $request->getParameter('qtd') : 25);
$order = (array_key_exists($request->getParameter('ordenacao'), $Modules['list-order']) ? $request->getParameter('ordenacao') : $Modules['ordenacao']);

$view['url']  = __PATH__.$request->get('module').'/list';


$view['qtd']    = $qtd;
$view['pagina'] = $page;
$view['list-order']  = $Modules['list-order'];
$view['list-filter'] = $Modules['list-filter'];
$view['hasHeader'] =  false;
$view['ordenacao'] =  $order;


if( $request->get('msg') == 'success')  $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro salvo com sucesso!", "success", true);
if( $request->get('msg') == 'dsuccess') $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro(s) exclu&iacute;do(s) com sucesso!", "success", true);
if( $request->get('msg') == 'error')    $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao salvar registro.", "danger", true);
if( $request->get('msg') == 'derror')   $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao excluir registro(s).", "danger", true);


$id_pedido = $action + 0;
$id_posvenda = $action + 0;
$id_pesquisa = $request->get('pesquisa')+0;

if(Pedido::VerificaExistencia($id_pedido,'id') && Pesquisa::VerificaExistencia($id_pesquisa,'id') ){

    $rs = PosVenda::Buscar('id',$id_pedido,'id_pedido','AND id_pesquisa='.$id_pesquisa);
    $objPesquisa = Pesquisa::CarregarObjeto($id_pesquisa);
    $objPedido = Pedido::CarregarObjeto($id_pedido);

    if($rs->next()){
        $objPV = PosVenda::CarregarObjeto($rs->getInt('id'));
    }else{
        $objPV = new PosVenda();
        $objPV->set('id_pesquisa', $id_pesquisa);
        $objPV->set('id_usuario', 0);
        $objPV->set('id_empresa', $objPedido->get('id_empresa'));
        $objPV->set('id_pedido', $id_pedido);
        $objPV->set('pontos', 0);
        $objPV->set('status', 1);
        $ret = $objPV->Inserir();
        $objPV->set('id',$ret[0]);
    }

    $id_posvenda = $objPV->get('id');

    $view['end_scripts'] .= 'getTableList(\'txthistorico\', \'historicopedido/id_pedido/'.$objPedido->get('id').'/filtro/id_pedido,i,'.$objPedido->get('id').'\');';
    $view['end_scripts'] .= 'getTableList(\'txthistoricocliente\', \'historicocliente/id_cliente/'.$objPedido->get('id_cliente').'/filtro/id_cliente,i,'.$objPedido->get('id_cliente').'\');';

    
                $arrError = array();
                $htmlPesquisa = '';
                
                $htmlPesquisa .= '<div style="padding: 15px;">';
                $desativarPesquisa = in_array($objPV->get('status'),[3,5]) ? 'disabled' : '';

                        $rsPerg = Pergunta::Buscar("id, descricao, posicao", $objPesquisa->get('id'), "id_pesquisa", '', "posicao ASC");
                        if ($rsPerg->numRows() > 0) {
                            $htmlPesquisa .= '<table width="100%" class="table">';
                            $htmlPesquisa .= '<tbody>';

                            $cont = 0;
                            while ($rsPerg->next()) {
                                $objPergunta = Pergunta::CarregarObjeto($rsPerg->getInt('id'));

                                //verifica se h?alguma resposta que desativa a pergunta
                                //$rsPerDes = PerguntaDesativar::Buscar("*",$objPergunta->getPesquisa()->get('id'),"pesquisa"," AND id_pergunta_desativar = {$objPergunta->get('id')}");

                                $style = '';
                                $ativo = 1;
                                /*
                                  if($rsPerDes->numRows() > 0){
                                  //se houver
                                  while($rsPerDes->next()){
                                  //verifica se foi escolhida a op?o que desativa
                                  if(RespostaParticipanteProfessor::VerificaExistencia($objPergunta->getPesquisa()->get('id'), "pesquisa", " AND id_resposta = ".$rsPerDes->getInt('ID_RESPOSTA')." AND id_pergunta = ".$rsPerDes->getInt('ID_PERGUNTA')." AND id_pauta = $id_pauta AND id_professor = {$id_professor} AND id_aluno = ".$id_aluno)){
                                  $style = 'none';
                                  $ativo = 0;
                                  }

                                  }
                                  }
                                 * 
                                 */


                                $htmlPesquisa .= ("<tr id=\"pergunta_{$objPergunta->get('id')}\" style=\"display:$style\" >");

                                $htmlPesquisa .= ("<td class=\"col-md-6" . (in_array($objPergunta->get('id'), $arrError) ? " error" : "") . "\"><p>" . ++$cont . ". {$rsPerg->getString('descricao')}</p></td>");


                                ####################################MONTA RESPOSTAS #################################

                                $rsResp = Resposta::Buscar("id", $objPergunta->get('id'), "id_pergunta", '', "posicao ASC");
                                $issetRespComText = Resposta::VerificaExistencia($objPergunta->get('id'), "id_pergunta", " AND tipo IN(2,3) ", "", "");
                                $posicaoDesativa = "";

                                if ($issetRespComText) {
                                    $rsPosicao = Resposta::Buscar("posicao", $objPergunta->get('id'), "id_pergunta", " AND tipo IN(2,3) ", "", "");
                                    $rsPosicao->next();
                                    $posicaoDesativa = $rsPosicao->getInt('posicao');
                                    unset($rsPosicao);
                                }

                                $htmlPesquisa .= "<td class=\"col-md-6\">\n";
                                $htmlPesquisa .= "<input name=\"iptTipo_{$objPergunta->get('id')}\" id=\"iptTipo_{$objPergunta->get('id')}\" type=\"hidden\" value=\"{$objPergunta->get('tipo')}\" />\n";
                                $htmlPesquisa .= "<input name=\"iptQtd_{$objPergunta->get('id')}\" id=\"iptQtd_{$objPergunta->get('id')}\" type=\"hidden\" value=\"{$rsResp->numRows()}\" />\n";
                                $htmlPesquisa .= "<input name=\"iptAtivo_{$objPergunta->get('id')}\" id=\"iptAtivo_{$objPergunta->get('id')}\" type=\"hidden\" value=\"{$ativo}\" />\n";

                                $i = 0;

                                $arrPergDes = array(); //array com as respostas que desativarao perguntas e as perguntas que serao desativas
                                $arrPergGer = array(); //array com todas as perguntas que serao gerenciadas
                                //Desativando perguntas
                                //se esta pergunta gerenciar perguntas
                                /*
                                  if(PerguntaDesativar::VerificaExistencia($objPergunta->getPesquisa()->get('id'),"pesquisa"," AND id_pergunta = {$objPergunta->get('id')}")){
                                  //busca todas as perguntas que serao gerenciadas
                                  $rsPergDes = PerguntaDesativar::Buscar("id_pergunta_desativar, id_resposta",$objPergunta->getPesquisa()->get('id'),"pesquisa"," AND id_pergunta = {$objPergunta->get('id')} ","id_resposta");
                                  if($rsPergDes->numRows() > 0){
                                  while($rsPergDes->next()){
                                  $arrPergGer[] = "'".$rsPergDes->getInt('id_pergunta_desativar')."'";//todas as perguntas que serao gerenciadas
                                  $arrPergDes[$rsPergDes->getInt('id_resposta')][] = "'".$rsPergDes->getInt('id_pergunta_desativar')."'"; //todas as perguntas daquela resposta que serao gerenciadas
                                  }
                                  }
                                  $issetPergDes = true;

                                  }else{
                                  $issetPergDes = false;
                                  }
                                 */
                                $issetPergDes = false;
                                $htmlPesquisa .= "<table class=\"table table-hover\">\n";

                                $rsResp = Resposta::Buscar("id", $objPergunta->get('id'), "id_pergunta", '', "posicao ASC");

                                //if(!$issetRespComText)
                                    $htmlPesquisa .= "<tr>\n";
                                while ($rsResp->next()) {
                                    /*if(!$issetRespComText)
                                        $htmlPesquisa .= "<td width=\"".(100/$rsResp->numRows())."%\">\n";
                                    else{*/
                                        $htmlPesquisa .= "<tr>\n";
                                        $htmlPesquisa .= "<td width=\"100%\">\n";
                                    //}
                                    
                                    $objResposta = Resposta::CarregarObjeto($rsResp->getInt('id'));

                                    $rsIsset = RespostaPesquisa::Buscar('id', $objPV->get('id'), "id_posvenda", " AND id_resposta = " . $objResposta->get('id') . " AND id_pergunta = {$objPergunta->get('id')}");
                                    $value = "";

                                    if ($rsIsset->numRows() > 0) {
                                        $isset = true;
                                        $rsIsset->next();
                                        $objRespPart = RespostaPesquisa::CarregarObjeto($rsIsset->getInt('id'));
                                        $value = $objRespPart->get('descricao');
                                        unset($objRespPart);
                                    } else {
                                        $isset = false;
                                    }


                                    $funcaoDesativar = "";
                                    if ($issetPergDes) {
                                        if (isset($arrPergDes[$objResposta->get('id')])) {
                                            $funcaoDesativar = "GerenciaPerguntas(new Array(" . implode(',', $arrPergGer) . "), new Array(" . implode(',', $arrPergDes[$objResposta->get('id')]) . "));";
                                        } else {
                                            $funcaoDesativar = "GerenciaPerguntas(new Array(" . implode(',', $arrPergGer) . "),new Array());";
                                        }
                                    }

                                    $funcaoDesativarTexto = "$('.rt_{$objPergunta->get('id')}').prop('disabled', true);";

                                    if ($issetRespComText) {
                                        if ($objResposta->get('tipo') == 2 || $objResposta->get('tipo') == 3) {
                                            $funcaoDesativarTexto .= "$('#iptRespostaTexto_{$objPergunta->get('id')}_{$objResposta->get('id')}').prop('disabled', false);";
                                        }
                                    }

                                    $htmlPesquisa .= "<div class=\"radio checkbox\"><label>\n";
                                    if ($objPergunta->get('tipo') == 1) {
                                        $htmlPesquisa .= "<input {$desativarPesquisa} name=\"iptResposta_{$objPergunta->get('id')}\" id=\"iptResposta_{$objPergunta->get('id')}_{$objResposta->get('posicao')}\" " . ($isset ? "checked" : "") . " " . ($funcaoDesativarTexto != "" || $funcaoDesativar != "" ? "onclick=\"javascript: {$funcaoDesativarTexto}{$funcaoDesativar}\"" : "") . " type=\"radio\" value=\"{$objResposta->get('id')}\" />\n";
                                    } else {
                                        $htmlPesquisa .= "<input {$desativarPesquisa} name=\"iptResposta_{$objPergunta->get('id')}_$i\" id=\"iptResposta_{$objPergunta->get('id')}_$i\" " . ($isset ? "checked" : "") . " " . ($funcaoDesativarTexto != "" || $funcaoDesativar != "" ? "onclick=\"javascript: {$funcaoDesativarTexto}{$funcaoDesativar}\"" : "") . " type=\"checkbox\" value=\"{$objResposta->get('id')}\" />\n";
                                    }
                                    $htmlPesquisa .= "<span>{$objResposta->get('descricao')}</span>\n";
                                    $htmlPesquisa .= "</label></div>\n";

                                    if ($objResposta->get('tipo') == 2) {
                                        $htmlPesquisa .= "<input {$desativarPesquisa} name=\"iptRespostaTexto_{$objPergunta->get('id')}_{$objResposta->get('posicao')}\" " . ($isset ? "" : "disabled") . " id=\"iptRespostaTexto_{$objPergunta->get('id')}_{$objResposta->get('id')}\" type=\"text\" class=\"form-control rt_{$objPergunta->get('id')}\" value=\"$value\" />\n";
                                    } elseif ($objResposta->get('tipo') == 3) {
                                        $htmlPesquisa .= "<textarea {$desativarPesquisa} name=\"iptRespostaTexto_{$objPergunta->get('id')}_{$objResposta->get('posicao')}\" " . ($isset ? "" : "disabled") . " id=\"iptRespostaTexto_{$objPergunta->get('id')}_{$objResposta->get('id')}\" class=\"form-control rt_{$objPergunta->get('id')}\" style=\"width:100%\" rows=\"4\">$value</textarea>\n";
                                    }

                                    //$htmlPesquisa .= "<br>\n";

                                    $i++;
                                    unset($objResposta);
                                    $htmlPesquisa .= "</td>\n";
                                    //if($issetRespComText){
                                        $htmlPesquisa .= "</tr>\n";
                                    //}
                                }
                                //if(!$issetRespComText)
                                //    $htmlPesquisa .= "</tr>\n";
                                $htmlPesquisa .= "</table>\n";
                                
                                
                                $htmlPesquisa .= "</tr>\n";
                                
                            }
                            

                            unset($rsResp, $objPergunta);

                            ######################################### FIM MONTA RESPOSTAS ##################################


                            unset($objPergunta);
                            $htmlPesquisa .= '</tbody>';
                            $htmlPesquisa .= '</table>';
                        }
                    
                
            


            $htmlPesquisa .= ("</div>");


            $view['pesquisa'] = $htmlPesquisa;
}else{


    $view['dti'] = $request->get('dti');
    $view['dtf'] = $request->get('dtf');
    
    $situacoes = Common::Replace('/[^0-9,]/','',$request->get('situacoes'));
    if($situacoes != ''){
        $view['situacoes'] = explode(',', $situacoes);
    }else{
        $view['situacoes'] = array(1,2);
    }

    $paramAdd = 'IFNULL(pv.status, 1) IN ('.implode(',', $view['situacoes']).')';


    if($view['dti']!='' && Data::isValid($view['dti'])){ 
        $paramAdd .= " AND DATE(pv.fim) >= '{$view['dti']}'";
        $view['url'] .= '/dti/'.$view['dti'];
    }
    if($view['dtf']!='' && Data::isValid($view['dtf'])){
        $paramAdd .= " AND DATE(pv.fim) <= '{$view['dtf']}'";
        $view['url'] .= '/dtf/'.$view['dtf'];
    }
    
    if($request->get('cliente')+0>0){
        $cliente = $request->get('cliente')+0;
        $paramAdd .= " AND p.id_cliente IN ({$cliente})";
        $view['cliente'] = $cliente;
        $view['url'] .= '/cliente/'.$cliente;
    }else{
        $view['cliente'] = '';
    }  

    if($request->get('empresa')!=''){
        $empresa = $request->get('empresa')+0;
        $paramAdd .= " AND p.id_empresa IN ({$empresa})";
        $view['empresa'] = $empresa;
        $view['url'] .= '/empresa/'.$empresa;
    }else{
        $view['empresa'] = '';
    }  

    if($request->get('canalcomunicacao')!=''){
        $canal = $request->get('canalcomunicacao')+0;
        $paramAdd .= " AND pv.id_canalcomunicacao IN ({$canal})";
        $view['canalcomunicacao'] = $canal;
        $view['url'] .= '/canalcomunicacao/'.$canal;
    }else{
        $view['canalcomunicacao'] = '';
    }  

    if($request->get('pesquisa')!=''){
        $pesquisa = $request->get('pesquisa')+0;
        $paramAdd .= " AND pq.id IN ({$pesquisa})";
        $view['pesquisa'] = $pesquisa;
        $view['url'] .= '/pesquisa/'.$pesquisa;
    }else{
        $view['pesquisa'] = '';
    }  

    if($request->get('usuario')!=''){
        $usuario = $request->get('usuario')+0;
        $paramAdd .= " AND IFNULL(pv.id_usuario,0) IN ({$usuario})";
        $view['usuario'] = $usuario;
        $view['url'] .= '/usuario/'.$usuario;
    }else{
        $view['usuario'] = '';
    }  



    $sql = "
    SELECT 
        #FIELD
    FROM `pesquisas` pq JOIN pedidos p ON 
            p.data_venda >= pq.inicio 
            AND 
                CASE WHEN pq.fim IS NOT NULL THEN
                    p.data_venda <= pq.fim
                ELSE TRUE END
            AND
                CASE WHEN pq.campo = 'data_entrega' THEN 
                    DATEDIFF( NOW(), p.data_entrega ) >= pq.dias
                ELSE 
                    DATEDIFF( NOW(), p.data_venda ) >= pq.dias
                END
    LEFT JOIN posvendas pv ON pv.id_pesquisa = pq.id AND p.id = pv.id_pedido
    LEFT JOIN clientes c ON p.id_cliente = c.id
    LEFT JOIN empresas e ON p.id_empresa = e.id

    WHERE {$paramAdd}
    ";
    

    $totalRegistros = $conn->prepareStatement(str_replace('#FIELD', 'COUNT(pq.id)', $sql))->executeScalar();

    if ($qtd != "todos") {
        $qtdpaginas = ceil($totalRegistros / $qtd);
        $inicio = ($qtd * ($page - 1));
        $fim = $qtd;
    } else {
        $qtdpaginas = 1;
        $inicio = 0;
        $fim = $totalRegistros;
    }

    $sql = str_replace('#FIELD','
                pq.id id_pesquisa, p.id id_pedido, p.id_empresa, p.id_cliente, pv.id_usuario,
                IFNULL(pv.status, 1) `status`,e.nome empresa, c.nomefantasia cliente',
            $sql)." ORDER BY p.data_venda ASC LIMIT {$inicio}, {$fim}";
    
    $rs = $conn->prepareStatement($sql)->executeReader();


    $sql = "SELECT CEILING(SUM(diff)/COUNT(id)) FROM (SELECT id, TIMESTAMPDIFF(SECOND, inicio, fim) diff from posvendas WHERE status = 3) pv";
    $view['posvendas_media'] = $conn->prepareStatement($sql)->executeScalar()+0;

    $view['nrPaginas'] = $qtdpaginas;
    $view['pagina'] = $page;
    $view['totalregistros'] = $totalRegistros;
    $estimativa = $totalRegistros * $view['posvendas_media'];
    $view['estimativa'] = ($estimativa > 0 ? '(Tempo estimado: '.($estimativa > 60 ? date('i',$estimativa).'mins e ' : '').date('s',$estimativa).' segs'.')' : '');
    $view['registros'] = $rs;
}
