<?php

$conn = new Connection();
$Modules = array(
    'nome' => 'Atendimentos',
    'class' => 'Atendimento',
    'ordenacao' => 'status, id DESC',
    'envia-arquivo' => false,
    'list-order' => array(
        'id desc' => 'Mais recente primeiro',
        'id asc' => 'Mais antigo primeiro',
    ),
    'list-filter' => array(
    ),
);

$view['atendimentos'] = array();
$module = $request->getParameter('module');
$action = $request->getParameter('action');
$page = ($request->getParameter('page') != '' ? $request->getParameter('page') : 1);
$qtd = ($request->getParameter('qtd') != '' ? $request->getParameter('qtd') : 25);
$order = (array_key_exists($request->getParameter('ordenacao'), $Modules['list-order']) ? $request->getParameter('ordenacao') : $Modules['ordenacao']);
$reqBusca = utf8_decode($request->get('busca'));
$view['busca'] = utf8_decode($request->get('busca'));

$view['title']  = 'Meus atendimentos';
$view['qtd']    = $qtd;
$view['pagina'] = $page;
$view['list-order']  = $Modules['list-order'];
$view['list-filter'] = $Modules['list-filter'];
$view['hasHeader'] =  false;
$view['ordenacao'] =  $order;


if( $request->get('msg') == 'success')  $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro salvo com sucesso!", "success", true);
if( $request->get('msg') == 'dsuccess') $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Registro(s) exclu&iacute;do(s) com sucesso!", "success", true);
if( $request->get('msg') == 'error')    $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao salvar registro.", "danger", true);
if( $request->get('msg') == 'derror')   $view['end_scripts'] .= PHP_EOL.MessageBox::Alert("Erro ao excluir registro(s).", "danger", true);

if($action == 'responde'){
    if(Atendimento::VerificaExistencia($request->get('id')+0,'id','AND id_painel='.$objPainel->get('id'))){
        $obj = Atendimento::CarregarObjeto($request->get('id')+0);

        $resposta = Statement::antiInjection($_POST['resposta']);
        $sql = "INSERT INTO posvendaonline_system.itensatendimento 
                        VALUES (
                        (select IFNULL(MAX(a.id),0)+1 from posvendaonline_system.itensatendimento a where a.id_atendimento = {$obj->get('id')}), 
                        {$obj->get('id')}, 
                        0, 
                        '{$objSession->get('nome')}',
                        '{$resposta}',
                        NOW()
                    )";
        $conn->prepareStatement($sql)->executeQuery();

        $obj->set('status',2);
        $obj->Alterar();

        Common::location(__PATH__.$request->get('module').'/'.$obj->get('id'));
    }else{
        Common::location(__PATH__.$request->get('module'));
    }
    exit;
}elseif($action+0 > 0){
        $action +=0;
        $view['obj'] = new Atendimento();

        if(Atendimento::VerificaExistencia($action,'id','AND id_painel='.$objPainel->get('id'))){
            $view['obj'] = Atendimento::CarregarObjeto($action);
        }


}else{



        $paramAdd = " id_painel IN ({$objPainel->get('id')}) ";
        

        $table = "
        (   
            SELECT a.id, a.dt_cad data, a.nome, a.id_painel, a.status, a.id_responsavel, c.nome painel, IFNULL(u.nome,'N&atilde;o Informado') usuario FROM
            posvendaonline_system.atendimentos a
            LEFT JOIN posvendaonline_system.paineis c ON a.id_painel = c.id
            LEFT JOIN posvendaonline_system.usuarios u ON a.id_responsavel = u.id
        ) t";


        $objClass = new $Modules['class']();
        $sql = "SELECT COUNT(id) FROM {$table} WHERE {$paramAdd}";

        $totalRegistros = $conn->prepareStatement($sql)->executeScalar();

        if ($qtd != "todos") {
            $qtdpaginas = ceil($totalRegistros / $qtd);
            $inicio = ($qtd * ($page - 1));
            $fim = $qtd;
        } else {
            $qtdpaginas = 1;
            $inicio = 0;
            $fim = $totalRegistros;
        }

        $sql = "SELECT * FROM {$table} WHERE {$paramAdd} ORDER BY {$order} LIMIT $inicio, $fim";
        $rs = $conn->prepareStatement($sql)->executeReader();

        $view['paginas'] = $qtdpaginas;
        $view['totalregistros'] = $totalRegistros;

        while($rs->next()) $view['atendimentos'][] = $rs->getAllVars();
        
}
