<?php
$rs = Estatico::Buscar('id',$request->get('module'),'page=');
$view['objetivo'] = "";
$view['missao'] = "";

if($rs->numRows()>0){
    $rs->next();
    $obj = Estatico::CarregarObjeto($rs->getInt('id'));
    $view['estatico'] = $obj;
    $view['keywords'] = $view['estatico']->get('keywords');
    $view['title'] = $view['estatico']->get('nome')." - ".$view['title'];

    $view['og'] = array(
	    'url' => 'https://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'],
	    'title' => Common::Replace('#<[^>]+>#', ' ', $obj->get('nome')),
	    'image' => $obj->getImage('r'),
	    'description' => $obj->get('subtitulo'), 
	    'type' => 'website',
	);


	$view['json-ld']["@context"] = "http://schema.org";
	$view['json-ld']["@type"] = "NewsArticle";
	$view['json-ld']["mainEntityOfPage"] = array(
	    '@type' => 'WebPage',
	    '@id' => 'https://'.$_SERVER['SERVER_NAME'].__PATH__,
	);
	$view['json-ld']["headline"] = $view['og']['title'];
	$view['json-ld']["description"] = $view['og']['description'];
	$view['json-ld']["datePublished"] = $obj->get('dt_cad');
	$view['json-ld']["dateModified"] = $obj->get('dt_ualt');
	$view['json-ld']["image"] = [];

	if($view['og']['image']!=''){
	    $view['json-ld']["image"][] = $obj->getImage('r');
	}

	$view['description'] = $view['og']['description'];
	if($view['og']['description'] == '') {
	    $view['og']['description'] = $view['description'] = Common::subText($obj->get('descricao'),500);
	}

}else{
    $view['title'] = "P&aacute;gina n&atilde;o encontrada - ".$view['title'];
    $obj = new Estatico();
    $obj->set('nome','P&aacute;gina n&atilde;o encontrada');
    $obj->set('descricao','Navegue pelo menu dispon&iacutelvel no site!');
    $view['estatico'] = $obj;
}
