<?php



function importaCanalVenda($nome){
	//echo "<br>import canal venda";
	$rs = CanalVenda::Buscar('id', $nome,'nome=');
	if($rs->numRows() == 0){
		$obj = new CanalVenda();
		$obj->set('nome', $nome);
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}

function importaFormaEnvio($nome){
	//echo "<br>import forma envio";
	$rs = FormaEnvio::Buscar('id', $nome,'nome=');
	if($rs->numRows() == 0){
		$obj = new FormaEnvio();
		$obj->set('nome', $nome);
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}


/* IMPORTACAO BLING */

function blingImportaCliente($jobj){
	//echo "<br>import cliente";
	$cpf = Common::Replace('/[^0-9]/','', $jobj->cnpj);
	$rs = Cliente::Buscar('id', $cpf,'cpfcnpj=');
	if($rs->numRows() == 0){
		$obj = new Cliente();
		$obj->set('tipo', (strlen($cpf) > 11 ? 1 : 2));
		$obj->set('razaosocial', $jobj->nome);
		$obj->set('nomefantasia', (isset($jobj->fantasia) && $jobj->fantasia != '' ? $jobj->fantasia : $jobj->nome) );
		$obj->set('cpfcnpj', $cpf);
		$obj->set('im', '');
		$obj->set('ie', ($obj->get('tipo') == 2 ? '' : (isset($jobj->ie_rg) ? $jobj->ie_rg : $jobj->ie) ) );
		$obj->set('rg', ($obj->get('tipo') == 2 ? (isset($jobj->ie_rg) ? $jobj->ie_rg : (isset($jobj->rg) ? $jobj->rg : ''))	 : '') );
		$obj->set('sexo', 1);
		$obj->set('endereco', $jobj->endereco);
		$obj->set('numero', $jobj->numero);
		$obj->set('complemento', $jobj->complemento);
		$obj->set('bairro', $jobj->bairro);
		$obj->set('id_cidade', 0);
		$obj->set('cidade', $jobj->cidade);
		$obj->set('estado', $jobj->uf);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jobj->cep));
		$obj->set('nasc', (isset($jobj->dataNascimento) && $jobj->dataNascimento != '' && $jobj->dataNascimento != '0000-00-00' ? $jobj->dataNascimento : ''));
		$obj->set('tel', substr(Common::Replace('/[^0-9]/','', $jobj->fone),0,11));
		$obj->set('tel2', substr(Common::Replace('/[^0-9]/','', $jobj->celular),0,11));
		$obj->set('email', $jobj->email);
		$obj->set('obs', '');
		$obj->set('status', 1);
		$obj->set('instagram', '');
		$obj->set('facebook', '');
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}

function blingImportaProduto($jobj){
	//echo "<br>import produto";
	$rs = Produto::Buscar('id', $jobj->codigo,'sku=');
	if($rs->numRows() == 0){
		$obj = new Produto();
		$obj->set('nome', $jobj->descricao);
		$obj->set('sku', $jobj->codigo);
		$obj->set('descricao', '');
		$obj->set('preco', (float) (isset($jobj->valorunidade) ? $jobj->valorunidade : $jobj->preco) );
		$obj->set('img', '');
		$ret = $obj->Inserir();
		$id = $ret[0];
	}else{
		$rs->next();
		$id = $rs->getInt('id');
	}

	if(isset($jobj->imagem) && count($jobj->imagem) > 0){

		$img = Common::getFileByCurl($jobj->imagem[0]->link);
		file_put_contents($GLOBALS['defaultPath'].'uploads/produtos/produto'.$id.'.jpg', $img);
		$obj = Produto::CarregarObjeto($id);
		$obj->set('img','produto'.$id.'.jpg');
		$obj->Alterar();

	}

	return $id;
}


function blingImportaPedido($jobj, $id_empresa){
	
	$refmp = (isset($jobj->numeroPedidoLoja) ? Common::Replace('/[^0-9]/','',$jobj->numeroPedidoLoja) : '');

	$rs = Pedido::Buscar('id', '','', ($refmp != '' ? "refmp='{$refmp}'" : "ref='{$jobj->numero}'" ));

	$id_canalvenda = 0;
	if(isset($jobj->tipoIntegracao)){
		
		$canalVenda = $jobj->tipoIntegracao;

		if(isset($jobj->numeroPedidoLoja)){
			if(strtolower(substr($jobj->numeroPedidoLoja, 0, strlen('Lojas_Americanas'))) == 'lojas_americanas'){
				$canalVenda = 'Americanas';
			}elseif(strtolower(substr($jobj->numeroPedidoLoja, 0, strlen('Submarino'))) == 'submarino'){
				$canalVenda = 'Submarino';
			}elseif(strtolower(substr($jobj->numeroPedidoLoja, 0, strlen('Shoptime'))) == 'shoptime'){
				$canalVenda = 'Shoptime';
			}elseif(strtolower(substr($jobj->numeroPedidoLoja, 0, strlen('mercado'))) == 'mercado'){
				$canalVenda = 'Mercado Livre';
			}elseif(strtolower(substr($jobj->numeroPedidoLoja, 0, strlen('lu'))) == 'lu'){
				$canalVenda = 'Magazine Luiza';
			}
		}

		$id_canalvenda = importaCanalVenda($canalVenda);
	}

	if($rs->numRows() == 0){

		$id_formaenvio = 0;
		if(isset($jobj->transporte) && isset($jobj->transporte->servico_correios) ){
			$id_formaenvio = importaFormaEnvio('Correios');
		}else{
			$id_formaenvio = importaFormaEnvio('Transportadora');
		}

		$codigo_rastreio = '';
		if(isset($jobj->codigosRastreamento->codigoRastreamento)){
			$codigo_rastreio = $jobj->codigosRastreamento->codigoRastreamento;
		}

		$data = $jobj->data;
		if(isset($jobj->ocorrencias) && count($jobj->ocorrencias) > 0){
			$data = $jobj->ocorrencias[0]->ocorrencia->dataCriacaoPedido;
		}

		$obj = new Pedido();
		$obj->set('id_empresa', $id_empresa);
		$obj->set('id_cliente', blingImportaCliente($jobj->cliente));
		$obj->set('ref', $jobj->numero);
		$obj->set('refmp', $refmp);
		$obj->set('id_formaenvio', $id_formaenvio);
		$obj->set('frete', number_format(str_replace(',', '', $jobj->valorfrete),2, '.','') );
		$obj->set('data_venda', $data);
		//$obj->set('data_previsao', date('Y-m-d', strtotime($jobj->data . " +15 days")));
		$obj->set('data_previsao', (isset($jobj->dataPrevista) ? $jobj->dataPrevista : '')  );
		$obj->set('data_entrega', '');
		$obj->set('codigo_rastreio', $codigo_rastreio);
		$obj->set('id_canalvenda', $id_canalvenda);
		$jend = (isset($jobj->transporte) ? $jobj->transporte->enderecoEntrega : $jobj->cliente);
		$obj->set('endereco', $jend->endereco);
		$obj->set('numero', $jend->numero);
		$obj->set('complemento', $jend->complemento);
		$obj->set('bairro', $jend->bairro);
		$obj->set('cidade', $jend->cidade);
		$obj->set('estado', $jend->uf);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jend->cep));

		$obj->set('status', 0);
		$ret = $obj->Inserir();
		$id_pedido = $ret[0]+0;

		if($id_pedido > 0){
			foreach ($jobj->itens as $item) {
				$id_produto = blingImportaProduto($item->item);

				$objP = new ProdutoPedido();
				$objP->set('id_pedido', $id_pedido);
				$objP->set('id_produto', $id_produto);
				$objP->set('nome', $item->item->descricao);
				$objP->set('quantidade', (int) $item->item->quantidade);
				$objP->set('preco', (float) $item->item->valorunidade);
				$objP->Inserir();
			}
		}
		
		return $id_pedido;
	}else{
		$rs->next();
		$obj = Pedido::CarregarObjeto($rs->getInt('id'));
		$jend = (isset($jobj->transporte) ? $jobj->transporte->enderecoEntrega : $jobj->cliente);
		$obj->set('endereco', $jend->endereco);
		$obj->set('numero', $jend->numero);
		$obj->set('complemento', $jend->complemento);
		$obj->set('bairro', $jend->bairro);
		$obj->set('cidade', $jend->cidade);
		$obj->set('estado', $jend->uf);
		$obj->set('refmp', $refmp);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jend->cep));
		$obj->set('id_canalvenda', $id_canalvenda);
		
		$obj->Alterar();

		return $rs->getInt('id');
	}

}

function blingExecutaImportacao($id_integracao, $id_modulo, $inicio, $fim, $page=1){
	$modulos = [1 => 'contatos', 2 => 'produtos', 3 => 'pedidos'];
	$field = [1 => 'dataInclusao', 2 => 'dataInclusao', 3 => 'dataEmissao'];
	$adicional = [1 => '', 2 => '&imagem=S', 3 => '&historico=true'];

	$objI = Integracao::CarregarObjeto($id_integracao);
	$id_empresa = $objI->get('id_empresa');
	$apikey = $objI->get('data1');
	$statusOk = explode('#',$objI->get('data3'));

	$modulo = isset($modulos[$id_modulo]) ? $modulos[$id_modulo] : 'contatos';

	$url = "https://bling.com.br/Api/v2/{$modulo}/page={$page}/json/?apikey={$apikey}{$adicional[$id_modulo]}&filters={$field[$id_modulo]}".urlencode("[{$inicio} TO {$fim}]");
	//echo $url.'<br>';
	$ret = Common::getFileByCurl($url);
	//echo $ret;
	$json = json_decode($ret);
	$lastDate = '';
	$qtd = 0;
	if($id_modulo == 3){
		if(isset($json->retorno->pedidos)){
			foreach ($json->retorno->pedidos as $item) {
				if(in_array($item->pedido->situacao, $statusOk)){
					blingImportaPedido($item->pedido, $id_empresa);
				}

				$lastDate = $item->pedido->data;
				$id = $item->pedido->numero;
				$qtd++;
				
			}
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}


	}elseif($id_modulo == 2){
		if(isset($json->retorno->produtos)){
			foreach ($json->retorno->produtos as $item) {
				blingImportaProduto($item->produto);
				$lastDate = $item->produto->dataInclusao;
				$id = $item->produto->codigo;
				$qtd++;
			}
			
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}


	}else{
		if(isset($json->retorno->contatos)){
			foreach ($json->retorno->contatos as $item) {
				blingImportaCliente($item->contato);
				$lastDate = $item->contato->dataInclusao;
				$id = $item->contato->id;
				$qtd++;
			}
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}
	}

	return $qtd;
}


/* IMPORTACAO Tiny */

function tinyImportaCliente($jobj){
	//echo "<br>import cliente";
	$cpf = Common::Replace('/[^0-9]/','', $jobj->cpf_cnpj);
	$rs = Cliente::Buscar('id', $cpf,'cpfcnpj=');
	if($rs->numRows() == 0){
		$obj = new Cliente();
		$obj->set('tipo', (strlen($cpf) > 11 ? 1 : 2));
		$obj->set('razaosocial', $jobj->nome);
		$obj->set('nomefantasia', (isset($jobj->fantasia) && $jobj->fantasia != '' ? $jobj->fantasia : $jobj->nome) );
		$obj->set('cpfcnpj', $cpf);
		$obj->set('im', '');
		$obj->set('ie', (isset($jobj->ie) && $jobj->ie != '' ? $jobj->ie : '') );
		$obj->set('rg', (isset($jobj->rg) && $jobj->rg != '' ? $jobj->rg : '') );
		$obj->set('sexo', 1);
		$obj->set('endereco', $jobj->endereco);
		$obj->set('numero', $jobj->numero);
		$obj->set('complemento', $jobj->complemento);
		$obj->set('bairro', $jobj->bairro);
		$obj->set('id_cidade', 0);
		$obj->set('cidade', $jobj->cidade);
		$obj->set('estado', $jobj->uf);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jobj->cep));
		$obj->set('tel', substr(Common::Replace('/[^0-9]/','', $jobj->fone),0,11));
		$obj->set('email', $jobj->email);
		$obj->set('obs', '');
		$obj->set('status', 1);
		$obj->set('instagram', '');
		$obj->set('facebook', '');
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}

function tinyImportaProduto($jobj){
	//echo "<br>import produto";
	$rs = Produto::Buscar('id', $jobj->codigo,'sku=');
	if($rs->numRows() == 0){
		$obj = new Produto();
		$obj->set('nome', (isset($jobj->nome) ? $jobj->nome : $jobj->descricao));
		$obj->set('sku', $jobj->id);
		$obj->set('descricao', '');
		$obj->set('preco', (float) (isset($jobj->valor_unitario) ? $jobj->valor_unitario : $jobj->preco) );
		$obj->set('img', '');
		$ret = $obj->Inserir();
		$id = $ret[0];
	}else{
		$rs->next();
		$id = $rs->getInt('id');
	}

	if(isset($jobj->imagem) && count($jobj->imagem) > 0){

		$img = Common::getFileByCurl($jobj->imagem[0]->link);
		file_put_contents($GLOBALS['defaultPath'].'uploads/produtos/produto'.$id.'.jpg', $img);
		$obj = Produto::CarregarObjeto($id);
		$obj->set('img','produto'.$id.'.jpg');
		$obj->Alterar();

	}

	return $id;
}


function tinyImportaPedido($jobj, $id_empresa){

	$pedidoEcommerce = $jobj->numero_ecommerce;
	if(isset($jobj->ecommerce) && $jobj->ecommerce->numeroPedidoEcommerce){
		$pedidoEcommerce = $jobj->ecommerce->numeroPedidoEcommerce;
	}
	$refmp = Common::Replace('/[^0-9]/','',$pedidoEcommerce);

	$rs = Pedido::Buscar('id', '','', ($refmp != '' ? "refmp='{$refmp}'" : "ref='{$jobj->id}'" ));
	//$rs = Pedido::Buscar('id', '','',"ref='{$jobj->id}'");

	$id_canalvenda = 0;

	if(isset($jobj->ecommerce) && $jobj->ecommerce->numeroPedidoEcommerce){
		$canal = $jobj->ecommerce->numeroPedidoEcommerce;
		
		if(strtolower(substr($canal, 0, strlen('Lojas_Americanas'))) == 'lojas_americanas'){
			$canalVenda = 'Americanas';
		}elseif(strtolower(substr($canal, 0, strlen('Submarino'))) == 'submarino'){
			$canalVenda = 'Submarino';
		}elseif(strtolower(substr($canal, 0, strlen('Shoptime'))) == 'shoptime'){
			$canalVenda = 'Shoptime';
		}elseif(strtolower(substr($canal, 0, strlen('mercado'))) == 'mercado'){
			$canalVenda = 'Mercado Livre';
		}elseif(strtolower(substr($canal, 0, strlen('lu'))) == 'lu'){
			$canalVenda = 'Magazine Luiza';
		}
		
		$id_canalvenda = importaCanalVenda($canalVenda);

	}elseif(isset($jobj->ecommerce->canalVenda)){
		$id_canalvenda = importaCanalVenda($jobj->ecommerce->canalVenda);
	}



	if($rs->numRows() == 0){

		$id_formaenvio = 0;
		if(isset($jobj->forma_frete) && $jobj->forma_frete != '' ){
			$id_formaenvio = importaFormaEnvio($jobj->forma_frete);
		}

		$codigo_rastreio = '';
		if(isset($jobj->codigo_rastreamento)){
			$codigo_rastreio = $jobj->codigo_rastreamento;
		}

		$obj = new Pedido();
		$obj->set('id_empresa', $id_empresa);
		$obj->set('id_cliente', tinyImportaCliente($jobj->cliente));
		$obj->set('ref', $jobj->id);
		$obj->set('refmp', $refmp);
		$obj->set('id_formaenvio', $id_formaenvio);
		$obj->set('frete', number_format(str_replace(',', '', $jobj->valor_frete),2,'.',''));
		$obj->set('data_venda', Data::getFormat($jobj->data_pedido,'Y-m-d'));
		//$obj->set('data_previsao', date('Y-m-d', strtotime($jobj->data . " +15 days")));
		$obj->set('data_previsao', Data::isValid($jobj->data_prevista) ? Data::getFormat($jobj->data_prevista,'Y-m-d') : '' );
		$obj->set('data_entrega', '');
		$obj->set('codigo_rastreio', $codigo_rastreio);
		$obj->set('id_canalvenda', $id_canalvenda);
		$jend = $jobj->cliente;
		$obj->set('endereco', $jend->endereco);
		$obj->set('numero', $jend->numero);
		$obj->set('complemento', $jend->complemento);
		$obj->set('bairro', $jend->bairro);
		$obj->set('cidade', $jend->cidade);
		$obj->set('estado', $jend->uf);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jend->cep));

		$obj->set('status', 0);
		$ret = $obj->Inserir();
		$id_pedido = $ret[0]+0;

		if($id_pedido > 0){
			foreach ($jobj->itens as $item) {
				$id_produto = tinyImportaProduto($item->item);

				$objP = new ProdutoPedido();
				$objP->set('id_pedido', $id_pedido);
				$objP->set('id_produto', $id_produto);
				$objP->set('nome', $item->item->descricao);
				$objP->set('quantidade', (int) $item->item->quantidade);
				$objP->set('preco', (float) $item->item->valor_unitario);
				$objP->Inserir();
			}
		}
		
		return $id_pedido;
	}else{
		$rs->next();
		$obj = Pedido::CarregarObjeto($rs->getInt('id'));
		$jend = $jobj->cliente;
		$obj->set('endereco', $jend->endereco);
		$obj->set('numero', $jend->numero);
		$obj->set('complemento', $jend->complemento);
		$obj->set('bairro', $jend->bairro);
		$obj->set('cidade', $jend->cidade);
		$obj->set('estado', $jend->uf);
		$obj->set('refmp', $refmpe);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jend->cep));
		$obj->set('id_canalvenda', $id_canalvenda);
		
		$obj->Alterar();

		return $rs->getInt('id');
	}

}

function tinyExecutaImportacao($id_integracao, $id_modulo, $inicio, $fim, $page=1, $id=0){
	$modulos = [1 => 'contatos.pesquisa', 2 => 'produtos.pesquisa', 3 => 'pedidos.pesquisa', 4 => 'pedido.obter'];
	
	$objI = Integracao::CarregarObjeto($id_integracao);
	$id_empresa = $objI->get('id_empresa');
	$token = $objI->get('data1');
	$statusOk = explode('#',$objI->get('data2'));

	$modulo = isset($modulos[$id_modulo]) ? $modulos[$id_modulo] : 'contatos';

	$url = "https://api.tiny.com.br/api2/{$modulo}.php?token={$token}&formato=json&pagina={$page}";
	if($id_modulo == 4){
		$url .= "&id={$id}";
	}elseif($id_modulo == 3){
		if($inicio != '') $url .= "&dataInicialOcorrencia={$inicio}";
		if($fim != '') $url .= "&dataFinalOcorrencia={$fim}";
	}

	$ret = Common::getFileByCurl($url);
	//echo $ret;
	$json = json_decode($ret);

	$retorno = [
		'pages' => (isset($json->retorno->numero_paginas) ? $json->retorno->numero_paginas : 1),
		'page' => $page,
		'qtd' => 0,
		'ids' => '',
	];


	$qtd = 0;
	if($id_modulo == 3){
		if(isset($json->retorno->pedidos)){
			$ids = '';
			foreach ($json->retorno->pedidos as $item) {
				//echo $item->pedido->id . ' - '.$item->pedido->situacao.'<br>';
				if(in_array(strtolower($item->pedido->situacao), $statusOk)){
					$ids .= ','.$item->pedido->id;
				}

				$qtd++;
			}

			if($ids != '')
				$retorno['ids'] = substr($ids, 1);
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}


	}elseif($id_modulo == 2){
		if(isset($json->retorno->produtos)){
			foreach ($json->retorno->produtos as $item) {
				tinyImportaProduto($item->produto);
				$qtd++;
			}
			
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}


	}elseif($id_modulo == 4){

		if(isset($json->retorno->pedido)){
			tinyImportaPedido($json->retorno->pedido, $id_empresa);
			$qtd++;
		}


	}else{
		if(isset($json->retorno->contatos)){
			foreach ($json->retorno->contatos as $item) {
				tinyImportaCliente($item->contato);
				$qtd++;
			}
		}else{
			MessageBox::Show('Ocorreu um erro: '.$ret,'danger');
		}
	}

	$retorno['qtd'] = $qtd;
	return $retorno;
}


/* IMPORTACAO IDERIS */

function iderisImportaCliente($jobj){
	//echo "<br>import cliente";
	$cpf = Common::Replace('/[^0-9]/','', $jobj->compradorDocumento);
	$rs = Cliente::Buscar('id', $cpf,'cpfcnpj=');
	if($rs->numRows() == 0){
		$obj = new Cliente();
		$nome = trim($jobj->compradorPrimeiroNome.' '.$jobj->compradorSobrenome);

		$estado = 'ND';
		$rs = Estado::Buscar('uf',$jobj->enderecoEntregaEstado,'nome');
		if($rs->next()){
			$estado = $rs->getString('uf');
		}

		$obj->set('tipo', (strlen($cpf) > 11 ? 1 : 2));
		$obj->set('razaosocial', $nome);
		$obj->set('nomefantasia', $nome);
		$obj->set('cpfcnpj', $cpf);
		$obj->set('sexo', 1);
		$obj->set('endereco', $jobj->enderecoEntregaRua);
		$obj->set('numero', $jobj->enderecoEntregaNumero);
		$obj->set('complemento', $jobj->enderecoEntregaComentario);
		$obj->set('bairro', $jobj->enderecoEntregaBairro);
		$obj->set('id_cidade', 0);
		$obj->set('cidade', $jobj->enderecoEntregaCidade);
		$obj->set('estado', $estado);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jobj->enderecoEntregaCep));
		$obj->set('tel', substr(Common::Replace('/[^0-9]/','', $jobj->compradorCodigoAreaTelefone.$jobj->compradorTelefone),0,11));
		$obj->set('email', $jobj->compradorEmail);
		$obj->set('obs', '');
		$obj->set('status', 1);
		$obj->set('instagram', '');
		$obj->set('facebook', '');
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}

function iderisImportaProduto($jobj){
	//echo "<br>import produto";

	$sku = '';
	if( isset($jobj->skuProdutoItem) && $jobj->skuProdutoItem != '' ){
		$sku = $jobj->skuProdutoItem;
	} elseif ( isset($jobj->codigoProdutoItem) && $jobj->codigoProdutoItem != '' ){
		$sku = $jobj->codigoProdutoItem;
	} elseif ( isset($jobj->sku) && $jobj->sku != '' ){
		$sku = $jobj->sku;
	} else {
		$sku = $jobj->id;
	}

	$rs = Produto::Buscar('id', $sku,'sku=');
	if($rs->numRows() == 0){
		$obj = new Produto();
		$obj->set('nome', isset($jobj->tituloProdutoItem) ? $jobj->tituloProdutoItem : $jobj->titulo );
		$obj->set('sku', $sku);
		$obj->set('descricao', '');
		$obj->set('preco', (float) (isset($jobj->precoUnitarioItem) ? $jobj->precoUnitarioItem : $jobj->valorVenda) );
		$obj->set('img', '');
		$ret = $obj->Inserir();
		$id = $ret[0];
	}else{
		$rs->next();
		$id = $rs->getInt('id');
	}

	if(isset($jobj->caminhoImagem)){

		$img = Common::getFileByCurl($jobj->caminhoImagem);
		file_put_contents($GLOBALS['defaultPath'].'uploads/produtos/produto'.$id.'.jpg', $img);
		$obj = Produto::CarregarObjeto($id);
		$obj->set('img','produto'.$id.'.jpg');
		$obj->Alterar();

	}

	return $id;
}


function iderisImportaPedido($jobj, $id_empresa){
	
	$refmp = Common::Replace('/[^0-9]/','',$jobj->codigo);
	$rs = Pedido::Buscar('id', '','',($refmp != '' ? "refmp='{$refmp}'" : "ref='{$jobj->id}'"));

	$id_canalvenda = 0;

	if(isset($jobj->codigo)){
		$canal = $jobj->codigo;
		
		if(strtolower(substr($canal, 0, strlen('Lojas a'))) == 'lojas a'){
			$canalVenda = 'Americanas';
		}elseif(strtolower(substr($canal, 0, strlen('Submarino'))) == 'submarino'){
			$canalVenda = 'Submarino';
		}elseif(strtolower(substr($canal, 0, strlen('Shoptime'))) == 'shoptime'){
			$canalVenda = 'Shoptime';
		}elseif(strtolower(substr($canal, 0, strlen('mercado'))) == 'mercado'){
			$canalVenda = 'Mercado Livre';
		}elseif(strtolower(substr($canal, 0, strlen('lu'))) == 'lu'){
			$canalVenda = 'Magazine Luiza';
		}
		
		$id_canalvenda = importaCanalVenda($canalVenda);

	}elseif(isset($jobj->marketplace)){
		$id_canalvenda = importaCanalVenda($jobj->marketplace);
	}


	$estado = 'ND';
	$rsE = Estado::Buscar('uf',$jobj->enderecoEntregaEstado,'nome');
	if($rsE->next()){
		$estado = $rsE->getString('uf');
	}

	if($rs->numRows() == 0){

		$id_formaenvio = importaFormaEnvio('Correios');

		$codigo_rastreio = '';
		if(isset($jobj->numeroRastreio)){
			$codigo_rastreio = $jobj->numeroRastreio;
		}

		$obj = new Pedido();

		$status = 0;
		if(strtolower($jobj->status) == 'entregue')
			$status = 2;
		elseif(strtolower($jobj->status) == 'em transito')
			$status = 1;

		$obj->set('status', $status);
		$obj->set('id_empresa', $id_empresa);
		$obj->set('id_cliente', iderisImportaCliente($jobj));
		$obj->set('ref', $jobj->id);
		$obj->set('refmp', $refmp);
		$obj->set('id_formaenvio', $id_formaenvio);
		$obj->set('frete', (float) $jobj->valorTotalComFrete - (float) $jobj->valorTotal);
		$obj->set('data_venda', date('Y-m-d H:i:s',strtotime($jobj->data)) );
		$obj->set('data_previsao', date('Y-m-d', strtotime($jobj->data . " +15 days")));
		$obj->set('data_entrega', '');
		$obj->set('codigo_rastreio', $codigo_rastreio);
		$obj->set('id_canalvenda', $id_canalvenda);
		
		$obj->set('endereco', $jobj->enderecoEntregaRua);
		$obj->set('numero', $jobj->enderecoEntregaNumero);
		$obj->set('complemento', $jobj->enderecoEntregaComentario);
		$obj->set('bairro', $jobj->enderecoEntregaBairro);
		$obj->set('cidade', $jobj->enderecoEntregaCidade);
		$obj->set('estado', $estado);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jobj->enderecoEntregaCep));

		$ret = $obj->Inserir();
		$id_pedido = $ret[0]+0;

		if($id_pedido > 0){
			foreach ($jobj->Item as $item) {
				$id_produto = iderisImportaProduto($item);

				$objP = new ProdutoPedido();
				$objP->set('id_pedido', $id_pedido);
				$objP->set('id_produto', $id_produto);
				$objP->set('nome', $item->tituloProdutoItem);
				$objP->set('quantidade', (int) $item->quantidadeItem);
				$objP->set('preco', (float) $item->precoUnitarioItem);
				$objP->Inserir();
			}
		}
		
		return $id_pedido;
	}else{
		$rs->next();
		$obj = Pedido::CarregarObjeto($rs->getInt('id'));
		$obj->set('endereco', $jobj->enderecoEntregaRua);
		$obj->set('numero', $jobj->enderecoEntregaNumero);
		$obj->set('complemento', $jobj->complemento);
		$obj->set('bairro', $jobj->enderecoEntregaBairro);
		$obj->set('cidade', $jobj->enderecoEntregaCidade);
		$obj->set('estado', $estado);
		$obj->set('cep', Common::Replace('/[^0-9]/','', $jobj->enderecoEntregaCep));
		$obj->set('refmp', $refmp);
		$obj->set('id_canalvenda', $id_canalvenda);
		
		$status = $obj->get('status');
		if(strtolower($jobj->status) == 'entregue')
			$status = 2;
		elseif(strtolower($jobj->status) == 'em transito')
			$status = 1;

		$obj->set('status', $status);
		$obj->Alterar();

		return $rs->getInt('id');
	}

}

function iderisExecutaImportacao($id_integracao, $id_modulo, $inicio, $fim, $page=1, $ids=''){
	$modulos = [1 => 'Produto', 2 => 'ListaPedido', 3 => 'Pedido'];
	
	$objI = Integracao::CarregarObjeto($id_integracao);
	$id_empresa = $objI->get('id_empresa');
	$token = $objI->get('data2');

	$modulo = isset($modulos[$id_modulo]) ? $modulos[$id_modulo] : 'contatos';
	
	$page = $page < 1 ? 1 : $page;
	$offset = ($page-1)*50;

	$url = "http://api.ideris.com.br/{$modulo}?offset={$offset}&limit=50";
	if($id_modulo == 3){
		$url .= "&ids={$ids}";
	}elseif($id_modulo == 2){
		if($inicio != '') $url .= "&dataInicial=".Data::getFormat($inicio, 'Y-m-d').'T00:00:00-03:00';
		if($fim != '') $url .= "&dataFinal=".Data::getFormat($fim, 'Y-m-d').'T23:59:59-03:00';
	}

	$tentativa = 0;
	do{
		$curl = curl_init();
		curl_setopt_array($curl, array(
		  CURLOPT_URL => $url,
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => "",
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => false,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_HTTPHEADER => array(
		    "Content-Type: application/json",
		    "Authorization: {$token}",
		  ),
		));

		$response = curl_exec($curl);
		$err = curl_error($curl);
		$code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
		curl_close($curl);

		if($code == 401 && $tentativa == 0){
			$curl = curl_init();

			curl_setopt_array($curl, array(
			  CURLOPT_URL => "http://api.ideris.com.br/Login",
			  CURLOPT_RETURNTRANSFER => true,
			  CURLOPT_ENCODING => "",
			  CURLOPT_MAXREDIRS => 10,
			  CURLOPT_TIMEOUT => 0,
			  CURLOPT_FOLLOWLOCATION => false,
			  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			  CURLOPT_CUSTOMREQUEST => "POST",
			  CURLOPT_POSTFIELDS =>"{\n\t\"login_token\": \"{$objI->get('data1')}\"\n}",
			  CURLOPT_HTTPHEADER => array(
			    "Content-Type: application/json"
			  ),
			));

			$response = curl_exec($curl);
			$err = curl_error($curl);

			curl_close($curl);

			if ($err) {
			  	echo "Erro 2:" . $err;
			  	MessageBox::Show('Token inv&aacute;lido. Por favor, <a href="javascript:;" onclick="javascript: openFastEdit(\'integracoes\','.$id_integracao.', \'\', \'\', \'\');">clique aqui</a> para inserir o token novo.','danger');
			  	return false;
			} else {
				$token = str_replace('"','',$response);
			  	$objI->set('data2', $token);
			  	$objI->Alterar();
			}	
		}

	}while($code != 200 && $tentativa++ == 0);


	if ($err) {
	  	echo "Erro 1 #:" . $err;
	  	MessageBox::Show('Por favor, <a href="javascript:;" onclick="javascript: openFastEdit(\'integracoes\','.$id_integracao.', \'\', \'\', \'\');">clique aqui</a> para refazer a sincroniza&ccedil;&atilde;o.','danger');
	  	return false;
	}
	

	$json = json_decode($response);

	$retorno = [
		'pages' => (isset($json->paging->total) ? ceil($json->paging->total/50) : 1),
		'page' => $page,
		'qtd' => (isset($json->paging->count) ? $json->paging->count : 0),
		'ids' => [],
	];

	if(isset($json->result)){

		$qtd = 0;
		if($id_modulo == 2){
			
			$ids = [];
			foreach ($json->result as $item) {

				if($qtd == 20){
					$retorno['ids'][] = implode(',',$ids);
					$ids = [];
					$qtd=0;
				}

				//echo $item->pedido->id . ' - '.$item->pedido->situacao.'<br>';
				if(in_array(strtolower($item->status), ['em transito','entregue'])){
					$codigo = Common::Replace('/[^0-9]/','', $item->codigo);
					$rs = Pedido::Buscar('id', '','',($codigo != '' ? "refmp='{$codigo}'" : "ref='{$item->id}'"));

					if( $rs->next() ) {

						$obj = Pedido::CarregarObjeto($rs->getInt('id'));
						$status = $obj->get('status');
						if(strtolower($item->status) == 'entregue')
							$status = 2;
						elseif(strtolower($item->status) == 'em transito')
							$status = 1;

						$obj->set('status', $status);
						$obj->Alterar();

					}else{
						$ids[] = $item->id;
						$qtd++;
						
					}
					
				}

			}

			if(count($ids) > 0)
				$retorno['ids'][] = implode(',',$ids);

		} elseif($id_modulo == 3) {

			foreach ($json->result as $item) {
				iderisImportaPedido($item, $id_empresa);
			}
		}else{
			
			foreach ($json->result as $item) {
				iderisImportaProduto($item);
			}
		}

	}else{
		MessageBox::Show('Ocorreu um erro: '.$response,'danger');
		return false;
	}

	
	return $retorno;
}



/* IMPORTACAO MELI */

function meliImportaProduto($id, $json=null){

	if(is_object($json)){
		$jobj = $json;
	}else{
		$url = "https://api.mercadolibre.com/items?ids={$id}";
		$ret = Common::getFileByCurl($url);
		$jobj = json_decode($ret);
		if(is_object($jobj)){
			$jobj = $jobj->body;
		}else{
			return 0;
		}
	}

	$rs = Produto::Buscar('id', $jobj->id,'sku=');
	if($rs->numRows() == 0){
		$obj = new Produto();
		$obj->set('nome', $jobj->title);
		$obj->set('sku', $jobj->id);
		$obj->set('descricao', '');
		$obj->set('preco', (float) $jobj->price );
		$obj->set('img', '');
		$ret = $obj->Inserir();
		$id = $ret[0];
	}else{
		$rs->next();
		$id = $rs->getInt('id');
	}

	if($jobj->thumbnail != ''){

		$img = Common::getFileByCurl($jobj->thumbnail);
		file_put_contents($GLOBALS['defaultPath'].'uploads/produtos/produto'.$id.'.jpg', $img);
		$obj = Produto::CarregarObjeto($id);
		$obj->set('img','produto'.$id.'.jpg');
		$obj->Alterar();

	}
	
	return $id;
}


function meliImportaCliente($jobj, $addr){
	//echo "<br>import cliente";
	$cpf = Common::Replace('/[^0-9]/','', $jobj->billing_info->doc_number);
	$rs = Cliente::Buscar('id', $cpf,'cpfcnpj=');
	if($rs->numRows() == 0){
		$obj = new Cliente();
		$obj->set('tipo', (strlen($cpf) > 11 ? 1 : 2));

		$nome = $jobj->first_name.' '.$jobj->last_name;

		$obj->set('razaosocial', $nome);
		$obj->set('nomefantasia', $nome);
		$obj->set('cpfcnpj', $cpf);
		$obj->set('im', '');
		$obj->set('ie', '' );
		$obj->set('rg', '');
		$obj->set('sexo', 1);
		$obj->set('nasc', '');
		$obj->set('tel', substr(Common::Replace('/[^0-9]/','', $jobj->phone->area_code.''.$jobj->phone->number), 0, 18));
		$obj->set('tel', substr(Common::Replace('/[^0-9]/','', $jobj->alternative_phone->area_code.''.$jobj->alternative_phone->number), 0, 18));
		$obj->set('email', $jobj->email);
		$obj->set('obs', '');
		$obj->set('status', 1);
		$obj->set('instagram', '');
		$obj->set('facebook', '');

		if(is_object($addr)){
			$obj->set('endereco', $addr->street_name);
			$obj->set('numero', $addr->street_number);
			$obj->set('complemento', $addr->comment);
			$obj->set('bairro', (isset($addr->neighborhood) ? $addr->neighborhood->name : ''));
			$obj->set('id_cidade', 0);
			$obj->set('cidade', $addr->city->name);
			$obj->set('estado', substr($addr->state->id, 3, 2) );
			$obj->set('cep', $addr->zip_code);
		}
		$ret = $obj->Inserir();
		return $ret[0];
	}else{
		$rs->next();
		return $rs->getInt('id');
	}
}

function meliImportaPedido($jobj, $id_empresa, $objI){
	
	$refmp = Common::Replace('/[^0-9]/','',$jobj->id);
	$rs = Pedido::Buscar('id', '','',"refmp='{$refmp}'");
	
	if($rs->numRows() == 0){

		$obj = new Pedido();
		$obj->set('id_formaenvio', 1);
		$obj->set('id_empresa', $id_empresa);
		$obj->set('id_canalvenda', importaCanalVenda('Mercado Livre'));
		$obj->set('ref', $jobj->id);
		$obj->set('refmp', $refmp);
		$obj->set('frete', 0);
		$obj->set('data_venda', date('Y-m-d H:i:s',strtotime($jobj->date_created)));
		$obj->set('data_entrega', '');
		$obj->set('codigo_rastreio', '');
		$obj->set('status', 0);
		

		if(isset($jobj->shipping->id) && $jobj->shipping->id != ''){
			$url = "https://api.mercadolibre.com/shipments/{$jobj->shipping->id}?access_token={$objI->get('data1')}";
			$ret = Common::getFileByCurl($url);
			$json = json_decode($ret);
		}else{
			$json = null;
		}
			
		if(is_object($json) && isset($json->id)){
			$obj->set('id_formaenvio', importaFormaEnvio($json->tracking_method));
			$obj->set('codigo_rastreio', $json->tracking_number);
			$obj->set('frete', $json->shipping_option->cost);
			if($json->status == 'delivered'){
				$obj->set('status', 2);
				$obj->set('data_entrega', (isset($json->status_history->date_delivered) && $json->status_history->date_delivered != '' ? date('Y-m-d',strtotime($json->status_history->date_delivered)) : ''));
			}
			if(isset($json->shipping_option->estimated_delivery_time)){
				$edt = $json->shipping_option->estimated_delivery_time;
				if($edt->type == 'known_frame'){
					$obj->set('data_previsao', date('Y-m-d',strtotime($edt->offset->date != '' ? $edt->offset->date : $edt->date)));
				}elseif($edt->type == 'known'){
					$obj->set('data_previsao', date('Y-m-d',strtotime($edt->date)) );
				}
			}

			if(!isset($json->receiver_address)){
				$addr = $json->receiver_address;
				if(is_object($addr)){
					$obj->set('endereco', $addr->street_name);
					$obj->set('numero', $addr->street_number);
					$obj->set('complemento', $addr->comment);
					$obj->set('bairro', (isset($addr->neighborhood) ? $addr->neighborhood->name : ''));
					$obj->set('id_cidade', 0);
					$obj->set('cidade', $addr->city->name);
					$obj->set('estado', substr($addr->state->id, 3, 2) );
					$obj->set('cep', $addr->zip_code);
				} 
			}

			$obj->set('id_cliente', meliImportaCliente($jobj->buyer, $json->receiver_address));
		}else{
			$obj->set('id_cliente', meliImportaCliente($jobj->buyer, (!isset($jobj->shipping->receiver_address) ? null : $jobj->shipping->receiver_address)));
		}

		$ret = $obj->Inserir();
		$id_pedido = $ret[0]+0;

		if($id_pedido > 0){
			foreach ($jobj->order_items as $item) {
				$id_produto = meliImportaProduto($item->item->id);

				$objP = new ProdutoPedido();
				$objP->set('id_pedido', $id_pedido);
				$objP->set('id_produto', $id_produto);
				$objP->set('nome', $item->item->title);
				$objP->set('quantidade', (int) $item->quantity);
				$objP->set('preco', (float) $item->unit_price);
				$objP->Inserir();
			}
		}
		
		return $id_pedido;
	}else{

		$rs->next();
		$obj = Pedido::CarregarObjeto($rs->getInt('id'));

		if(!isset($json->receiver_address)){
			$addr = $json->receiver_address;
			if(is_object($addr)){
				$obj->set('endereco', $addr->street_name);
				$obj->set('numero', $addr->street_number);
				$obj->set('complemento', $addr->comment);
				$obj->set('bairro', (isset($addr->neighborhood) ? $addr->neighborhood->name : ''));
				$obj->set('id_cidade', 0);
				$obj->set('cidade', $addr->city->name);
				$obj->set('estado', substr($addr->state->id, 3, 2) );
				$obj->set('cep', $addr->zip_code);
			} 
		}
		
		if(isset($jobj->shipping->id) && $jobj->shipping->id != ''){
			$url = "https://api.mercadolibre.com/shipments/{$jobj->shipping->id}?access_token={$objI->get('data1')}";
			$ret = Common::getFileByCurl($url);
			$json = json_decode($ret);
		}else{
			$json = null;
		}
		
		if(is_object($json) && isset($json->id)){
			if($json->status == 'delivered'){
				$obj->set('status', 2);
				$obj->set('data_entrega', (isset($json->status_history->date_delivered) && $json->status_history->date_delivered != '' ? date('Y-m-d',strtotime($json->status_history->date_delivered)) : ''));
			}
		}
		$obj->Alterar();

		return $rs->getInt('id');
	}

}



function meliExecutaImportacao($id_integracao, $id_modulo, $inicio, $fim, $page=1){
	$objI = Integracao::CarregarObjeto($id_integracao);
	$id_empresa = $objI->get('id_empresa');
	$qtd = 0;

	$page = $page < 1 ? 1 : $page;

	$inicio = ($page-1)*50;

	$retorno = [
		'pages' => 0,
		'page' => $page,
		'qtd' => 0,
		'total' => 0,
		'de' => $inicio,
		'ate' => $inicio+50,
	];

	if($id_modulo == 1){
		$url = "https://api.mercadolibre.com/sites/MLB/search?seller_id={$objI->get('data3')}&order.status=paid&offset={$inicio}&limit=50";
		$ret = Common::getFileByCurl($url);
		$json = json_decode($ret);

		if(is_object($json) && isset($json->results)){
			foreach ($json->results as $item) {
				meliImportaProduto($item->id, $item);
				$qtd++;
			}

		}

	}else{
	
		$meli = new Meli($GLOBALS['MeliId'], $GLOBALS['MeliSecret']);

		if(time() > (int) $objI->get('data4')){
			$refresh = $meli->refreshAccessToken();
			if(!is_object($refresh) || $refresh->error){
				return false;
			}
			$objI->set('data1', $refresh['body']->access_token);
			$objI->set('data2', $refresh['body']->refresh_token);
			$objI->set('data3', time() + $refresh['body']->user_id);
			$objI->set('data4', time() + $refresh['body']->expires_in);
			$objI->Alterar();
		}

		$url = "https://api.mercadolibre.com/orders/search?seller={$objI->get('data3')}&access_token={$objI->get('data1')}&order.status=paid&offset={$inicio}&limit=50";
		if(Data::isValid($inicio)){
			$url .= "&order.date_created.from=".Data::getFormat($inicio,'Y-m-d').'T00:00:00.000-03:00';
		}
		if(Data::isValid($fim)){
			$url .= "&order.date_created.to=".Data::getFormat($fim,'Y-m-d').'T23:59:59.000-03:00';
		}
		//echo $url;
		$ret = Common::getFileByCurl($url);
		$json = json_decode($ret);
		
		$retorno['total'] = $json->paging->total;
		$retorno['pages'] = ceil($json->paging->total/50);

		if(is_object($json) && isset($json->results)){
			foreach ($json->results as $item) {
				meliImportaPedido($item, $id_empresa, $objI);
				$qtd++;
			}
		}
	}
	$retorno['qtd'] = $qtd;

	return $retorno;
}


