<?php

class Image {
    
    public static $TypesAllowed = array('jpg','jpeg','gif','png');

    public static function SaveFromUpload($imgBefore, $nmImg, $sizes, $id, $dest){
        global $defaultPath;
        self::DeleteImage($sizes, $id, $dest, $imgBefore);
        $dest = $defaultPath."uploads/".$dest.($dest[(strlen($dest)-1)] == '/'?'':'/');
        $nameImg = $dest.str_pad($id+0, 7, '0',STR_PAD_LEFT).'_';
        $extesion = Common::getFileExtension($_FILES[$nmImg]["name"]);
        $newName = self::configureName($_FILES[$nmImg]["name"]);
        $original = WideImage::load($nmImg);
        if(!is_dir($dest)){
            mkdir($dest,0777,true);
        }
        chmod($dest, 0777);
        
        foreach ($sizes as $nm => $tam){
            if($original->getHeight() > $original->getWidth()){
                $img = $original->resize(null,$tam['h']);
            }else{
                $img = $original->resize($tam['w'],null);

            }
            if($img->getHeight() > $tam['h'] || $img->getWidth() > $tam['w']){
                $img->crop(0,0,$tam['w'],$tam['h']);
            }
            if(in_array($extesion,array('jpg','jpeg'))){
                $img->saveToFile($nameImg.$nm.'_'.$newName, 80);            
            }else{
                $img->saveToFile($nameImg.$nm.'_'.$newName);
            }
            chmod($nameImg.$nm.'_'.$newName, 0777);
            $img->destroy();
        }
    }
    
    public static function DeleteImage($sizes, $id, $dest, $image){
        global $defaultPath;
        $dest = $defaultPath."uploads/".$dest.($dest[(strlen($dest)-1)] == '/'?'':'/');
        $nameImg = $dest.str_pad($id+0, 7, '0',STR_PAD_LEFT).'_';
        
        foreach ($sizes as $nm => $tam){
            $name = $nameImg.$nm.'_'.$image;
            if(file_exists($name)){
                unlink($name);
            }elseif(file_exists($dest.$image)){
                unlink($dest.$image);
            }
                
        }
    }
    
    public static function ShowImageGG($objeto){
        $img = $objeto->getImage('r');
        $imgZ = $objeto->getImage('z');
        if($imgZ==''){
            $imgZ = $img;
        }
        $string  = '';
        if($img != '' && !is_dir($img)){
            $string .= '<div class="form-group col-xs-12" id="imagem_atual">';
            $string .= '<label for="">Imagem Atual</label>';
            $string .= '<a href="'.$imgZ.'" class="pull-right small" target="_blank">Exibir em tamanho real</a>';
            $string .= '<div class="imgPreview">';
            $string .= '<a href="javascript:;" onclick="javascript: deleteImage(\''.$objeto->getNomeTable().'\',\''.$objeto->get('id').'\');" class="pull-right btn btn-danger btn-xs"><span class="glyphicon glyphicon-trash"></span> Excluir imagem</a>';
            $string .= '<img src="'.$img.'" />';
            $string .= '</div>';
            $string .= '</div>';
        }
        return $string;
    }
    
    
    public static function configureName($name){
        return str_replace(' ','-',Common::removeDiatrics(strtolower($name)));
    }
    
    
}
