<?php

class SendedEmail extends Flex {

    protected $nomeTable = 'sendedemails';
    protected $mapper = array(
        'id' => 'int',
        'id_tipo' => 'int',
        'tipo' => 'string',
        'id_message' => 'string',
        'destinatarios' => 'string',
        'assunto' => 'string',
        'mensagem' => 'string',
        'data' => 'string',
        'retorno' => 'string',

    );
    protected $primaryKey = array('id');

    public static function Excluir($ids) {
        $classe = __CLASS__;
        $objeto = new $classe();
        return $objeto->Exclui(array('id' => $ids));
    }

    public static function CarregarObjeto($id, $tipo='id') {
        $classe = __CLASS__;
        if($tipo != 'id'){
            $rs = self::Buscar('id',$id, $tipo.'=');
            if($rs->next()){
                return self::CarregarObjeto($rs->getInt('id'));
            }else{
                $objeto = new $classe(array(0));
                $objeto->set('id',0);
                $objeto->set('nome','Account');
                return $objeto;
            }
        }else{
            $objeto = new $classe(array($id));
            $objeto->carregaObjeto();
        }
        return $objeto;
    }

    public static function Buscar($select = "id", $parametro = "", $opcao = "", $parametro_adicional = "", $ativo = "", $ordena = "", $limit = "") {
        $classe = __CLASS__;
        $objeto = new $classe();
        $ativo = '';
        return $objeto->searchInTable($select, $parametro, $opcao, $parametro_adicional, $ativo, $ordena, $limit);
    }

    public static function VerificaExistencia($parametro, $tipo, $parametro_adicional = "", $ativo = "") {

        $rs = self::Buscar("id", $parametro, $tipo, $parametro_adicional, $ativo);
        if ($rs->numRows() > 0)
            return true;
        else
            return false;
    }

}
