<!DOCTYPE html>
<html lang="en">
    <head>
        <title>GG v3 - <?= $Config->NomeSite ?></title>
        <meta charset="utf-8">
        <meta http-equiv="content-language" content="pt-br" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="FLEXPOINT" />
        <meta name="reply-to" content="contato@flexpoint.com.br" />
        <meta name="robots" content="index,follow" />
        <meta name="verify-v1" content="" />
        <link rel="shortcut icon" href="favicon.ico">
        <link href="<?= __BASEPATH__ ?>css/bootstrap.min.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/bootstrap-dialog.min.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/bootstrap-multiselect.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/bootstrap-datepicker.min.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/gg/style.css" rel="stylesheet">
        
    </head>
    <body class="<?= $view['page_class'] ?>"<?= $view['page_bg'] ?>>
        <div id="showMessage"></div>
        <?php
        if ($view['logged']) {
            include("header.php");
            include("container.php");
            include("footer.php");
        } else {
            include dirname(__FILE__) . "/module." . $view['module'];
        }
        ?>
        
        <script> var __PATH__ = '<?= __PATH__ ?>';</script>
        <script> var __BASEPATH__ = '<?= __BASEPATH__ ?>';</script>
        <script src="<?= __BASEPATH__ ?>js/jquery.min.js"></script>
        <script src="<?= __BASEPATH__ ?>js/jquery-ui.min.js"></script>
        <script src="<?= __BASEPATH__ ?>js/bootstrap.min.js"></script>
        <script src="<?= __BASEPATH__ ?>js/bootstrap-multiselect.js"></script>
        <script src="<?= __BASEPATH__ ?>js/bootstrap-dialog.min.js"></script>
        <!--[if lt IE 9]>
            <script src="<?= __BASEPATH__ ?>js/html5shiv.js"></script>
            <script src="<?= __BASEPATH__ ?>js/respond.min.js"></script>
        <![endif]--> 
        <? if ($view['logged']) { ?> 
            <script src="<?= __BASEPATH__ ?>addons/ckeditor/ckeditor.js"></script>
            <script src="<?= __BASEPATH__ ?>addons/ckfinder/ckfinder.js"></script>
            <script src="<?= __BASEPATH__ ?>addons/ckeditor/adapters/jquery.js"></script>
            <script src="<?= __BASEPATH__ ?>js/common.js"></script>
            <script src="<?= __BASEPATH__ ?>js/jquery.maskMoney.js"></script>
            <script src="<?= __BASEPATH__ ?>js/jquery.maskedinput.min.js"></script>
            <script src="<?= __BASEPATH__ ?>js/jquery.form.min.js"></script>
            <script src="<?= __BASEPATH__ ?>js/jquery.blockUI.js"></script>
            <script src="<?= __BASEPATH__ ?>js/jquery.numeric.js"></script>

            <script src="<?= __BASEPATH__ ?>js/bootstrap-datepicker.min.js"></script>
            <script src="<?= __BASEPATH__ ?>js/bootstrap-datepicker.pt-BR.min.js"></script>

            <script src="<?= __BASEPATH__ ?>js/gg.scripts.js"></script>
            <script src="<?= __BASEPATH__ ?>js/gg.ajax.js"></script>
            
        <? } ?>
        <? if($view['end_scripts']!=''){ ?>
            <script>
            $(function() {
                <?=$view['end_scripts']?>
            });
            </script>
        <? } ?>
    </body>
</html>