        
<div class="hidden">

<nav class="navbar filter hidden-xs" role="navigation">
    <div class="navbar-header hidden">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#filter">
            <span class="sr-only">Navega&ccedil;&atilde;o</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="#"><span class="glyphicon glyphicon-filter"></span> Filtros e Op&ccedil;&otilde;es</a>
    </div>

    <div class="collapse navbar-collapse" id="filter">
        <ul class="nav navbar-nav pull-left">

            
                <li class="hidden-xs">
                    <button class="del btn btn-default btn-delete-selected" data-toggle="tooltip" onclick="deletaRegitrosSelecionados('<?= $view['modulo'] ?>');">
                    <i class="fas fa-trash"></i> Apagar selecionados
                    </button>
                </li>

                <li class="visible-xs search">
                    <form onsubmit="javascript: newPesquisa('<?= __PATH__ ?>', '<?= $view['modulo'] ?>', $$('m_busca').value, <?= $view['qtd'] ?>);
                            return false;">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Pesquisar" id="m_busca" value="<?= $view['busca'] ?>">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-search"></span></button>
                            </div>
                        </div>
                    </form>
                </li>

                <li role="presentation" class="divider"></li>
            


            <?php 
            $arrFilterAdd = array();
            if(count($view['list-filter-add'])>0){
                if(isset($view['list-filter-add']['data'])){ 
                    $arrFilterAdd[] = $view['list-filter-add'];
                }else{
                    $arrFilterAdd = $view['list-filter-add'];
                }
            }

            ?>
                
            <?php foreach($arrFilterAdd as $filterAdd) { 
                    $selected = ''; 
                    if($view['filtro'] != ''){
                        foreach($view['filtros'] as $filtro){
                            if(array_key_exists($filtro,$filterAdd['data'])){
                                $selected = '<span class="filterChange">' . $filterAdd['data'][$filtro] . '</span>';
                                break;
                            }
                        } 
                    }
            ?>
                <?php if (count($filterAdd['data'])) { ?>
                    <li class="dropdown">
                        <a href="#" class="btn btn-default dropdown-toggle" data-toggle="dropdown"><?=$filterAdd['name']?> <?=$selected?><span class="caret"></span></a>
                        <ul class="dropdown-menu filtros">
                            <? foreach ($filterAdd['data'] as $key => $value) { ?>
                                <li<?= (in_array($key,$view['filtros']) ? " class=\"active\"" : '') ?>><a href="javascript:;" data-filter="<?= $key ?>" onclick="javascript:reloadWithParameter('filtro', '<?= $key ?>');"><?= $value ?></a></li>
                    <? } ?>
                        </ul>
                    </li>
                <?php } ?>
            <?php } ?>
                    
            <?php if (count($view['list-filter'])) { ?>
                <li class="dropdown">
                    <a href="#" class="btn btn-default dropdown-toggle" data-toggle="dropdown">Condi&ccedil;&atilde;o<?= ($view['filtro'] != '' && array_key_exists($view['filtro'], $view['list-filter'])? ': <span class="filterChange">' . $view['list-filter'][$view['filtro']] . '</span>' : '') ?> <span class="caret"></span></a>
                    <ul class="dropdown-menu filtros">
                        <? foreach ($view['list-filter'] as $key => $value) { ?>
                            <li<?= (in_array($key,$view['filtros'])? " class=\"active\"" : '') ?>><a href="javascript:;" data-filter="<?= $key ?>" onclick="javascript:reloadWithParameter('filtro', '<?= $key ?>');"><?= $value ?></a></li>
                <? } ?>
                    </ul>
                </li>
            <?php } ?>
                
            <?php if (count($view['list-order'])) { ?>
                <li class="dropdown">
                    <a href="#" class="btn btn-default dropdown-toggle" data-toggle="dropdown">Ordenar<?= ($view['order'] != '' ? ': <span class="filterChange">' . $view['list-order'][$view['order']] . '</span>' : '') ?> <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <? foreach ($view['list-order'] as $key => $value) { ?>
                            <li<?= ($view['order'] == $key ? " class=\"active\"" : '') ?>><a href="javascript:;" onclick="javascript:reloadWithParameter('order', '<?= $key ?>');"><?= $value ?></a></li>
                <? } ?>
                    </ul>
                </li>
            <?php } ?>

            </li>

            <li class="dropdown">
                <a href="#" class="btn btn-default dropdown-toggle" data-toggle="dropdown">Ver <span class="caret"></span></a>
                <ul class="dropdown-menu paging">
                    <li><a href="javascript:;" onclick="javascript:reloadWithParameter('qtd', '25');">25</a></li>
                    <li><a href="javascript:;" onclick="javascript:reloadWithParameter('qtd', '50');">50</a></li>
                    <li><a href="javascript:;" onclick="javascript:reloadWithParameter('qtd', '100');">100</a></li>
                    <li><a href="javascript:;" onclick="javascript:reloadWithParameter('qtd', '500');">500</a></li>
                    <li><a href="javascript:;" onclick="javascript:reloadWithParameter('qtd', 'todos');">Todos (<?=$view['totalregistros']?>)</a></li>
                </ul>
            </li>
        </ul>
        <?
    if ($view['paginas'] > 1)
    {
        $ini_pg = ($view['pagina'] - 8) > 0 ? ($view['pagina'] - 7) : 1;
        $fim_pg = ($view['pagina'] + 7) < $view['paginas'] ? ($view['pagina'] + 7) : $view['paginas'];
        ?>
                <ul class="pagination pagination-xs pull-right">
                    <?
                    if ($view['pagina'] > 1)
                    {
                        ?> <li><a href="javascript:;" onclick="javascript: reloadWithParameter('page',<?= ($view['pagina'] - 1) ?>);">&laquo;</a></li> <?
                    }
                    else
                    {
                        ?> <li><a href="javascript:;">&laquo;</a></li> <?
                        }

                        for ($i = $ini_pg; $i <= $fim_pg; $i++)
                        {
                            if ($i == $view['pagina'])
                            {
                                ?><li class="active"><a href="javascript:;"><?= $i ?></a></li><?
                            }
                            else
                            {
                                ?><li><a href="javascript:;" onclick="javascript: reloadWithParameter('page',<?=$i?>);"><?= $i ?></a></li><?
                            }
                        }

                        if ($view['pagina'] < $view['paginas'])
                        {
                            ?> <li><a  href="javascript:;" onclick="javascript: reloadWithParameter('page',<?= ($view['pagina'] - 1) ?>);">&raquo</a></li> <?
                        }
                        else
                        {
                            ?> <li><a href="javascript:;">&raquo</a></li> <? } ?>
                </ul>
    <? } ?>

</nav>


<div class="visible-xs">
    <button class="del col-xs-12 btn btn-danger btn-sm" onclick="deletaRegitrosSelecionados('<?= $view['modulo'] ?>');">
        <span class="glyphicon glyphicon-trash"></span> Apagar selecionado(s)
    </button>
</div>

</div>