
<div class="page-header">      
    <h1 class="pull-left"><?=$view['title']?>

    <button class="btn btn-circle btn-danger btn-del btn-sm btn-delete-selected" data-toggle="tooltip"data-placement="right" onclick="deletaRegitrosSelecionados('pesquisas');" title="Excluir selecionados" style="display: none;">
        <i class="fas fa-trash"></i>
    </button>

    <small><?=$view['estimativa']?></small>
</h1>

    <?php

    if(isset($view['nrPaginas'])){
        echo '<a href="javascript:;" onclick="$(\'.form-filter\').slideToggle();" class="btn btn-default pull-right" style="margin-left: 15px"><i class="fas fa-filter"></i> Filtros</a>';
    }

        if (isset($view['nrPaginas']) && $view['nrPaginas'] > 1)
        {
            $ini_pg = ($view['pagina'] - 3) > 0 ? ($view['pagina'] - 2) : 1;
            $fim_pg = ($view['pagina'] + 2) < $view['nrPaginas'] ? ($view['pagina'] + 2) : $view['nrPaginas'];
            ?>
                    <ul class="pagination pagination-xs">
                        <?
                        if ($view['pagina'] > 1)
                        {
                            ?> <li><a href="javascript:;" onclick="javascript: reloadWithParameter('page',<?= ($view['pagina'] - 1) ?>);">&laquo;</a></li> <?
                        }
                        else
                        {
                            ?> <li><a href="javascript:;">&laquo;</a></li> <?
                            }

                            for ($i = $ini_pg; $i <= $fim_pg; $i++)
                            {
                                if ($i == $view['pagina'])
                                {
                                    ?><li class="active"><a href="javascript:;"><?= $i ?></a></li><?
                                }
                                else
                                {
                                    ?><li><a href="javascript:;" onclick="javascript: reloadWithParameter('page',<?=$i?>);"><?= $i ?></a></li><?
                                }
                            }

                            if ($view['pagina'] < $view['nrPaginas'])
                            {
                                ?> <li><a  href="javascript:;" onclick="javascript: reloadWithParameter('page',<?= ($view['pagina'] - 1) ?>);">&raquo</a></li> <?
                            }
                            else
                            {
                                ?> <li><a href="javascript:;">&raquo</a></li> <? } ?>
                    </ul>
        <?php }  // endif pagination ?>

<div class="clearfix"></div>

                    </div>

    <?php 
    if($request->get('action')+0 > 0){
    ?>
    <script type="text/javascript">
        function salvarPesquisa(){
            const canal = $('#id_canalcomunicacao').val();
            if(canal == ''){
                showErrorAlert('Erro', 'Voc&ecirc; n&atilde;o selecionou o meio de Comunica&ccedil;&atilde;o.');
            }else{
                blockUi();
                $('#frmPesquisa').ajaxSubmit({
                    url:  __PATH__ + 'ajax/save-pesquisa/id/<?=$id_posvenda?>',
                    type: "POST",
                    dataType: "json",
                    success: function(data, textStatus, jqXHR)
                    {
                        unblockUi();
                        if (data['ok']) {
                            tAlert("<div class=\"alert alert-success\"><a href=\"#\" class=\"close\" data-dismiss=\"alert\">&times;</a>Pesquisa salva com sucesso! Redirecionando para pagina de pos-vendas...</div>");
                            setTimeout(function() { location = '<?=__PATH__.$request->get('module')?>'; }, 1000);
                        } else {

                            showErrorAlert('Erro no salvamento do registro', data['data']);

                        }


                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        unblockUi();
                        showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                    }
                });
            }
            return false;
        }

        function iniciaPosVenda(){
            blockUi();
            $.ajax({
                url:  __PATH__ + 'ajax/inicia-pos-venda/id/<?=$id_posvenda?>',
                type: "POST",
                dataType: "json",
                success: function(data, textStatus, jqXHR)
                {
                    unblockUi();
                    $('.frms_actions').removeClass('hidden');
                    $('#btnIniciar').attr('disabled',true);

                },
                error: function(jqXHR, textStatus, errorThrown)
                {
                    unblockUi();
                    showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                }
            });
        }

        function paraPosVenda(){
            blockUi();
            $.ajax({
                url:  __PATH__ + 'ajax/para-pos-venda/id/<?=$id_posvenda?>',
                type: "POST",
                dataType: "json",
                success: function(data, textStatus, jqXHR)
                {
                    unblockUi();
                    $('.frms_actions').addClass('hidden');
                    $('#btnIniciar').attr('disabled',false);

                },
                error: function(jqXHR, textStatus, errorThrown)
                {
                    unblockUi();
                    showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                }
            });
        }


        function finalizaPosVenda(){
            BootstrapDialog.show({
                title: 'Confirma&ccedil;&atilde;o',
                message: 'Deseja realmente finalizar o pos venda deste pedido por n&atilde;o conseguir contato?',
                buttons: [{
                        label: 'N&atilde;o',
                        action: function(dialog) {
                            dialog.close();
                        }
                    }, {
                        label: 'Sim',
                        cssClass: 'btn-primary',
                        action: function(dialog) {
                            var $button = this;
                            $button.disable();
                            $button.spin();
                            dialog.setClosable(false);

                            $.ajax({
                                url:  __PATH__ + 'ajax/finaliza-pos-venda/id/<?=$id_posvenda?>',
                                type: "POST",
                                dataType: "json",
                                success: function(data, textStatus, jqXHR)
                                {
                                    if (data['ok']) {
                                        dialog.close();
                                        $('.frms_actions').addClass('hidden');
                                        $('#btnIniciar').attr('disabled',true);
                                        tAlert("<div class=\"alert alert-success\"><a href=\"#\" class=\"close\" data-dismiss=\"alert\">&times;</a>Finalizado com sucesso! Redirecionando para pagina de pos-vendas...</div>");
                                        setTimeout(function() { location = '<?=__PATH__.$request->get('module')?>'; }, 1000);
                                    } else {
                                        $button.enable();
                                        $button.stopSpin();
                                        dialog.setClosable(true);
                                    }
                                },
                                error: function(jqXHR, textStatus, errorThrown)
                                {
                                    $button.enable();
                                    $button.stopSpin();
                                    dialog.setClosable(true);
                                    showErrorAlert('Ocorreu um erro.', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                                }
                            });
                        }
                    }]
            });

        }

        
    </script>

    <?php
        $objPedido = Pedido::CarregarObjeto($request->get('action')+0);

        //cliente
        $objC = $objPedido->getCliente();
        $endereco = $objC->get('endereco').', '.$objC->get('numero').' - '.$objC->get('bairro').' - '.$objC->get('cidade').'/'.$objC->get('estado').' - CEP '.$objC->get('cep');
        $telefones  = $objC->getTelWhatsLink();
        $telefones .= ($objC->get('tel2') != '' ? ' / '.$objC->getTelWhatsLink('2'): '');
        $telefones .= ($objC->get('tel3') != '' ? ' / '.$objC->getTelWhatsLink('3'): '');
            
        $atraso = (Data::isValid($objPedido->get('data_previsao')) ? ' (Previsto para '.Data::getFormat($objPedido->get('data_previsao'), 'd/m/Y').')' : '');
        if(
           Data::isValid($objPedido->get('data_entrega')) && Data::isValid($objPedido->get('data_previsao'))
        ){

            $timeDiff = Data::getFormat($objPedido->get('data_entrega'),'U') - Data::getFormat($objPedido->get('data_previsao'),'U');
            $dias = floor($timeDiff/(60*60*24));
            if($dias > 1){
                $atraso .= ' <br/><small class="alert alert-danger alert-sm" style="display: inline-block; margin: 5px 0 0 0">Atraso '.$dias.' dia(s)</small>';
            }else{
                $atraso .= ' <br/><small class="alert alert-success alert-sm" style="display: inline-block; margin: 5px 0 0 0">No prazo, '.($dias == 0 ? 'no dia' : ($dias*-1).' dia(s) antes').'</small>';
            }
        }

        $rsC = CanalComunicacao::Buscar('id,nome','','','','nome');
        $podeResponder = !in_array($objPV->get('status'), [3,5]);
        $iniciado = $objPV->get('status') == 2;

        $rsP = Pedido::Buscar('count(id) qtd',$objPedido->get('id_cliente'),'id_cliente');
        $rsP->next();
        $qtdPedidos = $rsP->getInt('qtd');

        //$tabTec = '';
        $rs2 = ProdutoPedido::Buscar('quantidade, nome, preco, id_produto',$objPedido->get('id'),'id_pedido','','id');
        $tableProd = '';
        $total = $objPedido->get('frete');
        while($rs2->next()){
            $descricao = '';
            $img = __BASEPATH__.'uploads/img/no-pic.jpg';

            if(Produto::VerificaExistencia($rs2->getInt('id_produto'), 'id')){
                $objP = Produto::CarregarObjeto($rs2->getInt('id_produto'));

                if($objP->get('img')!=''){
                    $img = $objP->getImage('r');
                }
                $descricao = $objP->get('descricao');
            }

            //$tabTec .= '<h4>'.$rs2->getString('nome').'</h4><p>'.nl2br($objP->get('descricao')).'</p>';

            $sub = $rs2->getInt('quantidade')*$rs2->getInt('preco');


            $total += $sub;
            $tableProd .= '
            <tr>
                <td><a href="'.$img.'" target="_blank"><img src="'.$img.'" width="50" class="img" /></a></td>
                <td class="w-100">'.$rs2->getString('nome').($descricao!=''?'<span data-toggle="tooltip" data-placement="top" class="glyphicon glyphicon-info-sign" title="'.$objP->get('descricao').'"></span>':'').'</td>
                <td class="text-center">'.$rs2->getInt('quantidade').'</td>
                <td class="text-right nowrap"><strong>R$ '.Common::parseMoney($rs2->getInt('preco')).'</strong></td>
                <td class="text-right nowrap"><strong>R$ '.Common::parseMoney($sub).'</strong></td>
            </tr>';
        }
            
        //historico posvenda
        $rs2 = PosVenda::Buscar('id','3','status'," AND id_pedido IN (SELECT id FROM pedidos WHERE id_cliente = {$objPedido->get('id_cliente')})",'id DESC');
        if($rs2->numRows() > 0){
            $tableHistoricoPV = '
            <table class="table table-hover">
                <thead>
                  <tr>
                    <th>Id</th>
                    <th>Canal</th>
                    <th>Avalia&ccedil;&atilde;o</th>
                    <th>Data</th>
                  </tr>
                </thead>
                <tbody>';
            while($rs2->next()){
                $objPV = PosVenda::CarregarObjeto($rs->getInt('id'));
                $tableHistoricoPV .= '
                <tr>
                    <td>'.$objPV->get('id').'</td>
                    <td>'.($objPV->get('id_canalcomunicacao') == 0 ? '-' : $objPV->getCanalComunicacao()->get('nome')).'</td>
                    <td>'.PosVenda::$nmAvaliacao[$objPV->get('avaliacao')].'</td>
                    <td>'.(Data::isValid($objPV->get('fim')) ? Data::getFormat($objPV->get('fim'),'d/m/Y H:i:s') : '-').'</td>
                </tr>';
            }
            $tableHistoricoPV .= '
                </tbody>
            </table>';
        }else{
            $tableHistoricoPV = MessageBox::Show('Nenhum p&oacute;s-venda anterior encontrado.','warning text-center',true, false);
        }


        echo '
        <div class="posvenda-detail">
        <h3 class="mb-2">Pedido #'.$objPedido->get('id').' - '.$objPedido->getEmpresa()->get('nome').' - '.$objPedido->getCanalVenda()->get('nome').'</h3>
        <div class="row">

            <div class="col-lg-8 flexbox">
                
                <div class="row">
                    <div class="col-sm-12">
                        <div class="box">
                            <h4>Dados do P&oacute;s Venda</h4>
                            <div class="row">
                                <div class="col-sm-3">
                                    <strong class="label">Respons&aacute;vel:</strong> '.($objPV->get('id_usuario') == 0 ? '-' : $objPV->getUsuario()->get('nome')).'<br/>
                                </div>
                                <div class="col-sm-3">
                                    <strong class="label">Situa&ccedil;&atilde;o:</strong> '.PosVenda::$nmStatus[$objPV->get('status')].'
                                </div>
                                <div class="col-sm-3">
                                    <strong class="label">In&iacute;cio:</strong> '.(Data::isValid($objPV->get('inicio')) ? Data::getFormat($objPV->get('inicio'),'d/m/Y H:i') : 'N&atilde;o iniciado.').'<br/>
                                </div>
                                <div class="col-sm-3">
                                    <strong class="label">T&eacute;rmino:</strong> '.(Data::isValid($objPV->get('fim')) ? Data::getFormat($objPV->get('fim'),'d/m/Y H:i') : 'N&atilde;o finalizado.').'
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">

                    <div class="col-sm-6">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#dadosCli" data-toggle="tab">Cliente</a></li>
                            <li><a href="javascript:;" data-toggle="tooltip" data-placement="top" title="Editar cliente" onclick="javascript: openFastEdit(\'clientes\','.$objC->get('id').',\'\',\'\');"><i class="fas fa-edit"></i></a></li>
                            <li><a href="#historicoCli" data-toggle="tab">Hist&oacute;rico</a></li>
                            <li><a class="btn btn-primary" href="javascript:;" data-toggle="tooltip" data-placement="top" title="Adicionar hist&oacute;rico do cliente" onclick="javascript: openFastAdd(\'historicocliente\',\'\',\'/id_cliente/'.$objPedido->get('id_cliente').'\',\'getTableList(\\\'txthistoricocliente\\\', \\\'historicocliente/id_cliente/'.$objPedido->get('id_cliente').'/filtro/id_cliente,i,'.$objPedido->get('id_cliente').'\\\')\');" data-toggle="tab"><span class="glyphicon glyphicon-plus"></span></a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="dadosCli">
                                <strong class="label">Cliente:</strong> '.$objC->get('nomefantasia').''.($qtdPedidos > 1 ? ' <span class="badge" style="background:#673ab7">J&aacute; fez '.$qtdPedidos.' pedidos</span>' : '').'<br/>
                                <strong class="label">Sexo:</strong> '.Cliente::$nmSexo[$objC->get('sexo')].'<br/>
                                <strong class="label">Endere&ccedil;o:</strong> '.$endereco.'<br/>
                                <strong class="label">Telefones:</strong> '.$telefones.'
                            </div>
                            <div class="tab-pane" id="historicoCli">
                                <div id="txthistoricocliente"></div>
                            </div>
                        </div>

                    </div>

                    <div class="col-sm-6">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#dadosPed" data-toggle="tab">Pedido</a></li>
                            <li><a href="javascript:;" data-toggle="tooltip" data-placement="top" title="Editar pedido" onclick="javascript: openFastEdit(\'pedidos\','.$objPedido->get('id').',\'\',\'\');"><i class="fas fa-edit"></i></a></li>
                            <li><a href="#historicoPed" data-toggle="tab">Hist&oacute;rico</a></li>
                            <li><a class="btn btn-primary" href="javascript:;" data-toggle="tooltip" data-placement="top" title="Adicionar hist&oacute;rico do pedido" onclick="javascript: openFastAdd(\'historicopedido\',\'\',\'/id_pedido/'.$objPedido->get('id').'\',\'getTableList(\\\'txthistorico\\\', \\\'historicopedido/id_pedido/'.$objPedido->get('id').'/filtro/id_pedido,i,'.$objPedido->get('id').'\\\')\');" data-toggle="tab"><span class="glyphicon glyphicon-plus"></span></a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="dadosPed">
                                <strong class="label">Data Venda:</strong> '.(Data::isValid($objPedido->get('data_venda')) ? Data::getFormat($objPedido->get('data_venda'), 'd/m/Y') : '').'<br/>
                                <strong class="label">Data Entrega:</strong> '.(Data::isValid($objPedido->get('data_entrega')) ? Data::getFormat($objPedido->get('data_entrega'), 'd/m/Y') : '').''.$atraso.'<br/>
                                <strong class="label">Forma de Envio:</strong> '.$objPedido->getFormaEnvio()->get('nome').' ('.($objPedido->get('frete') >= 1 ? 'R$ '.Common::parseMoney($objPedido->get('frete')) : 'Gratis').')<br/>
                                <strong class="label">C&oacute;digo Rastreio:</strong> <a href="javascript:;" onclick="verStatusCorreio('.$objPedido->get('id').')">'.$objPedido->get('codigo_rastreio').'</a>
                            </div>
                        
                         <div class="tab-pane" id="historicoPed">
                            <div id="txthistorico"></div>
                        </div>
                    </div>
                </div>
            </div>
                
                <div class="row">

                    <div class="col-sm-12">
                        <h4>Produtos do Pedido</h4>
                        <table class="table table-hover">
                            <tbody>
                            '.$tableProd.'
                                <tr>
                                    <td colspan="3" class="text-right">Frete</td>
                                    <td colspan="2" class="nowrap text-right"><strong>'.($objPedido->get('frete') >= 1 ? 'R$ '.Common::parseMoney($objPedido->get('frete')) : 'Grátis').'</strong></td>
                                </tr>
                                <tr>
                                    <td colspan="3" class="text-right">Total</td>
                                    <td colspan="2" class="nowrap text-right"><strong>R$ '.Common::parseMoney($total).'</strong></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
             
            </div>

            <div class="col-lg-4">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#pesquisa" data-toggle="tab">P&oacute;s-venda</a></li>
                    <li><a href="#historicopv" data-toggle="tab">Hist&oacute;rico</a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane" id="historicopv">'.$tableHistoricoPV.'</div>

                    <div class="tab-pane active" id="pesquisa">
                        <div class="row">
                        '.(!$podeResponder ? MessageBox::Show('P&oacute;s venda executado por <strong>'.$objPV->getUsuario()->get('nome').'</strong>.','success',true,false) : '
                    
                            <button type="button" id="btnIniciar" onclick="iniciaPosVenda();" '.($iniciado ? 'disabled' : '').' class="btn btn-success"><i class="fas fa-play"></i> Iniciar p&oacute;s-venda</button>
                            <button type="button" id="btnParar" onclick="paraPosVenda();" class="btn btn-warning '.($iniciado ? '' : 'hidden').' frms_actions"><i class="fas fa-pause"></i> Parar p&oacute;s-venda</button>
                            <button type="button" id="btnFinalizar" onclick="finalizaPosVenda();" class="btn btn-danger '.($iniciado ? '' : 'hidden').' frms_actions"><i class="fas fa-stop"></i> Finalizar sem resposta</button>

                            <form id="frmPesquisa" onsubmit="return salvarPesquisa();" class="row '.($iniciado ? '' : 'hidden').' frms_actions">
                        ').'
                        
                            '.$view['pesquisa'].'
                            <div class="form-group col-sm-6">
                                <label for="">Canal de Comunica&ccedil;&atilde;o</label>
                                <select class="form-control" name="id_canalcomunicacao" id="id_canalcomunicacao" '.(!$podeResponder ? 'disabled': '').'>
                                <option value="">Selecione</option>
                                ';
                                while($rsC->next()){
                                    echo '<option value="'.$rsC->getInt('id').'"'.($objPV->get('id_canalcomunicacao') == $rsC->getInt('id')? " selected " : "").'>'.$rsC->getString('nome').'</option>';
                                } 
                            echo '
                                </select>
                            </div>
                            <div class="form-group col-sm-6">
                                <label for="">Resultado final do p&oacute;s venda</label>
                                <select class="form-control" name="avaliacao" id="avaliacao" '.(!$podeResponder ? 'disabled': '').'>
                                <option value="0">Selecione</option>
                                ';
                                foreach (PosVenda::$nmAvaliacao as $key => $value) {
                                    if($key > 0)
                                        echo '<option value="'.$key.'"'.($objPV->get('avaliacao') == $key ? " selected " : "").'>'.$value.'</option>';
                                } 
                            echo '
                                </select>
                            </div>
                            '.(!$podeResponder ? '': '
                            <div class="col-sm-12 text-right">
                                <button class="btn btn-success btn-lg" type="submit">Salvar Pesquisa</button>
                            </div>
                        </form>'
                            ).'
                        </div>
                    </div>
                   
                    
                    
                </div>
            </div>
        </div>
        </div>
        ';


    }else{
    ?>

        <script type="text/javascript">
            function doFilter(){
                var dtAux;
                var url = __PATH__ + '<?=$request->get('module')?>/list';
                var selecteds = '';
            
                if($$('dti').value != '' ){
                    dtAux = $$('dti').value.split('/');
                    url += '/dti/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
                }

                if($$('dtf').value != '' ){
                    dtAux = $$('dtf').value.split('/');
                    url += '/dtf/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
                }
                $('#situacoes :selected').each(function(i, selected){ 
                    selecteds += (selecteds===''?'':',')+$(selected).val(); 
                });
                if(selecteds !== ''){
                    url += '/situacoes/'+selecteds;
                }

                if($$('id_cliente_search').value!=0 && $$('id_cliente_search').value!=''){
                    url += '/cliente/'+$$('id_cliente_search').value;
                } 

                if($$('pesquisa').value!=0 && $$('pesquisa').value!=''){
                    url += '/pesquisa/'+$$('pesquisa').value;
                } 

                if($$('canalcomunicacao').value!=0 && $$('canalcomunicacao').value!=''){
                    url += '/canalcomunicacao/'+$$('canalcomunicacao').value;
                } 

                if($$('usuario').value!=''){
                    url += '/usuario/'+$$('usuario').value;
                } 

                if($$('empresa').value!=0 && $$('empresa').value!=''){
                    url += '/empresa/'+$$('empresa').value;
                } 
                
                location = url;
                return false;
            }
        </script>
        
        <form class="form form-filter" style="display:none" role="form" onsubmit="return doFilter();">
            <input type="hidden" id="id_categoria" value="<?=$view['categoria']?>" />
            <div class="row">
                <div class="form-group col-sm-2 col-xs-6">
                    <label for="">Realiza&ccedil;&atilde;o In&iacute;cio</label>
                    <input type="text" class="form-control date" id="dti" placeholder="In&iacute;cio" value="<?=(Data::isValid($view['dti'])?Data::getFormat($view['dti'],'d/m/Y'):'')?>" />
                </div>
                <div class="form-group col-sm-2 col-xs-6">
                    <label for="">Realiza&ccedil;&atilde;o Fim</label>
                    <input type="text" class="form-control date" id="dtf" placeholder="Fim" value="<?=(Data::isValid($view['dtf'])?Data::getFormat($view['dtf'],'d/m/Y'):'')?>" />
                </div>

                <div class="form-group col-sm-2 col-xs-6">
                    <label for="">Situa&ccedil;&otilde;es</label>
                    <select id="situacoes" class="form-control multisel" multiple="multiple" data-select="Situa&ccedil;&otilde;es" >
                        <?php foreach(PosVenda::$nmStatus as $key => $value){ ?>
                            <option value="<?=$key?>" <?=(in_array($key, $view['situacoes'])?'selected':'')?>><?=$value?></option>
                        <?php } ?>
                    </select>
                </div>

                <div class="form-group col-sm-3 col-xs-6">
                    <label for="">Canal de Comunica&ccedil;&atilde;o</label>
                    <select class="form-control" id="canalcomunicacao">
                        <option value="0">Todos</option>
                        <? 
                            $rs = CanalComunicacao::Buscar('id,nome', '', '', '', 'nome ASC');
                            while ($rs->next()) {
                        ?>
                            <option value="<?=$rs->getInt('id')?>" <?=($view['canalcomunicacao']==$rs->getInt('id')?'selected':'')?>><?=$rs->getString('nome')?></option>
                        <? } ?>
                    </select>
                </div>
                
                <div class="form-group col-sm-3 col-xs-6">
                    <label for="">Pesquisa</label>
                    <select class="form-control" id="pesquisa">
                        <option value="0">Todas</option>
                        <? 
                            $rs = Pesquisa::Buscar('id,nome', '', '', '', 'nome ASC');
                            while ($rs->next()) {
                        ?>
                            <option value="<?=$rs->getInt('id')?>" <?=($view['pesquisa']==$rs->getInt('id')?'selected':'')?>><?=$rs->getString('nome')?></option>
                        <? } ?>
                    </select>
                </div>

                <div class="form-group col-sm-3 col-xs-6">
                    <label for="">Empresa</label>
                    <select class="form-control" id="empresa">
                        <option value="0">Todas</option>
                        <? 
                            $rs = Empresa::Buscar('id,nome', '', '', '', 'nome ASC');
                            while ($rs->next()) {
                        ?>
                            <option value="<?=$rs->getInt('id')?>" <?=($view['empresa']==$rs->getInt('id')?'selected':'')?>><?=$rs->getString('nome')?></option>
                        <? } ?>
                    </select>
                </div>

                <div class="form-group col-sm-2">
                    <label for="">Respons&aacute;vel</label>
                    <select class="form-control" id="usuario">
                        <option value="">Todas</option>
                        <option value="0">Sem respons&aacute;vel</option>
                        <? 
                            $rs = Usuario::Buscar('id,nome', '', '', '', 'nome ASC');
                            while ($rs->next()) {
                        ?>
                            <option value="<?=$rs->getInt('id')?>" <?=($view['usuario']==$rs->getInt('id')?'selected':'')?>><?=$rs->getString('nome')?></option>
                        <? } ?>
                    </select>
                </div>
                
                 <div class="form-group col-md-1 col-xs-3">
                    <label for="">C&oacute;digo</label>
                    <input id="id_cliente_search" name="id_cliente" onblur="getName('clientes', this.value, 'cliente_search', 'nomefantasia');" type="text" class="form-control" value=""/>
                </div>

                <div class="form-group col-md-4 col-xs-9">
                    <label for="">Cliente</label>
                    <input id="cliente_search" type="text" class="form-control autocomplete" autocomplete="off" data-table="clientes" data-name="nomefantasia" data-field="id_cliente_search" value=""/>
                </div>
                
                <div class="col-sm-2">
                    <button class="btn btn-primary btn-block" type="submit" style="margin-top: 22px" id="btnNew">
                        Aplicar Filtros
                    </button>  
                </div>
                
                
            </div>
        </form>

        <? 
        if($view['registros']->numRows() > 0){ 
            $rs = $view['registros'];
            ?>
        <div class="table-responsive">
        <table class="table table-hover">
            <thead>
              <tr>
                <!--<th><input type="checkbox" onclick="$('.ckbDelete').prop('checked',this.checked); controlDelButton();'" value="<?=$rs->numRows();?>"/></th>-->
                <th>&nbsp;</th>
                <th>Pesquisa</th>
                <th>Situa&ccedil;&atilde;o</th>
                <th>Cliente</th>
                <th class="col-sm-5">Produtos</th>
              </tr>
            </thead>
            <tbody>

            <?php
            while ($rs->next()) {
                $objC = Cliente::CarregarObjeto($rs->getInt('id_cliente'));
                $objP = Pesquisa::CarregarObjeto($rs->getInt('id_pesquisa'));
                $nmStatus = PosVenda::$nmStatus[$rs->getInt('status')];
                if($rs->getInt('status') == 2 && $rs->getInt('id_usuario') > 0){
                    $objR = Usuario::CarregarObjeto($rs->getInt('id_usuario'));
                    $nmStatus .= '<br/><small>'.$objR->get('nome').'</small>';
                }

                $produtos = '';
                $rs2 = ProdutoPedido::Buscar('quantidade, nome',$rs->getInt('id_pedido'),'id_pedido','','id');
                while($rs2->next()){
                    $produtos .= ($produtos != '' ? '<br>' : '').$rs2->getInt('quantidade').'x - '.$rs2->getString('nome');
                }

                echo '
                <tr>
                    <!--<td><input type="checkbox" class="ckbDelete" value="'.$objP->get('id').'" onclick="javascript:controlDelButton();" /></td>-->
                    <td><a href="'.__PATH__.$module.'/'.$rs->getInt('id_pedido').'/pesquisa/'.$rs->getInt('id_pesquisa').'" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="right" title="Iniciar"><i class="fas fa-play"></i></a></td>
                    <td>'.$objP->get('nome').'</td>
                    <td>'.$nmStatus.'</td>
                    <td>'.$objC->get('nomefantasia').'<br/><small>'.$objC->get('cidade').'/'.$objC->get('estado').'</small></td>
                    <td>'.$produtos.'</td>
                </tr>';


            }
      
          echo "</tbody></table></div>";

        }else{
            echo '<p>Nenhum pós-venda para fazer.</p>';
        }

        ?>
      
    <?php } // end if master ?>
</div>
