<!DOCTYPE html>
<html lang="pt-br">
    <head>
        <title><?= $view['title'] ?></title>
        <meta charset="utf-8">
        <meta http-equiv="content-language" content="pt-br" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="keywords" content="<?= $view['keywords'] ?>" />
        <meta name="description" content="<?= $view['description'] ?>" />
        <meta name="author" content="FLEXPOINT" />
        <meta name="robots" content="index,follow" />
        <meta name="verify-v1" content="" />
        <link rel="shortcut icon" href="<?= __BASEPATH__ ?>favicon.png">
        <?=(count($view['json-ld']) > 0 ? '<script type="application/ld+json">
        '.json_encode($view['json-ld'],JSON_UNESCAPED_SLASHES).'
        </script>' :'')?>
        
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" crossorigin="anonymous">
        <link href="<?= __BASEPATH__ ?>css/site/bootstrap.min.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/site/animated.min.css" rel="stylesheet">
        <link href="<?= __BASEPATH__ ?>css/site/style.css?v=<?=filemtime($corePath.'../css/site/style.css');?>" rel="stylesheet">
        <!--[if lt IE 8]>
        <link href="<?= __BASEPATH__ ?>css/site/bootstrap.ie7-min.css" rel="stylesheet">
        <![endif]-->
        <? if(isset($view['og'])) foreach($view['og'] as $k => $v) echo '<meta property="og:'.$k.'" content="'.Common::Replace('/\s+/', ' ', $v).'" />'.PHP_EOL; ?>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-148807611-1"></script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'UA-148807611-1');
        </script>

        <!-- Facebook Pixel Code -->
        <script>
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
        n.queue=[];t=b.createElement(e);t.async=!0;
        t.src=v;s=b.getElementsByTagName(e)[0];
        s.parentNode.insertBefore(t,s)}(window, document,'script',
        'https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '1677422145724942');
        fbq('track', 'PageView');
        </script>
        <noscript><img height="1" width="1" style="display:none"
        src="https://www.facebook.com/tr?id=1677422145724942&ev=PageView&noscript=1"
        /></noscript>
        <!-- End Facebook Pixel Code -->

    </head>
    <body class="<?= $view['page_class'] ?>">
        <?php
        include("header.php");
        include("container.php");
        include("footer.php");
        ?>
        
        <script> var __PATH__ = '<?= __PATH__ ?>';</script>
        <script> var __BASEPATH__ = '<?= __BASEPATH__ ?>';</script>
        <script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
        <script src="https://webflex.flexpoint.com.br/js/webflex.aio.js"></script>
            
        <script src="//cdn.jsdelivr.net/npm/jquery.scrollto@2.1.2/jquery.scrollTo.js"></script>
        <script src="<?=__BASEPATH__?>js/jquery.lazy.min.js"></script>

        <link rel="stylesheet" type="text/css" href="//static.hotmart.com/checkout/fancybox/jquery.fancybox.min.css">
        <script src="//static.hotmart.com/checkout/fancybox/jquery.fancybox.min.js"></script>

        <script>
        $(function() {
            $('.lazy').lazy({
                scrollDirection: 'vertical',
                visibleOnly: true,
                effect: "fadeIn",
                effectTime: 2000,
                threshold: 0
            });
            <?=$view['end_scripts']?>
            
        });
        </script>

    

    </body>
</html>