<?php

if(Config::getConfig('aviso_new') == '' || Config::getConfig('aviso_new') == '1'){
	//aviso_new
	$sql = "select id from contas where status in(1,2) and aviso_new is null and datediff(vencimento,date(now())) > 2 AND notificar=1";
	$rs = $conn->prepareStatement($sql)->executeReader();
	while($rs->next()){
		$obj = Conta::CarregarObjeto($rs->getInt('id'));
		if(Conta::EnviaEmailSituacao($obj, 'new')){
			$obj->set('aviso_new',date('Y-m-d'));
			$obj->Alterar();
		}
	}

}
if(Config::getConfig('aviso_near') == '' || Config::getConfig('aviso_near') == '1'){
	//aviso_near
	$sql = "select id from contas where datediff(vencimento,date(now())) = 2 and status in(1,2) and aviso_near is null AND notificar=1";
	$rs = $conn->prepareStatement($sql)->executeReader();
	while($rs->next()){
		$obj = Conta::CarregarObjeto($rs->getInt('id'));
		if(Conta::EnviaEmailSituacao($obj, 'near')){
			$obj->set('aviso_near',date('Y-m-d'));
			$obj->Alterar();
		}
	}

}
if(Config::getConfig('aviso_inday') == '' || Config::getConfig('aviso_inday') == '1'){
	//aviso_inday
	$sql = "select id from contas where datediff(vencimento,date(now())) = 0 and status in(1,2) and aviso_inday is null AND notificar=1";
	$rs = $conn->prepareStatement($sql)->executeReader();
	while($rs->next()){
		$obj = Conta::CarregarObjeto($rs->getInt('id'));
		if(Conta::EnviaEmailSituacao($obj, 'inday')){
			$obj->set('aviso_inday',date('Y-m-d'));
			$obj->Alterar();
		}
	} 

}
if(Config::getConfig('aviso_late') == '' || Config::getConfig('aviso_late') == '1'){
	//aviso_late
	$dias_depois = (Config::getConfig('aviso_late_days')+0 > 0 ? Config::getConfig('aviso_late_days')+0 : 2);
	$sql = "select id from contas where vencimento < DATE(NOW()) AND datediff(date(now()),vencimento) % {$dias_depois} = 0 
			and status in(1,2) and IFNULL(aviso_late,'') <> date(now()) AND notificar=1";
	$rs = $conn->prepareStatement($sql)->executeReader();
	while($rs->next()){
		$obj = Conta::CarregarObjeto($rs->getInt('id'));
		if(Conta::EnviaEmailSituacao($obj, 'late')){
			$obj->set('aviso_late',date('Y-m-d'));
			$obj->Alterar();
		}
	} 
} 
