function selectCurso(elem){
    var values = [];
    $('.cursos').each(function(i, e){
        //guarda os valores
        values[i] = e.value;
        //recoloca o html com todos os cursos
        $(e).html(optionsCurso);
    });

    $('.cursos').each(function(i, e){
        //percorre os valores
        $.each(values, function(index, value){
            //se nao for o indice 
            if(i != index){
                //remove o valor dos demais selects
                $(e).find("option[value='"+value+"']").remove();
            }
        });
        $(e).val(values[i]);
    });
    buscaDatasProva();
}

function openModal(id, video){
    if(video != ''){
      BootstrapDialog.show({
        title: 'Confira o v&iacute;deo',
        message: function(dialog) {
            var $message = $('<div></div>');
            $message.append('\
            <div>\
                <div class="embed-responsive embed-responsive-16by9">\
                    <iframe class="embed-responsive-item" src="'+video+'?rel=0&amp;controls=0&amp;showinfo=0&amp;autoplay=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>\
                </div>\
                <div>'+$('#detail'+id).html()+'</div>\
            </div>');

            return $message;
        },
        size: BootstrapDialog.SIZE_WIDE,
        buttons: [{
            label: 'Fechar',
            action: function(dialog){
                dialog.close();
            }
        }]
    });
    }
}
            

function fieldFunctions(){
    $(".date").datepicker(
        { 
            dateFormat: "dd/mm/yy",
            monthNames: ["Janeiro", "Fevereiro", "Mar&ccedil;o", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"],
            monthNamesShort: ["Jan", "Fev", "Mar", "Abr", "Mai", "Jun", "Jul", "Ago", "Set", "Out", "Nov", "Dez"],
            dayNamesShort: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "S&aacute;b"],
            dayNamesMin: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "S&aacute;b"]
        }
    );
    /* masks */
    $(".money").maskMoney({thousands: '.', decimal: ','});
    $(".notas").maskMoney({thousands: '.', decimal: ',', precision: 1});
    $(".onlynumbers").numeric();
    $(".multisel").each(function(i, obj) {
        if($(obj).css('display') != 'none'){
            
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                //nonSelectedText: 'Selecione...',
                nSelectedText: ' op&ccedil;&otilde;es selecionadas',
                includeSelectAllOption: true,
                selectAllText: 'Selecionar Todos',
                allSelectedText: 'Todas as op&ccedil;&otilde;es',
                enableClickableOptGroups: true,
                buttonWidth: '100%',
                onChange: function(option, checked, select) {
                    if($(obj).attr('data-onchange')){
                        eval($(obj).attr('data-onchange'));
                    }
                }
            });
        }
    });
    
    $(".multiselsearch").each(function(i, obj) {
        
        if($(obj).css('display') != 'none'){
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                filterBehavior: 'both',
                filterPlaceholder: 'Pesquise...',
                buttonWidth: '100%'
            });
        }
    });
    $(".date").mask("99/99/9999", { autoclear: false });
    $(".datewdp").mask("99/99/9999", { autoclear: false });
    $(".hour").mask("99:99:99", { autoclear: false });
    $(".shorthour").mask("99:99", { autoclear: false });
    $(".cep").mask("99.999-999", { autoclear: false });
    $(".cpf").mask("999.999.999-99", { autoclear: false });
    $(".cnpj").mask("99.999.999/9999-99", { autoclear: false });
    
    
    $(".cpfcnpj").mask("999.999.999-99?999", { autoclear: false, completed: function(){
            if(this.val().length > 14){
                this.mask("99.999.999/9999-99");
            }else{
                this.mask("999.999.999-99?999");
            }
            
        }
    }).ready(function(){
        $(".cpfcnpj").each(function(i, obj) {
            if(obj.value.length > 14){
                $(this).mask("99.999.999/9999-99");
            }else{
                $(this).mask("999.999.999-99?999");
            }
        });
    });
 
    
    $(".phone").each(function(i, obj) {
        var len = $(obj).val().replace(/[^0-9]/g,'').length;
        if(len > 10){
            $(obj).attr('data-tmask',11);
            $(obj).mask("(99) 999-999-99?9", { autoclear: false });         
        }else{
            $(obj).attr('data-tmask',10);
            $(obj).mask("(99) 9999-9999?9", { autoclear: false });
        }
        $(obj).keyup(function(){
            var leng = $(this).val().replace(/[^0-9]/g,'').length;
            
            if(leng > 10){
                if($(this).attr('data-tmask') != 11){
                    $(this).attr('data-tmask',11);
                    $(this).mask("(99) 999-999-99?9", { autoclear: false });                
                }
            }else if(leng <= 10){
                if($(this).attr('data-tmask') != 10){
                    $(this).attr('data-tmask',10);
                    $(this).mask("(99) 9999-9999?9", { autoclear: false });
                }
            }
        });
    });
    
    if($$('uploader')){
       $("#uploader").pluploadQueue({
		// General settings
		runtimes : 'html5,flash,silverlight,html4',
		url : __PATH__+'ajax/img-upload/json/false/id/'+$$('uploader-id').value,
		rename : true,
		dragdrop: true,
		multiple_queues: true,
		filters : {
                    // Maximum file size
                    max_file_size : '5mb',
                    // Specify what files to browse for
                    mime_types: [
                        {title : "Image files", extensions : "jpg,jpeg,gif,png"}
                    ]
		},
		flash_swf_url : __BASEPATH__ +'js/Moxie.swf',
		silverlight_xap_url : __BASEPATH__ +'js/Moxie.xap',
                init : {
                    FileUploaded: function(up, file, info) {
                        setTimeout(function(){
                            up.removeFile(file);
                        },2000);
                    },
                    UploadComplete: function(up, files) {
                        if($$('gallery')){
                            galleryList();
                        }
                    }
                }
	});
        
    }
    if($$('gallery')){
        galleryList();
    }
    if($$('fuploader')){
       $("#fuploader").pluploadQueue({
		// General settings
		runtimes : 'html5,flash,silverlight,html4',
		url : __PATH__+'ajax/file-upload/json/false/class/'+$$('fuploader-table').value+'/id/'+$$('fuploader-id').value+'/tid/'+$$('fuploader-tid').value,
		rename : true,
		dragdrop: true,
		multiple_queues: true,
		filters : {
                    // Maximum file size
                    max_file_size : '5mb',
		},
		flash_swf_url : __BASEPATH__ +'js/Moxie.swf',
		silverlight_xap_url : __BASEPATH__ +'js/Moxie.xap',
                init : {
                    FileUploaded: function(up, file, info) {
                        setTimeout(function(){
                            up.removeFile(file);
                        },2000);
                    },
                    UploadComplete: function(up, files) {
                        if($$('upfiles')){
                            fileList();
                        }
                    }
                }
	});
        
    }
    if($$('upfiles')){
        fileList();
    }
    
    $('[data-toggle="tooltip"]').tooltip();
    
    $(".autocomplete").each(function(i, obj) {
        var url = __PATH__+'ajax/auto-complete/json/false/class/'+$(obj).attr('data-table');
        $(obj).autocomplete({
            source: function( request, response ) {
                url += '/term/'+request.term;
                $.ajax({
                  url: url,
                  dataType: "json",
                  success: function( data ) {
                    response( data );
                  }
                });
          },
            select: function( event, ui ) {
                $('#'+$(obj).attr('data-field')).val(ui.item.value);
                $(obj).val(ui.item.label);
                if($(obj).attr('data-callback')){
                    eval($(obj).attr('data-callback'));
                }
                return false;
            }
        });

    });
    
    $(".autocomplete").each(function(i, obj) {
        var url = __PATH__+'ajax/auto-complete/json/false/class/'+$(obj).attr('data-table');
        $(obj).autocomplete({
            source: function( request, response ) {
                url += '/term/'+request.term;
                if($(obj).attr('data-name')){
                    url += '/camponome/'+$(obj).attr('data-name')
                }
                $.ajax({
                    url: url,
                    dataType: "json",
                    success: function( data ) {
                        response( data );
                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        showErrorAlert('Erro no salvamento do registro', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                        $message.append('JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                    }
                });
          },
            select: function( event, ui ) {
                $('#'+$(obj).attr('data-field')).val(ui.item.value);
                $(obj).val(ui.item.label);
                return false;
            }
        });

    });
}

function openFormByHash(module){
    var hash = window.location.hash;
    if(hash != ''){
        if(hash.search(/editar/)>=0){
            hash = hash.replace(/[^0-9]/g,'');
            showEditForm(module, hash);
        }else if(hash.search(/(adicionar)/)>=0){
            showAddForm(module);
        }else{
            if($(hash)){
                $(hash).modal();
            }
        }
    }
}

/* automatic functions */
$(function() {
    fieldFunctions();
    $(window).keydown(function(event) {
        if (event.which == 113) { //F2
            if ($$('btnNew')){
                if(!$('#overForm').hasClass('in')){
                    $$('btnNew').click();
                }
            }
            return false;
        }
        else if (event.which == 114) { //F3
            if ($$('busca')){
                if(!$('#overForm').hasClass('in')){
                    $$('busca').focus();
                }
            }
            return false;
        }
    });
});