
function newPesquisa(path, modulo, pesquisa, qtd) {
    var busca = (pesquisa == '' || pesquisa == $$('busca').title ? '*' : pesquisa.replace('/', ''));
    location = path + modulo + '/search/busca/' + busca + '/qtd/' + qtd;
}

function controlDelButton(){
    if($('.ckbDelete:checked').length > 0)
        $('.btn-delete-selected').fadeIn();
    else
        $('.btn-delete-selected').fadeOut();
    
}

function deletaRegitrosSelecionados(module) {
    var ids = '';
    $('.ckbDelete:checked').each(function(i, elem){
        ids += (ids == '' ? '' : ',') + $(elem).val(); 
    });

    if (ids != '') {
        delFormAction(module,ids);
    } else {
        tAlert('<p class="alert alert-danger">Favor selecionar ao menos um registro.</p>');
    }
}

function reloadWithParameter(parameter, value, removePage){
    var rp = (removePage || false);
    var re = new RegExp("\\/"+parameter+"\\/[^\\/?]*");
    var reF = new RegExp("\\/msg\\/[^\\/]*");
    if(rp == true)
        var reP = new RegExp("\\/page\\/[^\\/]*");
    var url = location.href;
    url = url.replace(/#.*/,'');
    url = url.replace(window.location.protocol+'//'+window.location.hostname+__PATH__,'');
    var param = url.replace(window.location.protocol+'//'+window.location.hostname+__PATH__,'');
    url = param.replace(re,'')
    url = url.replace(reF,'')
    url = url.replace(reP,'')
    url += (url[url.length-1]=='/'?'':'/');
    var pts = url.split('/');
    if(pts.length <= 2){
       url += 'search/';
    }

    if(parameter == 'filtro'){
        var filtros = '';
        $('.filtros > li.active > a').each(function(i, item){ 
            if(item.text !== 'Todos' && item.text !== 'Todas'){ 
                filtros += (filtros == '' ? '':';') + $(item).attr('data-filter'); 
            }    
        });
        parts = value.split(',');
        var rgx = new RegExp(';?'+parts[0]+'[^(;|$)]*');
        filtros = filtros.replace(rgx,'')
        if(parts[2] != '')
            filtros += (filtros != '' ? ';':'')+value;
        value = filtros;
        
    }
    
    url = __PATH__+url+(value!=''? parameter+'/'+value :'');
    location = url;
    
    
}

function configuraUrlCategoria(field, id){
    $$(id).value = removeDiacritics(field.value.replace(/ /g,'-')).toLowerCase();
}

function filterSearchTask(module,idAdd){
    var dtAux;
    var posfix = (idAdd || '');
    var selecteds = '';
    var ma = (module || 'search-tasks/with');
    var url = __PATH__ + ma;
    if($$('busca'+posfix).value!=''){
        url += '/busca/'+$$('busca'+posfix).value;
    }    
    if($$('dtai'+posfix).value != '' ){
        dtAux = $$('dtai'+posfix).value.split('/');
        url += '/dtai/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtaf'+posfix).value != '' ){
        dtAux = $$('dtaf'+posfix).value.split('/');
        url += '/dtaf/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtfi'+posfix).value != '' ){
        dtAux = $$('dtfi'+posfix).value.split('/');
        url += '/dtfi/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtff'+posfix).value != '' ){
        dtAux = $$('dtff'+posfix).value.split('/');
        url += '/dtff/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtri'+posfix).value != '' ){
        dtAux = $$('dtri'+posfix).value.split('/');
        url += '/dtri/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtrf'+posfix).value != '' ){
        dtAux = $$('dtrf'+posfix).value.split('/');
        url += '/dtrf/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    $('#situacoes'+posfix+' :selected').each(function(i, selected){ 
        selecteds += (selecteds===''?'':',')+$(selected).val(); 
    });
    if(selecteds !== ''){
        url += '/situacoes/'+selecteds;
    }
    if($$('responsavel'+posfix) && $$('responsavel'+posfix).value!=0){
        url += '/responsavel/'+$$('responsavel'+posfix).value;
    } 
    if($$('grupo'+posfix) && $$('grupo'+posfix).value!=0){
        url += '/grupo/'+$$('grupo'+posfix).value;
    } 
    if($$('cliente'+posfix) && $$('cliente'+posfix).value!=0){
        url += '/cliente/'+$$('cliente'+posfix).value;
    } 
    if($$('filial'+posfix) && parseInt($$('filial'+posfix).value) >= 0 ){
        url += '/filial/'+$$('filial'+posfix).value;
    } 
    /*
    if($$('operador'+posfix) && $$('operador'+posfix).value!=0){
        url += '/operador/'+$$('operador'+posfix).value;
    } */
    if($$('solicitante'+posfix) && $$('solicitante'+posfix).value!=0){
        url += '/solicitante/'+$$('solicitante'+posfix).value;
    }
    if($$('id_categoria'+posfix).value!=0){
        url += '/categoria/'+$$('id_categoria'+posfix).value;
    }
    
    
    location = url;
    return false;
}

function filterRelPesquisas(id){
    var url = __PATH__ + 'relatorio-pesquisas/search/id/'+id;
    var dtAux;
    if($$('dti').value != '' ){
        dtAux = $$('dti').value.split('/');
        url += '/dti/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    if($$('dtf').value != '' ){
        dtAux = $$('dtf').value.split('/');
        url += '/dtf/'+dtAux[2]+'-'+dtAux[1]+"-"+dtAux[0];
    }
    location = url;
    return false;
}

function filterRelatorio(module, filter){
    var url = __PATH__ + (module || 'relatorio-chamados');
    url += (filter || '/'+'search');
    if($$('id_categoria').value!=0){
        url += '/categoria/'+$$('id_categoria').value;
    }
    var selecteds = '';
    $('#operadores :selected').each(function(i, selected){ 
        selecteds += (selecteds===''?'':',')+$(selected).val(); 
    });
    if(selecteds !== ''){
        url += '/operadores/'+selecteds;
    }
    selecteds = '';
    $('#grupos :selected').each(function(i, selected){ 
        selecteds += (selecteds===''?'':',')+$(selected).val(); 
    });
    if(selecteds !== ''){
        url += '/grupos/'+selecteds;
    }
    
    location = url;
    return false;
}

function calculaMovimentacao(sufixo) {
    var valor = $('#valor'+sufixo).val().replace('.','').replace(',','.');
    var juro = $('#juro'+sufixo).val().replace('.','').replace(',','.');
    var multa = $('#multa'+sufixo).val().replace('.','').replace(',','.');
    var desconto = $('#desconto'+sufixo).val().replace('.','').replace(',','.');
    if(valor == '') valor = '0';
    if(juro == '') juro = '0';
    if(multa == '') multa = '0';
    if(desconto == '') desconto = '0';
    $('#total'+sufixo).val(number_format(parseFloat(valor) + parseFloat(juro) + parseFloat(multa) - parseFloat(desconto),2,',','.'));
}

function copyToClipboard(element) {
    var $temp = $("<input>");
    $("body").append($temp);
    var val = $(element).text();
    $temp.val(val).select();
    document.execCommand("copy");
    $temp.remove();
    tAlert('<div class="alert alert-success">Copiado com sucesso! Conte&uacute;do: <strong>"'+val+'"</strong></div>',1000);
    
}
/*
function copyToClipboard(elem) {
      // create hidden text element, if it doesn't already exist
    var targetId = "_hiddenCopyText_";
    var isInput = elem.tagName === "INPUT" || elem.tagName === "TEXTAREA";
    var origSelectionStart, origSelectionEnd;
    if (isInput) {
        // can just use the original source element for the selection and copy
        target = elem;
        origSelectionStart = elem.selectionStart;
        origSelectionEnd = elem.selectionEnd;
    } else {
        // must use a temporary form element for the selection and copy
        target = document.getElementById(targetId);
        if (!target) {
            var target = document.createElement("textarea");
            target.style.position = "absolute";
            target.style.left = "-9999px";
            target.style.top = "0";
            target.id = targetId;
            document.body.appendChild(target);
        }
        target.textContent = elem.textContent;
    }
    // select the content
    var currentFocus = document.activeElement;
    target.focus();
    target.setSelectionRange(0, target.value.length);
    
    // copy the selection
    var succeed;
    try {
          succeed = document.execCommand("copy");
    } catch(e) {
        succeed = false;
    }
    // restore original focus
    if (currentFocus && typeof currentFocus.focus === "function") {
        currentFocus.focus();
    }
    
    if (isInput) {
        // restore prior selection
        elem.setSelectionRange(origSelectionStart, origSelectionEnd);
    } else {
        // clear temporary content
        target.textContent = "";
    }
    if(succeed){
        tAlert('<div class="alert alert-success">Copiado com sucesso!</div>',1000);
    }
    return succeed;
}*/
var DateDaysOfWeek = [
    "Dom",
    "Seg",
    "Ter",
    "Qua",
    "Qui",
    "Sex",
    "Sab"
];
var DateMonths = [
    "Janeiro",
    "Fevereiro",
    "Março",
    "Abril",
    "Maio",
    "Junho",
    "Julho",
    "Agosto",
    "Setembro",
    "Outubro",
    "Novembro",
    "Dezembro"
];

function fieldFunctions(){

    $(".date").datepicker({
        format: "dd/mm/yyyy",
        todayBtn: "linked",
        language: "pt-BR",
        daysOfWeekHighlighted: "0",
        todayHighlight: true,
        toggleActive: true,
        forceParse: false
    });

    $(".datetime").each(function(i, obj) {
        $(obj).daterangepicker({
            timePicker: true,
            singleDatePicker: true,
            autoApply: true,
            drops: $(obj).data('drops') || 'down',
            locale: {
                "format": "DD/MM/YYYY hh:mm:ss",
                "applyLabel": "OK",
                "cancelLabel": "Cancelar",
                "weekLabel": "W",

                "daysOfWeek": DateDaysOfWeek,
                "monthNames": DateMonths,
                "firstDay": 1
            },
        });
    });

    $(".dateranger").each(function(i, obj) {
        $(obj).daterangepicker({   
            drops: $(obj).data('drops') || 'down',
            autoApply: true,
            "locale": {
                "format": "DD/MM/YYYY",
                "separator": " - ",
                "applyLabel": "OK",
                "cancelLabel": "Cancelar",
                "fromLabel": "de",
                "toLabel": "para",
                "customRangeLabel": "Alterar Data",
                "weekLabel": "W",

                "daysOfWeek": DateDaysOfWeek,
                "monthNames": DateMonths,
                "firstDay": 1
            },

            ranges: {
                'Hoje': [moment(), moment()],
                'Ontem': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                
                'Semana Atual': [moment().startOf('week'), moment().endOf('week')],
                'Semana Anterior':  [moment().subtract(1, 'week').startOf('week'), moment().subtract(1, 'week').endOf('week')],
                
                'Últimos 7 dias': [moment().subtract(6, 'days'), moment()],
                'Últimos 15 dias': [moment().subtract(14, 'days'), moment()],
                'Últimos 30 dias': [moment().subtract(29, 'days'), moment()],
                'Mês Atual': [moment().startOf('month'), moment().endOf('month')],
                'Mês anterior': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                'Ano Atual': [moment().startOf('year'), moment().endOf('year')],
                'Ano anterior': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
            }
        });
    });

    /* masks */
    $(".money").maskMoney({thousands: '.', decimal: ','});
    $(".onlynumbers").numeric();
    $(".date,.datewdp").mask("99/99/9999", { autoclear: false });
    $(".datetime").mask("99/99/9999 99:99:99", { autoclear: false });
    //$(".datehour").mask("99/99/9999 99:99:99", { autoclear: false });
    //$(".dateshorthour").mask("99/99/9999 99:99", { autoclear: false });
    $(".hour").mask("99:99:99", { autoclear: false });
    $(".shorthour").mask("99:99", { autoclear: false });
    $(".cep").mask("99.999-999", { autoclear: false });
    $(".cpf").mask("999.999.999-99", { autoclear: false });
    $(".cnpj").mask("99.999.999/9999-99", { autoclear: false });
    $(".cpfcnpj").each(function(i, obj) {
        $(this).focus(function(){
            $(this).unmask().mask().val(this.value.replace(/[^0-9]/g,''));
        }).blur(function(){
            this.value = this.value.replace(/[^0-9]/g,'');
            if(this.value.length > 11){
                $(this).mask("99.999.999/9999-99", { autoclear: false });
            }else{
                $(this).mask("999.999.999-99",{autoclear: false});
            }
        })  
    });
       
    
    $(".phone").each(function(i, obj) {
        var len = $(obj).val().replace(/[^0-9]/g,'').length;
        if(len > 10){
            $(obj).attr('data-tmask',11);
            $(obj).mask("(99) 999-999-99?9", { autoclear: false });         
        }else{
            $(obj).attr('data-tmask',10);
            $(obj).mask("(99) 9999-9999?9", { autoclear: false });
        }
        $(obj).keyup(function(){
            var leng = $(this).val().replace(/[^0-9]/g,'').length;
            
            if(leng > 10){
                if($(this).attr('data-tmask') != 11){
                    $(this).attr('data-tmask',11);
                    $(this).mask("(99) 999-999-99?9", { autoclear: false });                
                }
            }else if(leng <= 10){
                if($(this).attr('data-tmask') != 10){
                    $(this).attr('data-tmask',10);
                    $(this).mask("(99) 9999-9999?9", { autoclear: false });
                }
            }
        });
    });

    $(".uploader").each(function(i, obj) {
        var v_id = $(obj).data('id') == 0 ? $(obj).data('tid') : $(obj).data('id');
        $(obj).pluploadQueue({

            // General settings
            runtimes : 'html5,flash,silverlight,html4',
            url : __PATH__+'ajax/img-upload/json/false/class/'+$(obj).data('table')+'/id/'+$(obj).data('id')+'/tid/'+$(obj).data('tid'),
            rename : true,
            dragdrop: true,
            multiple_queues: true,
            filters : {
                // Maximum file size
                //max_file_size : '5mb',
                // Specify what files to browse for
                mime_types: [
                    {title : "Image files", extensions : "jpg,jpeg,gif,png"}
                ]
            },
            flash_swf_url : __BASEPATH__ +'js/Moxie.swf',
            silverlight_xap_url : __BASEPATH__ +'js/Moxie.xap',
                    init : {
                        FileUploaded: function(up, file, info) {
                            setTimeout(function(){
                                up.removeFile(file);
                            },2000);
                        },
                        UploadComplete: function(up, files) {
                            galleryList($(obj).data('table'), v_id, $(obj).data('retorno'));
                        }
                    }
        });
        galleryList($(obj).data('table'), v_id, $(obj).data('retorno'));
    });

    $(".fuploader").each(function(i, obj) {

        var v_id = $(obj).data('id') == 0 ? $(obj).data('tid') : $(obj).data('id');
        $(obj).pluploadQueue({

            // General settings
            runtimes : 'html5,flash,silverlight,html4',
            url : __PATH__+'ajax/file-upload/json/false/class/'+$(obj).data('table')+'/id/'+$(obj).data('id')+'/tid/'+$(obj).data('tid'),
            rename : true,
            dragdrop: true,
            multiple_queues: true,
            filters : {
                        // Maximum file size
                        //max_file_size : '5mb',
            },
            flash_swf_url : __BASEPATH__ +'js/Moxie.swf',
            silverlight_xap_url : __BASEPATH__ +'js/Moxie.xap',
                    init : {
                        FileUploaded: function(up, file, info) {
                            setTimeout(function(){
                                up.removeFile(file);
                            },2000);
                        },
                        UploadComplete: function(up, files) {
                            fileList($(obj).data('table'), v_id, $(obj).data('retorno'));
                        }
                    }
        });
        fileList($(obj).data('table'), v_id, $(obj).data('retorno'));
    });

    $('[data-toggle="tooltip"]').tooltip();
    
    $(".autocomplete").each(function(i, obj) {
        var url = __PATH__+'ajax/auto-complete/json/false/class/'+$(obj).attr('data-table');
        $(obj).autocomplete({
            source: function( request, response ) {
                url += '/term/'+request.term;
                if($(obj).attr('data-name')){
                    url += '/camponome/'+$(obj).attr('data-name')
                }
                $.ajax({
                    url: url,
                    dataType: "json",
                    success: function( data ) {
                        response( data );
                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        showErrorAlert('Erro no salvamento do registro', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                        $message.append('JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                    }
                });
          },
            select: function( event, ui ) {
                $('#'+$(obj).attr('data-field')).val(ui.item.value);
                $(obj).val(ui.item.label);
                return false;
            }
        });

    });

    $(".multisel").each(function(i, obj) {
        if($(obj).css('display') != 'none'){
            
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                //nonSelectedText: 'Selecione...',
                nSelectedText: ' op&ccedil;&otilde;es selecionadas',
                includeSelectAllOption: true,
                selectAllText: 'Selecionar Todos',
                allSelectedText: 'Todas as op&ccedil;&otilde;es',
                numberDisplayed: ($(obj).attr('data-ndisplay')?$(obj).attr('data-ndisplay'):0),
                enableClickableOptGroups: true,
                buttonWidth: '100%'
            });
        }
    });
    
    $(".multiselsearch").each(function(i, obj) {
        
        if($(obj).css('display') != 'none'){
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                includeSelectAllOption: ($(obj).attr('data-sall')==1),
                selectAllText: ($(obj).attr('data-sall')==1? 'Selecionar Todos' : ''),
                allSelectedText: ($(obj).attr('data-sall')==1? 'Todas as op&ccedil;&otilde;es':''),
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                filterBehavior: 'both',
                filterPlaceholder: 'Pesquise...',
                buttonWidth: '100%'
            });
        }
    });
    
    $.fn.modal.Constructor.prototype.enforceFocus = function() {
        modal_this = this
        $(document).on('focusin.modal', function (e) {
          if (modal_this.$element[0] !== e.target && !modal_this.$element.has(e.target).length 
          && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_select') 
          && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_text')) {
            modal_this.$element.focus()
          }
        })
      };
    
}

function openFormByHash(module){
    var hash = window.location.hash;
    if(hash != ''){
        if(hash.search(/editar/)>=0){
            hash = hash.replace(/[^0-9]/g,'');
            showEditForm(module, hash);
        }else if(hash.search(/(adicionar)/)>=0){
            showAddForm(module);
        }else{
            if($(hash)){
                $(hash).modal();
            }
        }
    }
}

function keepSession()
{
    setTimeout(function (){
        $.ajax({url: __PATH__ + 'ajax/keepsession', cache: false, complete: function (data) {
            keepSession();
        }});
    },(1000 * 60 * 1));
};

function Notify(titleText, bodyText)
{
    if(!window.Notification) {
        return;
    }

    if (Notification.permission === 'default') {
        Notification.requestPermission(function() {});
      } else if (Notification.permission === 'granted') {
        var notification = new Notification(titleText, {
            body: bodyText,
            tag: __NAME__,
            iconUrl: __LOGOEPATH__,
            icon: __LOGOEPATH__
        });
        notification.onshow = function() {
            setTimeout(function(){ notification.close(); }, 5000); 
        },
        notification.onclick = function() {
            window.focus();
            notification.close();
        }
    }
}

/* automatic functions */
$(function() {
    fieldFunctions();
    $(window).keydown(function(event) {
        if (event.which == 113) { //F2
            if ($$('btnNew')){
                if(!$('#overForm').hasClass('in')){
                    $$('btnNew').click();
                }
            }
            return false;
        }
        else if (event.which == 114) { //F3
            if ($$('busca')){
                if(!$('#overForm').hasClass('in')){
                    $$('busca').focus();
                    $('#busca').select();
                }
            }
            return false;
        }
    });
    keepSession();
    $('.dropdown-menu').click(function(e) {
        e.stopPropagation();
    });
    
    
    
});