
function fieldFunctions(){
    
    /* masks */
    $(".money").maskMoney({thousands: '.', decimal: ','});
    $(".date").mask("99/99/9999", { autoclear: false });
    $(".hour").mask("99:99:99", { autoclear: false });
    $(".cep").mask("99.999-999", { autoclear: false });
    $(".cpf").mask("999.999.999-99", { autoclear: false });
    $(".cnpj").mask("99.999.999/9999-99", { autoclear: false });
    $(".cpfcnpj").mask("999.999.999-99?9999", { autoclear: false, completed: function(){
            if(this.val().length > 14){
                this.mask("99.999.999/9999-99");
            }else{
                this.mask("999.999.999-99");
            }
        }
    }).ready(function(){
        $(".cpfcnpj").each(function(i, obj) {
            if(obj.value.length > 14){
                $(this).mask("99.999.999/9999-99");
            }else{
                $(this).mask("999.999.999-99");
            }
        });
    });
       
    
    $(".phone").each(function(i, obj) {
        var len = $(obj).val().replace(/[^0-9]/g,'').length;
        if(len > 10){
            $(obj).attr('data-tmask',11);
            $(obj).mask("(99) 999-999-99?9", { autoclear: false });         
        }else{
            $(obj).attr('data-tmask',10);
            $(obj).mask("(99) 9999-9999?9", { autoclear: false });
        }
        $(obj).keyup(function(){
            var leng = $(this).val().replace(/[^0-9]/g,'').length;
            
            if(leng > 10){
                if($(this).attr('data-tmask') != 11){
                    $(this).attr('data-tmask',11);
                    $(this).mask("(99) 999-999-99?9", { autoclear: false });                
                }
            }else if(leng <= 10){
                if($(this).attr('data-tmask') != 10){
                    $(this).attr('data-tmask',10);
                    $(this).mask("(99) 9999-9999?9", { autoclear: false });
                }
            }
        });
    });
    
    $(".phone2").mask("9999-9999?9",{ autoclear: false, completed: function(){
            if(this.val().length > 9){
                this.mask("99999-999?9");
            }else{
                this.mask("9999-9999?9");
            }
        }
    }).ready(function(){
        $(".phone2").each(function(i, obj) {
            if(obj.value.length > 9){
                $(this).mask("99999-999?9");
            }else{
                $(this).mask("9999-9999?9");
            }
        });
    });
    
    $(".autocomplete").each(function(i, obj) {
        var url = __PATH__+'ajax/auto-complete/json/false/class/'+$(obj).attr('data-table');
        $(obj).autocomplete({
            source: function( request, response ) {
                url += '/term/'+request.term;
                if($(obj).attr('data-name')){
                    url += '/camponome/'+$(obj).attr('data-name')
                }
                $.ajax({
                    url: url,
                    dataType: "json",
                    success: function( data ) {
                        response( data );
                    },
                    error: function(jqXHR, textStatus, errorThrown)
                    {
                        showErrorAlert('Erro no salvamento do registro', 'JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                        $message.append('JQXHR: ' + jqXHR.responseText + '<br>Status: ' + textStatus + '<br>Throw: ' + errorThrown);
                    }
                });
          },
            select: function( event, ui ) {
                $('#'+$(obj).attr('data-field')).val(ui.item.value);
                $(obj).val(ui.item.label);
                return false;
            }
        });

    });
  
  
    $(".multisel").each(function(i, obj) {
        if($(obj).css('display') != 'none'){
            
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                //nonSelectedText: 'Selecione...',
                nSelectedText: ' op&ccedil;&otilde;es selecionadas',
                includeSelectAllOption: true,
                selectAllText: 'Selecionar Todos',
                allSelectedText: 'Todas as op&ccedil;&otilde;es',
                enableClickableOptGroups: true,
                buttonWidth: '100%'
            });
        }
    });
    
    $(".multiselsearch").each(function(i, obj) {
        
        if($(obj).css('display') != 'none'){
            $(obj).multiselect({
                nonSelectedText: ($(obj).attr('data-select')?$(obj).attr('data-select'):'Selecione...'),
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                filterBehavior: 'both',
                filterPlaceholder: 'Pesquise...',
                buttonWidth: '100%'
            });
        }
    });
}


/* automatic functions */
$(function() {
    fieldFunctions();
});